/* NOSHIP */
#ifndef _ITUNINGG_H_
#define _ITUNINGG_H__
// Revision: 64 1.3.1.3 source/albert/graph2d/win/ituningg.h, 2d, ioc.v400, 000919 
/*******************************************************************************
* FILE NAME: ituningg.h                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Definition of Page Layout for 2d graphics DLL (Windows)                    *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Replace text between here and #endif _ITUNINGG_H_ with output of
// page tuning tools.

/* CPPOGI36 */
#ifdef _CAG_CPP_
  #pragma alloc_text(BIIsHaggarHorrible,       ICAGNode::ICAGNode())
  #pragma alloc_text(BIIsHaggarHorrible,       ICAGChild::~ICAGChild())
  #pragma alloc_text(BIIsHaggarHorrible,       ICAGChild::ICAGChild(ICAGNode*))
  #pragma alloc_text(BIIsHaggarHorrible,       ICAGNode::~ICAGNode())
  #pragma alloc_text(BIIsHaggarHorrible,       ICAGChild::parent())
  #pragma alloc_text(BIJennsPen,               ICAGBinary::rightLink())
  #pragma alloc_text(BIJennsPen,               ICAGBinary::~ICAGBinary())
  #pragma alloc_text(BIJennsPen,               ICAGBinary::ICAGBinary(ICAGNode*))
  #pragma alloc_text(BIJennsPen,               ICAGRightLink::~ICAGRightLink())
  #pragma alloc_text(BIJennsPen,               ICAGRightLink::ICAGRightLink(ICAGBinary*))
  #pragma alloc_text(BIJennsPen,               ICAGEvenOdd::~ICAGEvenOdd())
  #pragma alloc_text(BIJennsPen,               ICAGEvenOdd::ICAGEvenOdd(ICAGNode*))
  #pragma alloc_text(BIJennsPen,               ICAGUnary::~ICAGUnary())
  #pragma alloc_text(BIJennsPen,               ICAGUnary::ICAGUnary(ICAGNode*))
  #pragma alloc_text(BIJennsPen,               ICAGRightLink::parent())
  #pragma alloc_text(BIJennsPen,               ICAGSubtract::type() const)
  #pragma alloc_text(BIJennsPen,               ICAGRightLink::type() const)
  #pragma alloc_text(BIJudyJudyJudy,           ICAGRoot::~ICAGRoot())
  #pragma alloc_text(BIJudyJudyJudy,           ICAGRoot::ICAGRoot())
  #pragma alloc_text(BIJudyJudyJudy,           ICAGSubtract::~ICAGSubtract())
  #pragma alloc_text(BIJudyJudyJudy,           ICAGSubtract::ICAGSubtract(ICAGNode*))
  #pragma alloc_text(BIJudyJudyJudy,           ICAGRoot::type() const)
  #pragma alloc_text(BIMountainsOfBusch,       ICAGAdd::ICAGAdd(ICAGNode*))
  #pragma alloc_text(BIMillerTime,             ICAGAdd::type() const)
  #pragma alloc_text(BIMillerTime,             ICAGAdd::~ICAGAdd())
#endif

#ifdef _DDE4DLL2_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __IInitTermDefault)
  #pragma alloc_text(BIAbstractArt,            setProcessDetachInProgressDefault())
#endif

#ifdef _DDE4UDLL_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      _DLL_InitTerm)
#endif

#ifdef _GDIDEV_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IGdiDevice::GCoordinateToInt(double))
  #pragma alloc_text(BIBrightBeak,             IGdiDevice::SetWinWorldTransform(const IGrafMatrix*))
  #pragma alloc_text(BIBrightBeak,             IGdiDevice::deviceResolution(const IGRect2D&) const)
  #pragma alloc_text(BIBrightBeak,             IGdiDevice::setupTransforms(const IGrafState&))
  #pragma alloc_text(BIBrightBeak,             IGdiDevice::SetClipArea(const IGrafState&))
  #pragma alloc_text(BIBruceKnee,              IGdiDevice::CreateBrushStructure(const IPaint&))
  #pragma alloc_text(BIBruceKnee,              IGdiDevice::SetPaintModes(const IPaint*,const IColorTransferMode*))
  #pragma alloc_text(BIGRedPepperStich,        IBaseColor::IBaseColor())
  #pragma alloc_text(BIGRedPepperStich,        IGdiDevice::~IGdiDevice())
  #pragma alloc_text(BIGRedPepperStich,        IGdiDevice::initialise(int,const IGRect2D*))
  #pragma alloc_text(BIHamiltonianQuill,       IGrafDeviceMaker::makeDevice(IPresSpaceHandle,const IGrafPort::EGrafPortType,EDeviceMappingMode))
  #pragma alloc_text(BIHamiltonianQuill,       IGdiDevice::setupDevice(IPresSpaceHandle))
  #pragma alloc_text(BIHamiltonianQuill,       IGdiDevice::IGdiDevice(IPresSpaceHandle,EDeviceMappingMode,int))
  #pragma alloc_text(BIHolmesBuilder,          IGdiDevice::IGPoint2DToPOINTL(const IGPoint2D&,_POINTL&))
  #pragma alloc_text(BIHolmesBuilder,          IGPoint2D::__dftct())
  #pragma alloc_text(BIHolmesBuilder,          IGdiDevice::SetFillPaintModes(const IGrafState&))
  #pragma alloc_text(BIHolmesBuilder,          IGPoint2D::__dftdt())
  #pragma alloc_text(BIHolmesBuilder,          IGdiDevice::renderRect(const IGRect2D&,const IGrafState&))
  #pragma alloc_text(BIIsHaggarHorrible,       IGdiDevice::CreateBrush(const tagLOGBRUSH&))
  #pragma alloc_text(BIHolmesBuilder,          IGdiDevice::CreateFillBrush(const IGrafState&))
  #pragma alloc_text(BIIsHaggarHorrible,       IGdiDevice::SetFillPaint(const IGrafState&,int))
  #pragma alloc_text(BIIsHaggarHorrible,       IRawArray<IStreamableRegionHandle>::roundUpSize(unsigned long) const)
  #pragma alloc_text(BIIsHaggarHorrible,       IRawArray<IStreamableRegionHandle>::resize(unsigned long))
  #pragma alloc_text(BIJennsPen,               IGdiDevice::deviceContext() const)
  #pragma alloc_text(BIJennsPen,               IRawArray<IStreamableRegionHandle>::numberOfValues() const)
  #pragma alloc_text(BIJennsPen,               IRawArray<IStreamableRegionHandle>::append(const IStreamableRegionHandle&))
  #pragma alloc_text(BIJudyJudyJudy,           IGdiDevice::SetFramePaintModes(const IGrafState&))
  #pragma alloc_text(BIJudyJudyJudy,           IGdiDevice::SetFramePaint(const IGrafState&,int))
  #pragma alloc_text(BIMillerTime,             IGdiDevice::CreatePen(const IGrafState&))
  #pragma alloc_text(BIJudyJudyJudy,           IRawArray<IStreamableRegionHandle>::~IRawArray())
  #pragma alloc_text(BIJudyJudyJudy,           IRawArray<IStreamableRegionHandle>::IRawArray(unsigned long))
  #pragma alloc_text(BIMillerTime,             IGdiDevice::renderLine(const IGLine2D&,const IGrafState&))
  #pragma alloc_text(BIProudMary,              IGdiDevice::imageTransferMode(const IGrafState&))
  #pragma alloc_text(BIProudMary,              IGImageDeviceContext::~IGImageDeviceContext())
  #pragma alloc_text(BIProudMary,              IGImageDeviceContext::IGImageDeviceContext(const IGImage&))
  #pragma alloc_text(BIProudMary,              IGdiDevice::renderImage(const IGImage&,const IGRect2D&,const IGrafState&))
  #pragma alloc_text(BIProudMary,              IGdiDevice::imageSamplingControl(const IGrafState&))
  #pragma alloc_text(BIShakAttack,             IGdiDevice::renderPolyline(const IGPolyline2D&,const IGrafState&))
  #pragma alloc_text(BIStangerHook,            IGdiDevice::FrameEqualFillPaintModes(const IGrafState&) const)
  #pragma alloc_text(BIStangerHook,            IGdiDevice::SetFillAndFramePaint(const IGrafState&))
  #pragma alloc_text(BIProudMary,              IGdiDevice::orphanDeviceContext())
  #pragma alloc_text(BIProudMary,              IGdiDevice::adoptDeviceContext(IPresSpaceHandle))
  #pragma alloc_text(BIOnAnotherBenge,         IGdiDevice::IGdiDevice(IPresSpaceHandle,const IGRect2D&,const IGrafMatrix&))
  #pragma alloc_text(BIWesWantsMore,           IGdiDevice::baseRootDevice() const)
  #pragma alloc_text(BIWesWantsMore,           IGdiFontContext::~IGdiFontContext())
  #pragma alloc_text(BIWesWantsMore,           IGdiFontContext::makeFont())
  #pragma alloc_text(BIWesWantsMore,           IGdiFontContext::IGdiFontContext(IGdiDevice*,const IGTextRun&,const IGrafMatrix*,const IGrafMatrix*,const IGrafState*))
  #pragma alloc_text(BIWesWantsMore,           IGdiDevice::makeFontContext(const IGTextRun&,const IGrafMatrix*,const IGrafState*,int))
  #pragma alloc_text(BIWesWantsMore,           IGdiDevice::renderTextRun(const IGTextRun&,const IGrafState&))
  #pragma alloc_text(BIWesWantsMore,           IGdiFontContext::calculateBoundsAndAdvancement(const IGTextRun&,IGRect2D&))
  #pragma alloc_text(BIWesWantsMore,           IGdiFontContext::extentPoint(const IGTextRun&,tagSIZE&) const)
  #pragma alloc_text(BIWesWantsMore,           IGdiFontContext::renderGlyphs(const IGTextRun&) const)
  #pragma alloc_text(BIWesWantsMore,           IGdiFontContext::initialise())
  #pragma alloc_text(BITsujiNightLive,         IGdiDevice::setTextColour(const IBaseColor&))
  #pragma alloc_text(BIHolmesBuilder,          IBrushContext::deleteBrush(void*))
#endif

#ifdef _GDIIMDEV_CPP_
  #pragma alloc_text(BITheRightPrice,          IGdiImageDevice::renderRect(const IGRect2D&,const IGrafState&))
  #pragma alloc_text(BITheRightPrice,          IGdiImageDevice::renderPolyline(const IGPolyline2D&,const IGrafState&))
  #pragma alloc_text(BITheRightPrice,          IGdiImageDevice::renderLine(const IGLine2D&,const IGrafState&))
  #pragma alloc_text(BIStangerHook,            BitmapContext::~BitmapContext())
  #pragma alloc_text(BIStangerHook,            BitmapContext::BitmapContext(const IPresSpaceHandle&,void*))
  #pragma alloc_text(BIProudMary,              IGdiImageDevice::~IGdiImageDevice())
  #pragma alloc_text(BITheRightPrice,          IGdiImageDevice::renderImage(const IGImage&,const IGRect2D&,const IGrafState&))
  #pragma alloc_text(BIOnAnotherBenge,         IGdiImageDevice::IGdiImageDevice(IGImage*,IPresSpaceHandle))
#endif

#ifdef _GRAFAREA_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<ILoop>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IArea>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IPolygon>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IEllipse>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<IEllipse>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<IPolygon>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<IArea>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<ILoop>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _GRAFCOLL_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IExclusiveOrGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IIntersectGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<ISubtractGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IAddGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<ILoopGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IPolygonGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IEllipseGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IRectGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<ITransformedGeometry>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IAreaGeometryHandle>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<ILoopGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<IAddGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<ISubtractGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<IIntersectGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IStreamableHelperFor<IExclusiveOrGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IMAreaGeometry::updateTimeStamp())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IAreaGeometryHandle>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<ITransformedGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IRectGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IEllipseGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IPolygonGeometry>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IRectGeometry::bounds() const)
  #pragma alloc_text(BIBoezePhoneHome,         IAreaGeometryHandle::~IAreaGeometryHandle())
  #pragma alloc_text(BIBoezePhoneHome,         IAreaGeometryHandle::IAreaGeometryHandle(IMAreaGeometry*))
  #pragma alloc_text(BIBonannoRepublic,        IMAreaGeometry::unreachable())
  #pragma alloc_text(BIBonannoRepublic,        IMAreaGeometry::~IMAreaGeometry())
  #pragma alloc_text(BIBonannoRepublic,        IMAreaGeometry::IMAreaGeometry())
  #pragma alloc_text(BIBrightBeak,             IRectGeometry::~IRectGeometry())
  #pragma alloc_text(BIBonannoRepublic,        IRectGeometry::IRectGeometry(const IGRect2D&))
  #pragma alloc_text(BIBonannoRepublic,        IAreaGeometryHandle::bounds() const)
  #pragma alloc_text(BIBruceKnee,              IAreaGeometryHandle::isEmpty() const)
  #pragma alloc_text(BIHamiltonianQuill,       IRectGeometry::isEmpty() const)
  #pragma alloc_text(BIHolmesBuilder,          IRectGeometry::isRectangular() const)
  #pragma alloc_text(BIHolmesBuilder,          IMAreaGeometry::timeStamp() const)
  #pragma alloc_text(BIHolmesBuilder,          IAreaGeometryHandle::timeStamp() const)
  #pragma alloc_text(BIHolmesBuilder,          IAreaGeometryHandle::subtract(const IAreaGeometryHandle&))
  #pragma alloc_text(BIHolmesBuilder,          IAreaGeometryHandle::operator=(const IAreaGeometryHandle&))
  #pragma alloc_text(BIIsHaggarHorrible,       IAreaGeometryHandle::transformBy(const IGrafMatrix&))
  #pragma alloc_text(BIIsHaggarHorrible,       IAreaGeometryHandle::extract(IGrafExtractor&,ICAGNode*,const IGrafMatrix&) const)
  #pragma alloc_text(BIIsHaggarHorrible,       IAreaGeometryHandle::IAreaGeometryHandle())
  #pragma alloc_text(BIIsHaggarHorrible,       IAreaGeometryHandle::intersect(const IAreaGeometryHandle&))
  #pragma alloc_text(BIIsHaggarHorrible,       IAreaGeometryHandle::IAreaGeometryHandle(const IAreaGeometryHandle&))
  #pragma alloc_text(BIJennsPen,               IMAreaGeometry::isRectangular() const)
  #pragma alloc_text(BIJennsPen,               IAreaGeometryHandle::contains(const IGRect2D&) const)
  #pragma alloc_text(BIJennsPen,               IRectGeometry::operator==(const IMAreaGeometry&) const)
  #pragma alloc_text(BIJennsPen,               IRectGeometry::extract(IGrafExtractor&,ICAGNode*,const IGrafMatrix&) const)
  #pragma alloc_text(BIJennsPen,               IRectGeometry::contains(const IGRect2D&) const)
  #pragma alloc_text(BIJennsPen,               ISubtractGeometry::bounds() const)
  #pragma alloc_text(BIJudyJudyJudy,           ISubtractGeometry::isEmpty() const)
  #pragma alloc_text(BIJudyJudyJudy,           IRectGeometry::cloneAndSubtract(const IAreaGeometryHandle&))
  #pragma alloc_text(BIJudyJudyJudy,           ISubtractGeometry::ISubtractGeometry(const IAreaGeometryHandle&,const IAreaGeometryHandle&))
  #pragma alloc_text(BIJudyJudyJudy,           ISubtractGeometry::extract(IGrafExtractor&,ICAGNode*,const IGrafMatrix&) const)
  #pragma alloc_text(BIJudyJudyJudy,           IMAreaGeometry::cloneAndSubtract(const IAreaGeometryHandle&))
  #pragma alloc_text(BIJudyJudyJudy,           ISubtractGeometry::~ISubtractGeometry())
  #pragma alloc_text(BIMillerTime,             IRectGeometry::cloneAndAdd(const IAreaGeometryHandle&))
  #pragma alloc_text(BIMillerTime,             ISubtractGeometry::operator==(const IMAreaGeometry&) const)
  #pragma alloc_text(BIMillerTime,             IAddGeometry::operator==(const IMAreaGeometry&) const)
  #pragma alloc_text(BIMillerTime,             IAddGeometry::IAddGeometry(const IAreaGeometryHandle&,const IAreaGeometryHandle&))
  #pragma alloc_text(BIMillerTime,             ISubtractGeometry::cloneAndSubtract(const IAreaGeometryHandle&))
  #pragma alloc_text(BIMillerTime,             IAddGeometry::extract(IGrafExtractor&,ICAGNode*,const IGrafMatrix&) const)
  #pragma alloc_text(BIMillerTime,             IAddGeometry::cloneAndAdd(const IAreaGeometryHandle&))
  #pragma alloc_text(BIMillerTime,             IMAreaGeometry::cloneAndAdd(const IAreaGeometryHandle&))
  #pragma alloc_text(BIMillerTime,             IAddGeometry::~IAddGeometry())
  #pragma alloc_text(BIMillerTime,             IAddGeometry::bounds() const)
  #pragma alloc_text(BIMillerTime,             IAreaGeometryHandle::add(const IAreaGeometryHandle&))
  #pragma alloc_text(BIMountainsOfBusch,       IAreaGeometryHandle::setToEmpty())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _GRAFDEVS_CPP_
  #pragma alloc_text(BIBonannoRepublic,        IGrafDevice::isValid() const)
  #pragma alloc_text(BIBrightBeak,             IGrafDevice::coordinateSystem() const)
  #pragma alloc_text(BIBruceKnee,              IGrafDevice::maskPattern(const IMaskPattern*))
  #pragma alloc_text(BIGRedPepperStich,        IGrafDevice::setWorldBounds(const IGRect2D&))
  #pragma alloc_text(BIGRedPepperStich,        IGrafDevice::~IGrafDevice())
  #pragma alloc_text(BIGRedPepperStich,        IGrafDevice::IGrafDevice())
  #pragma alloc_text(BIHolmesBuilder,          IGrafDevice::worldBounds() const)
  #pragma alloc_text(BIJudyJudyJudy,           IGrafDevice::extract(const IGArea&,IGrafExtractor&,ICAGNode*,const IGrafMatrix&))
  #pragma alloc_text(BIProudMary,              IGrafDevice::renderImage(const IGImage&,const IGrafState&))
  #pragma alloc_text(BIOnAnotherBenge,         IGrafDevice::setValidity(int))
#endif

#ifdef _GRAFEXTR_CPP_
  #pragma alloc_text(BIIsHaggarHorrible,       IGrafExtractor::adoptCAGNode(ICAGNode*))
  #pragma alloc_text(BIJennsPen,               IGrafExtractor::IGrafExtractor())
  #pragma alloc_text(BIJennsPen,               IGrafExtractor::deleteCAGNodes())
  #pragma alloc_text(BIJennsPen,               IGrafExtractor::~IGrafExtractor())
#endif

#ifdef _GRAFLINE_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<ICurve>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IPolyline>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<ILine>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<ILine>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IPolyline>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<ICurve>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _GRSTATE_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<ILinkedBundleState>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<ILinkedBundleState>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         ILinkedGrafState::attributeState() const)
  #pragma alloc_text(BIBoezePhoneHome,         ILinkedGrafState::stateInUse() const)
  #pragma alloc_text(BIBoezePhoneHome,         IRootGrafState::stateInUse() const)
  #pragma alloc_text(BIBonannoRepublic,        IGrafState::IGrafState())
  #pragma alloc_text(BIBonannoRepublic,        ILinkedGrafState::setStateInUse(const IGrafState*))
  #pragma alloc_text(BIBonannoRepublic,        IGrafState::~IGrafState())
  #pragma alloc_text(BIBonannoRepublic,        ILinkedGrafState::root() const)
  #pragma alloc_text(BIBonannoRepublic,        IRootGrafState::attributeState() const)
  #pragma alloc_text(BIBonannoRepublic,        IRootGrafState::setStateInUse(const IGrafState*))
  #pragma alloc_text(BIBrightBeak,             ILinkedBundleState::timeStamp() const)
  #pragma alloc_text(BIBrightBeak,             IGrafState::setLinkLevel(unsigned int))
  #pragma alloc_text(BIBrightBeak,             IRootGrafState::setCoordinateFlip(const IGrafMatrix&))
  #pragma alloc_text(BIBrightBeak,             IRootGrafState::setDefaultViewMatrix(const IGrafMatrix&))
  #pragma alloc_text(BIBrightBeak,             IColorTransferMode::~IColorTransferMode())
  #pragma alloc_text(BIBrightBeak,             ILinkedGrafState::clipArea() const)
  #pragma alloc_text(BIBrightBeak,             ILinkedGrafState::modelMatrix() const)
  #pragma alloc_text(BIBrightBeak,             IRootGrafState::clipArea() const)
  #pragma alloc_text(BIBrightBeak,             IRootGrafState::viewMatrix() const)
  #pragma alloc_text(BIBrightBeak,             IRootGrafState::modelMatrix() const)
  #pragma alloc_text(BIBrightBeak,             ILinkedGrafState::~ILinkedGrafState())
  #pragma alloc_text(BIBrightBeak,             ILinkedGrafState::ILinkedGrafState(const IGrafState*,unsigned long))
  #pragma alloc_text(BIBrightBeak,             IGrafState::registeredAsTheStateInUse() const)
  #pragma alloc_text(BIBruceKnee,              ILinkedBundleState::~ILinkedBundleState())
  #pragma alloc_text(BIBruceKnee,              ILinkedAttributeGrafState::~ILinkedAttributeGrafState())
  #pragma alloc_text(BIBruceKnee,              ILinkedBundleState::ILinkedBundleState(const IAttributeState*,const IAttributeState*))
  #pragma alloc_text(BIBruceKnee,              IStateChange::attrbuteStateChange(const IAttributeState*))
  #pragma alloc_text(BIBruceKnee,              ILinkedGrafState::viewMatrix() const)
  #pragma alloc_text(BIBruceKnee,              IRootGrafState::root() const)
  #pragma alloc_text(BIBruceKnee,              ILinkedAttributeGrafState::ILinkedAttributeGrafState(const IGrafState*,const IAttributeState*))
  #pragma alloc_text(BIGRedPepperStich,        IRootGrafState::~IRootGrafState())
  #pragma alloc_text(BIGRedPepperStich,        IImageSamplingControl::~IImageSamplingControl())
  #pragma alloc_text(BIGRedPepperStich,        IImageTransferMode::~IImageTransferMode())
  #pragma alloc_text(BIGRedPepperStich,        IJoint::~IJoint())
  #pragma alloc_text(BIGRedPepperStich,        ICap::~ICap())
  #pragma alloc_text(BIGRedPepperStich,        IPen::~IPen())
  #pragma alloc_text(BIGRedPepperStich,        IRootGrafState::IRootGrafState())
  #pragma alloc_text(BIHolmesBuilder,          ILinkedBundleState::drawingOperation() const)
  #pragma alloc_text(BIHolmesBuilder,          ILinkedBundleState::fillTransferMode() const)
  #pragma alloc_text(BIHolmesBuilder,          ILinkedBundleState::fillPaint() const)
  #pragma alloc_text(BIIsHaggarHorrible,       ILinkedClipGrafState::~ILinkedClipGrafState())
  #pragma alloc_text(BIIsHaggarHorrible,       ILinkedClipGrafState::ILinkedClipGrafState(const IGrafState*,const IGArea*))
  #pragma alloc_text(BIMillerTime,             ILinkedBundleState::frameJoint() const)
  #pragma alloc_text(BIMillerTime,             ILinkedBundleState::frameEndCap() const)
  #pragma alloc_text(BIMillerTime,             ILinkedBundleState::framePen() const)
  #pragma alloc_text(BIJudyJudyJudy,           ILinkedBundleState::frameTransferMode() const)
  #pragma alloc_text(BIJudyJudyJudy,           ILinkedBundleState::framePaint() const)
  #pragma alloc_text(BIMountainsOfBusch,       ILinkedGrafState::stateChange() const)
  #pragma alloc_text(BIMountainsOfBusch,       ILinkedGrafState::parent() const)
  #pragma alloc_text(BITheRightPrice,          ILinkedBundleState::imageSampling() const)
  #pragma alloc_text(BITheRightPrice,          ILinkedBundleState::imageTransferMode() const)
  #pragma alloc_text(BITheRightPrice,          ILinkedViewMatrixGrafState::~ILinkedViewMatrixGrafState())
  #pragma alloc_text(BITheRightPrice,          ILinkedViewMatrixGrafState::ILinkedViewMatrixGrafState(const IGrafState*,const IGrafMatrix*))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _GRSTRMOD_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _I2DGHAND_CPP_
  #pragma alloc_text(BIABernieWeekend,         IPresSpaceHandle::operator=(const IPresSpaceHandle&))
  #pragma alloc_text(BIABernieWeekend,         IPresSpaceHandle::IPresSpaceHandle(const IPresSpaceHandle&))
  #pragma alloc_text(BIABernieWeekend,         IPointerHandle::~IPointerHandle())
  #pragma alloc_text(BIABernieWeekend,         IPointerHandle::IPointerHandle(void*))
  #pragma alloc_text(BIABernieWeekend,         IPresSpaceHandle::~IPresSpaceHandle())
  #pragma alloc_text(BIABernieWeekend,         IPointerHandle::IPointerHandle(const IPointerHandle&))
  #pragma alloc_text(BIHamiltonianQuill,       IPointerHandle::operator=(const IPointerHandle&))
  #pragma alloc_text(BIHolmesBuilder,          IBitmapHandle::~IBitmapHandle())
  #pragma alloc_text(BIHolmesBuilder,          IBitmapHandle::IBitmapHandle(void*))
  #pragma alloc_text(BIIsHaggarHorrible,       IBitmapHandle::operator=(const IBitmapHandle&))
  #pragma alloc_text(BIMountainsOfBusch,       IBitmapHandle::IBitmapHandle(const IBitmapHandle&))
#endif

#ifdef _IBCOLOR_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIABernieWeekend,         IColor::IColor(IColor::SystemColor))
  #pragma alloc_text(BIABernieWeekend,         IColor::IColor(IColor::Color))
  #pragma alloc_text(BIABernieWeekend,         IColor::asRGBLong() const)
  #pragma alloc_text(BIABernieWeekend,         IColor::~IColor())
  #pragma alloc_text(BIABernieWeekend,         IBaseColor::IBaseColor(const IBaseColor&))
  #pragma alloc_text(BIABernieWeekend,         IColor::IColor(const IColor&))
  #pragma alloc_text(BIMountainsOfBusch,       IColor::IColor(unsigned char,unsigned char,unsigned char,unsigned char))
  #pragma alloc_text(BIABernieWeekend,         IBaseColor::IBaseColor())
  #pragma alloc_text(BIABernieWeekend,         IBaseColor::IBaseColor(unsigned char,unsigned char,unsigned char,unsigned char))
  #pragma alloc_text(BIABernieWeekend,         IColor::nativeSystemColor(IColor::ESystemColor))
  #pragma alloc_text(BIABernieWeekend,         IBaseColor::~IBaseColor())
  #pragma alloc_text(BIABernieWeekend,         IColor::blueMix() const)
  #pragma alloc_text(BIABernieWeekend,         IColor::greenMix() const)
  #pragma alloc_text(BIABernieWeekend,         IColor::redMix() const)
  #pragma alloc_text(BIABernieWeekend,         IColor::evaluate())
  #pragma alloc_text(BIABernieWeekend,         IBaseColor::IBaseColor(IBaseColor::EPredefinedColor))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IBaseColor>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IBaseColor>::~IStreamableHelperFor())
  #pragma alloc_text(BIBrightBeak,             IBaseColor::blueMix() const)
  #pragma alloc_text(BIBrightBeak,             IBaseColor::greenMix() const)
  #pragma alloc_text(BIBrightBeak,             IBaseColor::redMix() const)
  #pragma alloc_text(BIBrightBeak,             IBaseColor::operator=(const IBaseColor&))
  #pragma alloc_text(BIIsHaggarHorrible,       IBasicColor::~IBasicColor())
  #pragma alloc_text(BIJudyJudyJudy,           IStreamableHelperFor<IBaseColor>::createCopy(const IMStreamable&) const)
  #pragma alloc_text(BIJudyJudyJudy,           IColor::IColor(IColor::ESystemColor))
  #pragma alloc_text(BIJudyJudyJudy,           IBaseColor::typeRepresentation() const)
  #pragma alloc_text(BIMountainsOfBusch,       IColor::operator=(const IColor&))
  #pragma alloc_text(BITheRightPrice,          IColor::operator==(const IBaseColor&) const)
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IBMPDATA_CPP_
  #pragma alloc_text(BIHamiltonianQuill,       IElementCursor<IPointerData*>::~IElementCursor())
  #pragma alloc_text(BIHamiltonianQuill,       IGSetCursor<IPointerData*,ICOps<IPointerData*> >::~IGSetCursor())
  #pragma alloc_text(BIHamiltonianQuill,       IGSetCursor<IPointerData*,ICOps<IPointerData*> >::IGSetCursor(const IGSet<IPointerData*,ICOps<IPointerData*> >&))
  #pragma alloc_text(BIHolmesBuilder,          IPointerSet::IPointerSet())
  #pragma alloc_text(BIHamiltonianQuill,       IElementCursor<IPointerData*>::IElementCursor(ICursorImpl*))
  #pragma alloc_text(BIHamiltonianQuill,       IACollectionBase::IACollectionBase())
  #pragma alloc_text(BIHolmesBuilder,          IAEqualityCollection<IPointerData*>::IAEqualityCollection())
  #pragma alloc_text(BIHolmesBuilder,          IASet<IPointerData*>::IASet())
  #pragma alloc_text(BIHolmesBuilder,          IGSet<IPointerData*,ICOps<IPointerData*> >::IGSet(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       ISet<IPointerData*>::ISet(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       IACollection<IPointerData*>::IACollection())
  #pragma alloc_text(BIMountainsOfBusch,       IElementCursor<IBitmapData*>::~IElementCursor())
  #pragma alloc_text(BIMountainsOfBusch,       IGSetCursor<IBitmapData*,ICOps<IBitmapData*> >::~IGSetCursor())
  #pragma alloc_text(BIMountainsOfBusch,       IGSetCursor<IBitmapData*,ICOps<IBitmapData*> >::IGSetCursor(const IGSet<IBitmapData*,ICOps<IBitmapData*> >&))
  #pragma alloc_text(BIMountainsOfBusch,       IElementCursor<IBitmapData*>::IElementCursor(ICursorImpl*))
  #pragma alloc_text(BIMountainsOfBusch,       IBitmapSet::find(void*))
  #pragma alloc_text(BIShakAttack,             IAEqualityCollection<IBitmapData*>::IAEqualityCollection())
  #pragma alloc_text(BIShakAttack,             IASet<IBitmapData*>::IASet())
  #pragma alloc_text(BIShakAttack,             IGSet<IBitmapData*,ICOps<IBitmapData*> >::IGSet(unsigned long))
  #pragma alloc_text(BIShakAttack,             ISet<IBitmapData*>::ISet(unsigned long))
  #pragma alloc_text(BIShakAttack,             IACollection<IBitmapData*>::IACollection())
  #pragma alloc_text(BIShakAttack,             IBitmapSet::IBitmapSet())
  #pragma alloc_text(BIProudMary,              IBitmapData::IBitmapData(unsigned long,void*,const IString&,const ISize&,IColorMap*))
  #pragma alloc_text(BIProudMary,              IBitmapSet::find(const unsigned long,const IString&,const ISize&))
  #pragma alloc_text(BIStangerHook,            IBitmapData::~IBitmapData())
  #pragma alloc_text(BIStangerHook,            IBitmapSet::remove(IBitmapData*))
  #pragma alloc_text(BIHamiltonianQuill,       IPointerSet::find(void*))
#endif

#ifdef _IBMPSTAT_CPP_
  #pragma alloc_text(BIHamiltonianQuill,       IBitmapStaticPtr::pointerSet())
  #pragma alloc_text(BIHamiltonianQuill,       IBitmapStaticPtr::bitmapKey())
  #pragma alloc_text(BIHamiltonianQuill,       IBitmapStaticPtr::loadIcon(unsigned long,const IModuleHandle&,const IString&,int))
  #pragma alloc_text(BIMountainsOfBusch,       IBitmapStaticPtr::bitmapSet())
  #pragma alloc_text(BIProudMary,              IBitmapStaticPtr::loadBitmap(unsigned long,const IModuleHandle&,const IString&,const ISize&,int))
  #pragma alloc_text(BIHamiltonianQuill,       IBitmapStaticPtr::removePointerRef(void*))
  #pragma alloc_text(BIMountainsOfBusch,       IBitmapStaticPtr::removeBitmapRef(void*))
  #pragma alloc_text(BIHamiltonianQuill,       IBitmapStaticPtr::addPointerRef(void*))
  #pragma alloc_text(BIMountainsOfBusch,       IBitmapStaticPtr::addBitmapRef(void*))
#endif

#ifdef _IBUNDLES_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IGrafBundle>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IFillAndFrameBundle>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IFrameBundle>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IFillBundle>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IFillBundle>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IFrameBundle>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IFillAndFrameBundle>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IGrafBundle>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IAttributeState::~IAttributeState())
  #pragma alloc_text(BIBoezePhoneHome,         IAttributeState::IAttributeState())
  #pragma alloc_text(BIBonannoRepublic,        IColorTransferMode::~IColorTransferMode())
  #pragma alloc_text(BIBruceKnee,              IAttributeState::timeStamp() const)
  #pragma alloc_text(BIBruceKnee,              IAttributeState::updateTimeStamp())
  #pragma alloc_text(BIBruceKnee,              IGrafBundle::setFillColor(const IBaseColor&))
  #pragma alloc_text(BIBruceKnee,              IJoint::~IJoint())
  #pragma alloc_text(BIBruceKnee,              ICap::~ICap())
  #pragma alloc_text(BIBruceKnee,              IImageTransferMode::~IImageTransferMode())
  #pragma alloc_text(BIBruceKnee,              IImageSamplingControl::~IImageSamplingControl())
  #pragma alloc_text(BIBruceKnee,              IGrafBundle::~IGrafBundle())
  #pragma alloc_text(BIBrightBeak,             IPen::~IPen())
  #pragma alloc_text(BIBruceKnee,              IGrafBundle::setFramePen(const IPen&))
  #pragma alloc_text(BIGRedPepperStich,        IAttributeState::imageSampling() const)
  #pragma alloc_text(BIGRedPepperStich,        IAttributeState::imageTransferMode() const)
  #pragma alloc_text(BIGRedPepperStich,        IGrafBundle::IGrafBundle(const IBaseColor&,IAttributeState::EDrawOperation))
  #pragma alloc_text(BIGRedPepperStich,        IGrafBundle::setImageSampling(const IImageSamplingControl&))
  #pragma alloc_text(BIBruceKnee,              IGrafBundle::setImageTransferMode(const IImageTransferMode&))
  #pragma alloc_text(BIGRedPepperStich,        IGrafBundle::setFrameJoint(const IJoint&))
  #pragma alloc_text(BIGRedPepperStich,        IGrafBundle::setFrameEndCap(const ICap&))
  #pragma alloc_text(BIGRedPepperStich,        IGrafBundle::setFrameTransferMode(const IColorTransferMode&))
  #pragma alloc_text(BIGRedPepperStich,        IGrafBundle::setFillTransferMode(const IColorTransferMode&))
  #pragma alloc_text(BIHolmesBuilder,          IFillBundle::drawingOperation() const)
  #pragma alloc_text(BIHolmesBuilder,          IFillBundle::fillTransferMode() const)
  #pragma alloc_text(BIHolmesBuilder,          IFillBundle::fillPaint() const)
  #pragma alloc_text(BIIsHaggarHorrible,       IFillBundle::~IFillBundle())
  #pragma alloc_text(BIIsHaggarHorrible,       IBaseColor::IBaseColor(const IBaseColor&))
  #pragma alloc_text(BIIsHaggarHorrible,       IFillBundle::IFillBundle(const IBaseColor&))
  #pragma alloc_text(BIJudyJudyJudy,           IGrafBundle::frameJoint() const)
  #pragma alloc_text(BIJudyJudyJudy,           IGrafBundle::frameEndCap() const)
  #pragma alloc_text(BIMillerTime,             IFrameBundle::drawingOperation() const)
  #pragma alloc_text(BIMillerTime,             IFrameBundle::framePen() const)
  #pragma alloc_text(BIMillerTime,             IFrameBundle::frameTransferMode() const)
  #pragma alloc_text(BIJudyJudyJudy,           IFrameBundle::framePaint() const)
  #pragma alloc_text(BIMillerTime,             IAttributeState::frameJoint() const)
  #pragma alloc_text(BIMillerTime,             IAttributeState::frameEndCap() const)
  #pragma alloc_text(BIMillerTime,             IFrameBundle::~IFrameBundle())
  #pragma alloc_text(BIMillerTime,             IFrameBundle::IFrameBundle(const IBaseColor&,double,IPen::EPenBalance))
  #pragma alloc_text(BIMountainsOfBusch,       IGrafBundle::imageSampling() const)
  #pragma alloc_text(BIMountainsOfBusch,       IGrafBundle::imageTransferMode() const)
  #pragma alloc_text(BIShakAttack,             IGrafBundle::drawingOperation() const)
  #pragma alloc_text(BIShakAttack,             IGrafBundle::framePen() const)
  #pragma alloc_text(BIShakAttack,             IGrafBundle::frameTransferMode() const)
  #pragma alloc_text(BIShakAttack,             IGrafBundle::framePaint() const)
  #pragma alloc_text(BIShakAttack,             IRawArray<IGPoint2D>::numberOfValues() const)
  #pragma alloc_text(BIStangerHook,            IGrafBundle::setDrawingOperation(IAttributeState::EDrawOperation))
  #pragma alloc_text(BIShakAttack,             IGrafBundle::fillTransferMode() const)
  #pragma alloc_text(BIShakAttack,             IGrafBundle::fillPaint() const)
  #pragma alloc_text(BIShakAttack,             IGrafBundle::setFrameColor(const IBaseColor&))
  #pragma alloc_text(BIShakAttack,             IGrafBundle::IGrafBundle())
  #pragma alloc_text(BIShakAttack,             IRawArray<IGPoint2D>::operator=(const IRawArray<IGPoint2D>&))
  #pragma alloc_text(BIShakAttack,             IRawArray<IGPoint2D>::~IRawArray())
  #pragma alloc_text(BIStangerHook,            IRawArray<IGPoint2D>::IRawArray(const IRawArray<IGPoint2D>&))
  #pragma alloc_text(BIShakAttack,             IRawArray<IGPoint2D>::IRawArray(unsigned long))
  #pragma alloc_text(BIStangerHook,            IGrafBundle::setFramePaint(const IPaint&))
  #pragma alloc_text(BITsujiNightLive,         IFrameBundle::setFrameColor(const IBaseColor&))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _ICOLMAP_CPP_
  #pragma alloc_text(BIABernieWeekend,         IColorMap::defaultSystemColorMap())
#endif

#ifdef _ICOORDSY_CPP_
  #pragma alloc_text(BIABernieWeekend,         ICoordinateSystem::convertToNative(const IRectangle&,const ISize&))
  #pragma alloc_text(BIABernieWeekend,         ICoordinateSystem::convertToApplication(const IRectangle&,const ISize&))
  #pragma alloc_text(BIABernieWeekend,         IPair::IPair(long,long))
  #pragma alloc_text(BIABernieWeekend,         ICoordinateSystem::isConversionNeeded())
  #pragma alloc_text(BIABernieWeekend,         ICoordinateSystem::convertRectangle(const IRectangle&,const ISize&))
  #pragma alloc_text(BIAbstractArt,            ICoordinateSystem::setApplicationOrientation(ICoordinateSystem::EOrientation))
  #pragma alloc_text(BIProudMary,              ICoordinateSystem::applicationOrientation())
  #pragma alloc_text(BITsujiNightLive,         ICoordinateSystem::convertToNative(const IPoint&,const ISize&))
  #pragma alloc_text(BITsujiNightLive,         ICoordinateSystem::convertToApplication(const IPoint&,const ISize&))
#endif

#ifdef _IGAREA2D_CPP_
  #pragma alloc_text(BIHolmesBuilder,          IGArea::timeStamp() const)
  #pragma alloc_text(BIHamiltonianQuill,       IGArea::bounds() const)
  #pragma alloc_text(BIIsHaggarHorrible,       IGArea::intersect(const IGArea&))
  #pragma alloc_text(BIHolmesBuilder,          IGArea::subtract(const IGArea&))
  #pragma alloc_text(BIIsHaggarHorrible,       IGArea::transformBy(const IGrafMatrix&))
  #pragma alloc_text(BIJennsPen,               IGArea::extract(IGrafExtractor&,ICAGNode*,const IGrafMatrix&) const)
  #pragma alloc_text(BIGRedPepperStich,        IGArea::isEmpty() const)
  #pragma alloc_text(BIIsHaggarHorrible,       IGArea::operator=(const IGArea&))
  #pragma alloc_text(BIBonannoRepublic,        IGArea::~IGArea())
  #pragma alloc_text(BIWesWantsMore,           IGArea::IGArea(const IGArea&))
  #pragma alloc_text(BIIsHaggarHorrible,       IGArea::IGArea())
  #pragma alloc_text(BIIsHaggarHorrible,       IGArea::infiniteArea())
  #pragma alloc_text(BIBonannoRepublic,        IGArea::IGArea(const IGRect2D&))
#endif

#ifdef _IGBASE2D_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IGRect2D::infiniteRect())
  #pragma alloc_text(BIBoezePhoneHome,         IGPoint2D::origin())
  #pragma alloc_text(BIBruceKnee,              IGRect2D::operator==(const IGRect2D&) const)
  #pragma alloc_text(BIHolmesBuilder,          IGRect2D::orderPoints())
  #pragma alloc_text(BIHolmesBuilder,          IGRect2D::intersects(const IGRect2D&) const)
  #pragma alloc_text(BIHolmesBuilder,          IGRect2D::IGRect2D(const IRectangle&))
  #pragma alloc_text(BIJudyJudyJudy,           IGPoint2D::IGPoint2D(const IPoint&))
  #pragma alloc_text(BIMillerTime,             IGRect2D::extendTo(const IGRect2D&))
#endif

#ifdef _IGIMAGE_CPP_
  #pragma alloc_text(BIMountainsOfBusch,       IGImage::handle() const)
  #pragma alloc_text(BIOnAnotherBenge,         IGImage::setPixelBuffer(IPixelBuffer*))
  #pragma alloc_text(BIOnAnotherBenge,         IGImage::imageHandle() const)
  #pragma alloc_text(BIOnAnotherBenge,         IGImage::~IGImage())
  #pragma alloc_text(BIProudMary,              IGImage::IGImage(const IBitmapHandle&))
  #pragma alloc_text(BIOnAnotherBenge,         IGImage::rasterBounds() const)
  #pragma alloc_text(BIProudMary,              IGImage::copyBitmap(const IBitmapHandle&,IPresSpaceHandle&,const IGPoint2D&))
  #pragma alloc_text(BIOnAnotherBenge,         IGImage::deviceContext() const)
  #pragma alloc_text(BIOnAnotherBenge,         IGImage::grafPort())
  #pragma alloc_text(BIOnAnotherBenge,         IGImage::imageBounds(const IGImage&))
  #pragma alloc_text(BITheRightPrice,          IGImage::sizeTo(const IGPoint2D&))
  #pragma alloc_text(BIStangerHook,            IGImage::setImageSyncFlag(int))
  #pragma alloc_text(BITheRightPrice,          IGImage::IGImage(const IGImage&))
  #pragma alloc_text(BITheRightPrice,          IGImage::IGImage(unsigned long,unsigned long,IGImage::EImageType))
  #pragma alloc_text(BIOnAnotherBenge,         IGImage::transperencyFlag() const)
#endif

#ifdef _IGLINE2D_CPP_
  #pragma alloc_text(BIJudyJudyJudy,           IGLine2D::~IGLine2D())
  #pragma alloc_text(BIMillerTime,             IGLine2D::points(IGPoint2D&,IGPoint2D&) const)
  #pragma alloc_text(BIMillerTime,             IGLine2D::IGLine2D(const IGLine2D&))
  #pragma alloc_text(BIMillerTime,             IGLine2D::IGLine2D(IGPoint2D,IGPoint2D))
  #pragma alloc_text(BIShakAttack,             IGPolyline2D::point(unsigned long) const)
  #pragma alloc_text(BIShakAttack,             IGPolyline2D::~IGPolyline2D())
  #pragma alloc_text(BIShakAttack,             IGPolyline2D::IGPolyline2D(const IGPolyline2D&))
  #pragma alloc_text(BIShakAttack,             IGPoint2DArray::IGPoint2DArray(const IGPoint2DArray&))
  #pragma alloc_text(BIShakAttack,             IGPolyline2D::IGPolyline2D(const IGPoint2DArray&))
  #pragma alloc_text(BIShakAttack,             IGPoint2DArray::IGPoint2DArray(unsigned long))
  #pragma alloc_text(BIShakAttack,             IGPolyline2D::numberOfPoints() const)
  #pragma alloc_text(BITheRightPrice,          IGPolyline2D::setPoint(unsigned long,const IGPoint2D&))
  #pragma alloc_text(BITheRightPrice,          IGPolyline2D::IGPolyline2D(unsigned long))
#endif

#ifdef _IGRAFATT_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IImageSamplingControl>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IColorTransferMode>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAbstractArt,            IStreamableHelperFor<IImageTransferMode>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIABernieWeekend,         IStreamableHelperFor<IJoint>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIABernieWeekend,         IStreamableHelperFor<ICap>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIABernieWeekend,         IStreamableHelperFor<IPen>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IPen>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<ICap>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IJoint>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IImageTransferMode>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IColorTransferMode>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IImageSamplingControl>::~IStreamableHelperFor())
  #pragma alloc_text(BIBoezePhoneHome,         IColorTransferMode::IColorTransferMode())
  #pragma alloc_text(BIBonannoRepublic,        IPen::setPenParams(IPen::EPenType,double,IPen::EPenBalance))
  #pragma alloc_text(BIBonannoRepublic,        ICap::ICap(ICap::ECapType))
  #pragma alloc_text(BIBrightBeak,             IColorTransferMode::operator=(const IColorTransferMode&))
  #pragma alloc_text(BIBonannoRepublic,        IImageSamplingControl::IImageSamplingControl())
  #pragma alloc_text(BIBonannoRepublic,        IImageTransferMode::IImageTransferMode())
  #pragma alloc_text(BIBonannoRepublic,        IJoint::IJoint(IJoint::EJointType,double))
  #pragma alloc_text(BIBruceKnee,              IColorTransferMode::mode() const)
  #pragma alloc_text(BIBruceKnee,              IImageTransferMode::operator=(const IImageTransferMode&))
  #pragma alloc_text(BIBruceKnee,              IPen::operator=(const IPen&))
  #pragma alloc_text(BIBruceKnee,              IPen::IPen(IPen::EPenType,double,IPen::EPenBalance))
  #pragma alloc_text(BIBruceKnee,              IPen::IPen())
  #pragma alloc_text(BIGRedPepperStich,        IImageSamplingControl::operator=(const IImageSamplingControl&))
  #pragma alloc_text(BIGRedPepperStich,        IJoint::operator=(const IJoint&))
  #pragma alloc_text(BIGRedPepperStich,        ICap::operator=(const ICap&))
  #pragma alloc_text(BIGRedPepperStich,        IColorTransferMode::IColorTransferMode(IColorTransferMode::EColorMode))
  #pragma alloc_text(BIJudyJudyJudy,           IJoint::miterLimit() const)
  #pragma alloc_text(BIJudyJudyJudy,           IJoint::jointType() const)
  #pragma alloc_text(BIJudyJudyJudy,           ICap::capType() const)
  #pragma alloc_text(BIJudyJudyJudy,           IPen::penWidth() const)
  #pragma alloc_text(BIJudyJudyJudy,           IPen::penType() const)
  #pragma alloc_text(BIOnAnotherBenge,         IImageSamplingControl::mode() const)
  #pragma alloc_text(BIOnAnotherBenge,         IImageTransferMode::mode() const)
  #pragma alloc_text(BIStangerHook,            IColorTransferMode::operator==(const IColorTransferMode&) const)
  #pragma alloc_text(BIStangerHook,            IColorTransferMode::operator!=(const IColorTransferMode&) const)
  #pragma alloc_text(BIStangerHook,            IPen::setPenWidth(double))
  #pragma alloc_text(BITheRightPrice,          IImageTransferMode::IImageTransferMode(IImageTransferMode::EImageMode))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IGRAFTXT_CPP_
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::lineBreak() const)
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IGraphicText>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::text() const)
  #pragma alloc_text(BITsujiNightLive,         IGraphicText::transform() const)
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::location() const)
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::dumpCachedState())
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::transformBy(const IGrafMatrix&))
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::draw(IGrafPort&) const)
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::~IGraphicText())
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::IGraphicText(const IText&,IGraphicText::ELineBreak))
  #pragma alloc_text(BIWesWantsMore,           ICachedState::~ICachedState())
  #pragma alloc_text(BIABernieWeekend,         IStreamableHelperFor<IGraphicText>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIWesWantsMore,           ISingleLineCache::mungeText())
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::setLocation(const IGPoint2D&))
  #pragma alloc_text(BIWesWantsMore,           ISingleLineCache::draw(IGrafPort&) const)
  #pragma alloc_text(BIWesWantsMore,           ISingleLineCache::cacheRun())
  #pragma alloc_text(BIWesWantsMore,           IGraphicText::getCachedState(const IGrafPort*) const)
  #pragma alloc_text(BIWesWantsMore,           ISingleLineCache::~ISingleLineCache())
  #pragma alloc_text(BIWesWantsMore,           ISingleLineCache::ISingleLineCache(const IGrafPort*,const IGraphicText*))
  #pragma alloc_text(BITsujiNightLive,         ICachedState::ICachedState(const IGrafPort*,const IGraphicText*))
#endif

#ifdef _IGRAPH2D_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIABernieWeekend,         IStreamableHelperFor<IGraphicGroup>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IGraphicGroup>::~IStreamableHelperFor())
  #pragma alloc_text(BIMountainsOfBusch,       IMGraphic::updateTimeStamp())
  #pragma alloc_text(BIMountainsOfBusch,       IMGraphic::IMGraphic())
  #pragma alloc_text(BIMountainsOfBusch,       IMGraphic::~IMGraphic())
  #pragma alloc_text(BIMountainsOfBusch,       IMDrawable::~IMDrawable())
  #pragma alloc_text(BIMountainsOfBusch,       IMDrawable::IMDrawable())
  #pragma alloc_text(BIStangerHook,            IMGraphic::timeStamp() const)
  #pragma alloc_text(BITsujiNightLive,         IMGraphic::attributeState() const)
  #pragma alloc_text(BITsujiNightLive,         IMGraphic::translateBy(const IGPoint2D&))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IGREXEPT_CPP_
  #pragma alloc_text(BIABernieWeekend,         IGraphicException::ParameterAssert(int,const char*))
  #pragma alloc_text(BIShakAttack,             IGraphicException::ParameterException(int,int))
#endif

#ifdef _IGRPORT_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IGrafPort::device())
  #pragma alloc_text(BIBoezePhoneHome,         IGrafPort::state() const)
  #pragma alloc_text(BIBonannoRepublic,        IGrafPort::setState(IGrafState*))
  #pragma alloc_text(BIBonannoRepublic,        IGrafPort::IGrafPort(IGrafDevice*))
  #pragma alloc_text(BIBonannoRepublic,        IGrafPort::~IGrafPort())
  #pragma alloc_text(BIBrightBeak,             IBaseRootGrafPort::doneWithState() const)
  #pragma alloc_text(BIBrightBeak,             IBaseRootGrafPort::useState() const)
  #pragma alloc_text(BIBrightBeak,             ILinkedGrafPort::doneWithState() const)
  #pragma alloc_text(BIBrightBeak,             ILinkedGrafPort::useState() const)
  #pragma alloc_text(BIBrightBeak,             ILinkedGrafPort::~ILinkedGrafPort())
  #pragma alloc_text(BIBrightBeak,             IBaseRootGrafPort::setupCoordinateSystem(int))
  #pragma alloc_text(BIBruceKnee,              IGrafPort::portForStateUsage() const)
  #pragma alloc_text(BIBruceKnee,              ILinkedGrafPort::ILinkedGrafPort(IGrafPort*,const IAttributeState*))
  #pragma alloc_text(BIBruceKnee,              IBaseRootGrafPort::IBaseRootGrafPort(IGrafDevice*))
  #pragma alloc_text(BIGRedPepperStich,        IBaseRootGrafPort::~IBaseRootGrafPort())
  #pragma alloc_text(BIHamiltonianQuill,       IExtendedRootGrafPort::IExtendedRootGrafPort(IPresSpaceHandle,ICoordinateSystem::EOrientation,EDeviceMappingMode))
  #pragma alloc_text(BIHamiltonianQuill,       IExtendedRootGrafPort::~IExtendedRootGrafPort())
  #pragma alloc_text(BIHolmesBuilder,          IGrafPort::draw(const IGRect2D&))
  #pragma alloc_text(BIIsHaggarHorrible,       ILinkedGrafPort::portForStateUsage() const)
  #pragma alloc_text(BIIsHaggarHorrible,       IRootGrafPort::IRootGrafPort(IPresSpaceHandle))
  #pragma alloc_text(BIIsHaggarHorrible,       IRootGrafPort::~IRootGrafPort())
  #pragma alloc_text(BIIsHaggarHorrible,       ILinkedGrafPort::ILinkedGrafPort(IGrafPort*,const IGArea*))
  #pragma alloc_text(BIMillerTime,             IGrafPort::draw(const IGLine2D&))
  #pragma alloc_text(BIMountainsOfBusch,       IGrafPort::draw(const IGRect2D&,const IAttributeState&,const IGrafMatrix&))
  #pragma alloc_text(BIOnAnotherBenge,         IGrafPort::draw(const IGImage&))
  #pragma alloc_text(BIShakAttack,             IGrafPort::draw(const IGPolyline2D&,const IAttributeState&,const IGrafMatrix&))
  #pragma alloc_text(BIShakAttack,             IGrafPort::draw(const IGPolyline2D&))
  #pragma alloc_text(BIOnAnotherBenge,         IGrafPort::adoptDeviceContext(IPresSpaceHandle))
  #pragma alloc_text(BIOnAnotherBenge,         IGrafPort::orphanDeviceContext())
  #pragma alloc_text(BITheRightPrice,          IGrafPort::draw(const IGImage&,const IAttributeState&,const IGrafMatrix&))
  #pragma alloc_text(BITheRightPrice,          ILinkedGrafPort::ILinkedGrafPort(IGrafPort*,EMatrixKind,const IGrafMatrix*))
  #pragma alloc_text(BITsujiNightLive,         IGrafPort::clipArea() const)
  #pragma alloc_text(BITsujiNightLive,         IGrafPort::matrix(EMatrixKind) const)
  #pragma alloc_text(BITsujiNightLive,         IGrafPort::draw(const IGTextRun&))
#endif

#ifdef _IGTXTRUN_CPP_
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::setBeginAndEnd(unsigned int,unsigned int))
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::cacheRenderSubtext(int))
  #pragma alloc_text(BITsujiNightLive,         IBaseColor::IBaseColor(unsigned char,unsigned char,unsigned char,unsigned char))
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::cacheRenderStyles())
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::resetStyles())
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::setText(const IText*))
  #pragma alloc_text(BITsujiNightLive,         IBaseColor::IBaseColor())
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::hadMetrics(IPresSpaceHandle,unsigned long,unsigned long) const)
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::~IGTextRun())
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::updateMetrics(IGRect2D&,IGPoint2D&,IPresSpaceHandle,unsigned long,unsigned long))
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::setAnchor(const IGPoint2D&))
  #pragma alloc_text(BITsujiNightLive,         IGTextRun::IGTextRun())
#endif

#ifdef _IIMAGE_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIABernieWeekend,         IStreamableHelperFor<IImage>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IImage>::~IStreamableHelperFor())
  #pragma alloc_text(BIHamiltonianQuill,       IKeySortedSetAsAvlTreeOps<IPointerData*,IPointerData*,IOpsWithKey<IPointerData*,IWCOps<IPointerData*,ICOps<IPointerData*> > >,IKeySortedSetAsAvlTreeImpl>::operator IKeySortedSetAsAvlTreeImpl*())
  #pragma alloc_text(BIHamiltonianQuill,       IKeySortedSetAsAvlTreeOps<IPointerData*,IPointerData*,IOpsWithKey<IPointerData*,IWCOps<IPointerData*,ICOps<IPointerData*> > >,IKeySortedSetAsAvlTreeImpl>::IKeySortedSetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       IKeySetAsAvlTreeOps<IPointerData*,IPointerData*,IOpsWithKey<IPointerData*,IWCOps<IPointerData*,ICOps<IPointerData*> > >,IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::IKeySetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       ISetAsAvlTreeOps<IPointerData*,IWCOps<IPointerData*,ICOps<IPointerData*> >,ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> > >::ISetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       IKeySetAsAvlTreeOps<IPointerData*,IPointerData*,IOpsWithKey<IPointerData*,IWCOps<IPointerData*,ICOps<IPointerData*> > >,IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::operator IKeySortedSetAsAvlTreeImpl&())
  #pragma alloc_text(BIHamiltonianQuill,       ISetAsAvlTreeOps<IPointerData*,IWCOps<IPointerData*,ICOps<IPointerData*> >,ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> > >::operator IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>&())
  #pragma alloc_text(BIOnAnotherBenge,         IImage::image() const)
  #pragma alloc_text(BIOnAnotherBenge,         IBaseColor::IBaseColor())
  #pragma alloc_text(BIOnAnotherBenge,         IImage::adoptImage(IGImage*))
  #pragma alloc_text(BIOnAnotherBenge,         IImage::~IImage())
  #pragma alloc_text(BIProudMary,              IImage::attributeState() const)
  #pragma alloc_text(BIProudMary,              IImage::IImage(const IBitmapHandle&))
  #pragma alloc_text(BIProudMary,              IImage::draw(IGrafPort&) const)
  #pragma alloc_text(BIProudMary,              IKeySortedSetAsAvlTreeOps<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> > >,IKeySortedSetAsAvlTreeImpl>::operator IKeySortedSetAsAvlTreeImpl*())
  #pragma alloc_text(BIProudMary,              IKeySortedSetAsAvlTreeOps<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> > >,IKeySortedSetAsAvlTreeImpl>::IKeySortedSetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIProudMary,              IKeySetAsAvlTreeOps<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> > >,IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::IKeySetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIProudMary,              ISetAsAvlTreeOps<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> >,ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> > >::ISetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIProudMary,              IKeySortedSetAsAvlTreeOps<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> > >,IKeySortedSetAsAvlTreeImpl>::CreateNode(const void*) const)
  #pragma alloc_text(BIProudMary,              IKeySetAsAvlTreeOps<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> > >,IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::operator IKeySortedSetAsAvlTreeImpl&())
  #pragma alloc_text(BIProudMary,              ISetAsAvlTreeOps<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> >,ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> > >::operator IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>&())
  #pragma alloc_text(BIStangerHook,            IKeySortedSetAsAvlTreeOps<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> > >,IKeySortedSetAsAvlTreeImpl>::Key(const void*) const)
  #pragma alloc_text(BIStangerHook,            IKeySortedSetAsAvlTreeOps<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> > >,IKeySortedSetAsAvlTreeImpl>::CompareKeys(const void*,const void*,IArgType) const)
  #pragma alloc_text(BIStangerHook,            IImage::grafPort())
  #pragma alloc_text(BITheRightPrice,          IImage::geometricBounds() const)
  #pragma alloc_text(BIStangerHook,            IKeySortedSetAsAvlTreeOps<IBitmapData*,IBitmapData*,IOpsWithKey<IBitmapData*,IWCOps<IBitmapData*,ICOps<IBitmapData*> > >,IKeySortedSetAsAvlTreeImpl>::DeleteNode(void*) const)
  #pragma alloc_text(BITheRightPrice,          IImage::sizeTo(const IGPoint2D&))
  #pragma alloc_text(BITheRightPrice,          IImage::IImage(long,long,IGImage::EImageType))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IMATRIX_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IGrafMatrix::resetTimeStamp())
  #pragma alloc_text(BIBoezePhoneHome,         IGrafMatrix::~IGrafMatrix())
  #pragma alloc_text(BIBoezePhoneHome,         IGrafMatrix::IGrafMatrix())
  #pragma alloc_text(BIBoezePhoneHome,         IGrafMatrix::isIdentity() const)
  #pragma alloc_text(BIBoezePhoneHome,         IGrafMatrix::identity())
  #pragma alloc_text(BIBonannoRepublic,        IGrafMatrix::setTimeStamp(unsigned long))
  #pragma alloc_text(BIBonannoRepublic,        IGrafMatrix::operator=(const IGrafMatrix&))
  #pragma alloc_text(BIGRedPepperStich,        IGrafMatrix::preConcatWith(const IGrafMatrix&))
  #pragma alloc_text(BIGRedPepperStich,        IGrafMatrix::invert())
  #pragma alloc_text(BIHamiltonianQuill,       IGrafMatrix::setToIdentity())
  #pragma alloc_text(BIJennsPen,               IGrafMatrix::isRectilinear() const)
  #pragma alloc_text(BIShakAttack,             IGrafMatrix::updateTimeStamp())
  #pragma alloc_text(BIStangerHook,            IGrafMatrix::setToTranslate(const IGPoint2D&))
  #pragma alloc_text(BIMountainsOfBusch,       IGrafMatrix::IGrafMatrix(const IGrafMatrix&))
  #pragma alloc_text(BIStangerHook,            IGrafMatrix::element(IGrafMatrix::EMatrixIndex) const)
  #pragma alloc_text(BITheRightPrice,          IGrafMatrix::operator==(const IGrafMatrix&) const)
  #pragma alloc_text(BITheRightPrice,          IGrafMatrix::translateBy(const IGPoint2D&))
  #pragma alloc_text(BITheRightPrice,          IGrafMatrix::transformBounds(const IGRect2D&) const)
  #pragma alloc_text(BITsujiNightLive,         IGrafMatrix::isTranslate() const)
  #pragma alloc_text(BITsujiNightLive,         IGrafMatrix::transformPoint(const IGPoint2D&) const)
  #pragma alloc_text(BITsujiNightLive,         IGrafMatrix::concatWith(const IGrafMatrix&))
#endif

#ifdef _IPAINTS_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIABernieWeekend,         IStreamableHelperFor<IPaint>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIABernieWeekend,         IMaskPattern::IMaskPattern(int))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableHelperFor<IPaint>::~IStreamableHelperFor())
  #pragma alloc_text(BIAnotherLoveTune,        IMaskPattern::~IMaskPattern())
  #pragma alloc_text(BIBoezePhoneHome,         IMaskPattern::pattern() const)
  #pragma alloc_text(BIBonannoRepublic,        IPaint::imagePattern() const)
  #pragma alloc_text(BIBonannoRepublic,        IPaint::maskPattern() const)
  #pragma alloc_text(BIBonannoRepublic,        IBaseColor::IBaseColor())
  #pragma alloc_text(BIBonannoRepublic,        IPaint::setColor(const IBaseColor&))
  #pragma alloc_text(BIBonannoRepublic,        IPaint::IPaint())
  #pragma alloc_text(BIBonannoRepublic,        IPaint::~IPaint())
  #pragma alloc_text(BIBruceKnee,              IPaint::color() const)
  #pragma alloc_text(BIGRedPepperStich,        IBaseColor::IBaseColor(const IBaseColor&))
  #pragma alloc_text(BIGRedPepperStich,        IPaint::IPaint(const IBaseColor&,const IMaskPattern&,const IGPoint2D&))
  #pragma alloc_text(BIStangerHook,            IPaint::patternPhase() const)
  #pragma alloc_text(BIStangerHook,            IPaint::operator=(const IPaint&))
  #pragma alloc_text(BIStangerHook,            IPaint::setMaskPattern(const IMaskPattern&))
  #pragma alloc_text(BIStangerHook,            IPaint::setPatternPhase(const IGPoint2D&))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IPT2DARR_CPP_
  #pragma alloc_text(BIShakAttack,             IGPoint2DArray::~IGPoint2DArray())
#endif

#ifdef _PIXBUF_CPP_
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::deviceContext() const)
  #pragma alloc_text(BIMountainsOfBusch,       IPixelBuffer::handle() const)
  #pragma alloc_text(BIMountainsOfBusch,       IPixelBuffer::height() const)
  #pragma alloc_text(BIMountainsOfBusch,       IPixelBuffer::width() const)
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::decrementCount())
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::refCount() const)
  #pragma alloc_text(BIProudMary,              IR5G6B5PixelBuffer::convertToNativeImage())
  #pragma alloc_text(BIProudMary,              IR5G6B5PixelBuffer::~IR5G6B5PixelBuffer())
  #pragma alloc_text(BIMountainsOfBusch,       IPixelBuffer::imageHandle() const)
  #pragma alloc_text(BIProudMary,              IR5G6B5PixelBuffer::IR5G6B5PixelBuffer(const IBitmapHandle&))
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::createDIBSection(const IRGBAColorArray*))
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::IPixelBuffer())
  #pragma alloc_text(BIProudMary,              IPixelBuffer::imageToMem(void*,int,int,IRGBAColorArray*))
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::initializeDeviceContext())
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::~IPixelBuffer())
  #pragma alloc_text(BITsujiNightLive,         IPixelBuffer::updateDeviceContext(void*))
  #pragma alloc_text(BITsujiNightLive,         IPixelBuffer::resize(unsigned long,unsigned long))
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::transperencyFlag())
  #pragma alloc_text(BITheRightPrice,          IPixelBuffer::incrementCount())
  #pragma alloc_text(BITheRightPrice,          IR8G8B8PixelBuffer::convertToNativeImage())
  #pragma alloc_text(BITheRightPrice,          IR8G8B8PixelBuffer::~IR8G8B8PixelBuffer())
  #pragma alloc_text(BITheRightPrice,          IR8G8B8PixelBuffer::IR8G8B8PixelBuffer(unsigned long,unsigned long))
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::createNativeImage(const IRGBAColorArray*))
  #pragma alloc_text(BIOnAnotherBenge,         IBaseColor::IBaseColor(unsigned char,unsigned char))
  #pragma alloc_text(BIOnAnotherBenge,         IPixelBuffer::buildNativeImage(const IRGBAColorArray*))
#endif

#ifdef _REGNEXTR_CPP_
  #pragma alloc_text(BIJennsPen,               IRegionGrafExtractor::region(IRegionHandle&) const)
  #pragma alloc_text(BIJennsPen,               IRegionGrafExtractor::extractRect(const IGRect2D&,ICAGUnary*,const IGrafMatrix&))
  #pragma alloc_text(BIJennsPen,               IRegionGrafExtractor::~IRegionGrafExtractor())
  #pragma alloc_text(BIJennsPen,               IRegionGrafExtractor::UpdateRegionArray(ICAGNode*))
  #pragma alloc_text(BIJennsPen,               IRegionGrafExtractor::IRegionGrafExtractor(IGdiDevice*))
#endif


/* IHOOK32 */

#endif //_ITUNINGG_H_
