// Revision: 20 1.1.1.2 source/core/base/ingthrd.c, oss, ioc.v400, 000919 
#ifndef _INGTHRD_C_
#define _INGTHRD_C_
/*******************************************************************************
* FILE NAME: ingthrd.c                                                         *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the template functions                *
*   declared in ingthrd.hpp.                                                   * 
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <ingthrd.hpp>

template < class T >
IThreadMemberFn<T>::IThreadMemberFn ( T &obj,
                                      void ( T::*mem )( ) )
  : member( mem ),
    object( obj )
  { }

template < class T >
IThreadMemberFn<T>::~IThreadMemberFn ( )
  { }

template < class T >
IThreadMemberFn<T>::IThreadMemberFn ( const IThreadMemberFn<T>& threadFunction )
  : member( threadFunction.member ),
    object( threadFunction.object )
  { }

#endif // _INGTHRD_C_
