// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 32 1.4.1.2 source/core/collect/iahp.inl, collection, ioc.v400, 000919  
#ifndef _IAHP_INL_
#define _IAHP_INL_

// ---
// IAHeap
// ---

#include <ilanglvl.hpp>

#if ! defined (__INO_AVALON__)
template <class Element>
inline
IAHeap <Element>::
IAHeap (INotifier& notifier)
{ this->SetImpl ((Implementation*)&notifier);
}

#endif
template <class Element>
inline
IAHeap <Element>::
~IAHeap ()
{
}

// protected members

template <class Element>
inline
IAHeap <Element>::
IAHeap ()
{
}

template <class Element>
inline
IAHeap <Element>::
IAHeap (IAHeap <Element> const& collection)
: Inherited (collection)
{
}

// private members

template <class Element>
inline TYPENAME IAHeap <Element>::Implementation&
IAHeap <Element>::
ImplOf (IAHeap <Element> const& collection)
{ return *(Implementation*)collection.ivImpl;
}

#endif // _IAHP_INL_
