// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 64 1.4.1.3 source/core/collect/iargtype.h, collection, ioc.v400, 000919 
#ifndef _IARGTYPE_
#define _IARGTYPE_

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

enum IArgType 
{
    kKey,
    kElement,
    kKeyKey,
    kElementKey,
    kElementElement
};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _IARGTYPE_
