// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 48 1.4.1.3 source/core/collect/iexctxt.h, collection, ioc.v400, 000919 
#ifndef _IEXCTXT_
#define _IEXCTXT_

#include <iiglobal.h>
#include <imsgtext.hpp>

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#endif

#if defined (__SOM_ENABLED__)
#pragma SOMAsDefault (off)
#endif

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC ICollectionExceptionText
{
public:

           ICollectionExceptionText
                            (unsigned long resourceId);

          ~ICollectionExceptionText
                            ();

  char const*
           text             () const;

           operator char const*
                            () const;

protected:

private:

  IMessageText* ivMsgTxt;

};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#if defined (__SOM_ENABLED__)
#pragma SOMAsDefault (pop)
#endif

#include <iexctxt.inl>

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (restore)
#endif

#endif // _IEXCTXT_
