// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 49 1.2.1.2 source/core/collect/iexctxt.inl, collection, ioc.v400, 000919 
#ifndef _IEXCTXT_INL_
#define _IEXCTXT_INL_

inline
ICollectionExceptionText::
~ICollectionExceptionText ( )
{ delete ivMsgTxt;
}

inline char const*
ICollectionExceptionText::
text ( ) const
{ if (ivMsgTxt != 0)
    return ivMsgTxt->text();
  else
    return "unknown exception text";
}

inline
ICollectionExceptionText::
operator char const* () const
{ return text ();
}

#endif // _IEXCTXT_INL_
