// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// "Restricted Materials of IBM"
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 94 1.5.1.2 source/core/collect/iiksavl.cpp, collection, ioc.v400, 000919  
#ifdef IC_PAGETUNE
  #define _IIKSAVL_CPP_
  #include <ipagetun.h>
#endif


#include <iiksavl.h>

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#endif

#if defined (__SOM_ENABLED__) && defined (__RRBC_LIB__)
#pragma define    (IKeySetOnKeySortedSetMngCursorImpl\
                    <IKeySortedSetAsAvlTreeImpl>)
#pragma SOMDefine (IKeySetOnKeySortedSetMngCursorImpl\
                    <IKeySortedSetAsAvlTreeImpl>)
#pragma define    (IAKeySetOnKeySortedSetOps\
                    <IKeySortedSetAsAvlTreeImpl>)
#pragma SOMDefine (IAKeySetOnKeySortedSetOps\
                    <IKeySortedSetAsAvlTreeImpl>)
#endif

// ---
// IKeySetAsAvlTreeImpl
// ---

char const*
IKeySetAsAvlTreeImpl::cvClassName = "KeySetAsAvlTree";

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (restore)
#endif
