// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 05 1.3.1.2 source/core/collect/iivmwt.c, collection, ioc.v400, 000919 
#ifndef _IIVMWT_C_
#define _IIVMWT_C_

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)
#endif

// ------------------
// IVMultiwayTreeImpl
// ------------------

// public members

template <class VInherited>
IVMultiwayTreeImpl <VInherited>::
IVMultiwayTreeImpl (Ops& ops, INumber numberOfElements)
: VInherited (ops, numberOfElements)
{
}

template <class VInherited>
IVMultiwayTreeImpl <VInherited>::
IVMultiwayTreeImpl
  (Ops& ops, IVMultiwayTreeImpl <VInherited> const& collection)
: VInherited (ops, collection)
{
}

#if defined (__OS2__) || defined (__OS400__) || defined (__WINDOWS__)
#pragma info (restore)
#endif

#endif // _IIVMWT_C_
