// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 34 1.3.1.2 source/core/collect/irdeque.inl, collection, ioc.v400, 000919  
#ifndef _IRDEQUE_INL_
#define _IRDEQUE_INL_

// ---
// IRDeque
// ---

// public members

template <class Element, class Base>
inline
IRDeque <Element, Base>::
IRDeque (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRDeque <Element, Base>&
IRDeque <Element, Base>::
operator= (IRDeque
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRDEQUE_INL_
