// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 57 1.3.1.2 source/core/collect/irksset.inl, collection, ioc.v400, 000919  
#ifndef _IRKSSET_INL_
#define _IRKSSET_INL_

// ---
// IRKeySortedSet
// ---

// public members

template <class Element, class Key, class Base>
inline
IRKeySortedSet <Element, Key, Base>::
IRKeySortedSet (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRKeySortedSet <Element, Key, Base>&
IRKeySortedSet <Element, Key, Base>::
operator= (IRKeySortedSet
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRKSSET_INL_
