// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 59 1.3.1.2 source/core/collect/irmap.inl, collection, ioc.v400, 000919  
#ifndef _IRMAP_INL_
#define _IRMAP_INL_

// ---
// IRMap
// ---

// public members

template <class Element, class Key, class Base>
inline
IRMap <Element, Key, Base>::
IRMap (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRMap <Element, Key, Base>&
IRMap <Element, Key, Base>::
operator= (IRMap
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRMAP_INL_
