// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 69 1.3.1.2 source/core/collect/irset.inl, collection, ioc.v400, 000919  
#ifndef _IRSET_INL_
#define _IRSET_INL_

// ---
// IRSet
// ---

// public members

template <class Element, class Base>
inline
IRSet <Element, Base>::
IRSet (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRSet <Element, Base>&
IRSet <Element, Base>::
operator= (IRSet
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRSET_INL_
