// Revision: 72 1.4.1.3 source/ui/baseapp/iaccelhd.hpp, userinput, ioc.v400, 000919  
/* NOSHIP */
#ifndef _IACCELHD_
#define _IACCELHD_
/*******************************************************************************
* FILE NAME: iaccelhd.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IAcceleratorKeyHandler                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>
#include <ievent.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

#ifdef IC_PM

class IAcceleratorKeyHandler : public IHandler {
typedef IHandler
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
  IAcceleratorKeyHandler ( );
virtual
 ~IAcceleratorKeyHandler ( );

/*------------------------------ Static Object -------------------------------*/
static IAcceleratorKeyHandler
 *defaultHandler ( );

protected:
/*---------------------------- Event Dispatching -----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent& event );

/*----------------------------- Event Processing -----------------------------*/
virtual bool
  key ( IEvent& event );
}; // IAcceleratorKeyHandler

#endif /* IC_PM */

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IACCELHD_ */
