// Revision: 44 1.5.1.2 source/ui/baseapp/iframext.inl, frame, ioc.v400, 000919 
#ifndef _IFRAMEXT_INL_
#define _IFRAMEXT_INL_
/*******************************************************************************
* FILE NAME: iframext.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in iframext.hpp.                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/

inline IFrameExtension::Type IFrameExtension :: type ( ) const
  {
  return this->extType;
  }

inline IFrameWindow::Location IFrameExtension :: location ( ) const
  {
  return this->extLocation;
  }


inline IWindow *IFrameExtension :: control ( ) const
  {
  return this->extControl;
  }
#endif // _IFRAMEXT_INL_
