// Revision: 66 1.4.1.3 source/ui/baseapp/iselhdr.hpp, genhdr, ioc.v400, 000919 
#ifndef _ISELHDR_
  #define _ISELHDR_
/*******************************************************************************
* FILE NAME: iselhdr.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ISelectHandler                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>
#include <ictlevt.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class IEvent;


#pragma enum(4)
#pragma pack(push,4)


class ISelectHandler : public IHandler {
typedef IHandler
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
virtual
 ~ISelectHandler ( );

protected:
/*------------------------------- Constructors -------------------------------*/
  ISelectHandler ( );

/*---------------------------- Event Dispatching -----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent& event );

/*----------------------------- Event Processing -----------------------------*/
virtual bool
  enter    ( IControlEvent& event ),
  selected ( IControlEvent& event );

#ifdef IC_MOTIF
private:
IWindowHandle
  control( const IControlEvent& event ) const;
#endif // IC_MOTIF

}; // ISelectHandler

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISELHDR_ */
