// Revision: 74 1.3.1.3 source/ui/baseapp/islhdr.hpp, listctls, ioc.v400, 000919 
#ifndef _ISLHDR_
  #define _ISLHDR_
/*******************************************************************************
* FILE NAME: islhdr.hpp                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IShowListHandler                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>
#include <ictlevt.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IShowListHandler : public IHandler {
typedef IHandler
  Inherited;

public:
/*-------------------------- Constructors ------------------------------------*/
virtual
 ~IShowListHandler ( );


protected:
/*------------------------- Protected Constructors ---------------------------*/
  IShowListHandler ( );

/*---------------------------- Event Dispatching -----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent& event );

/*----------------------------- Event Processing -----------------------------*/
virtual bool
  listShown ( IControlEvent& event ) = 0;
}; // IShowListHandler


#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISLHDR_ */
