// Revision: 76 1.7 source/ui/baseapp/islidhdr.hpp, slidectls, ioc.v400, 000919 
#ifndef _ISLIDHDR_
  #define _ISLIDHDR_
/*******************************************************************************
* FILE NAME: islidhdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ISliderDrawHandler                                                       *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>
#include <idievt.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

#ifdef IC_PMWIN
class ISliderDrawHandler : public IHandler {
typedef IHandler
  Inherited;

public:
/*-------------------------- Constructors ------------------------------------*/

  ISliderDrawHandler   ( );

virtual
 ~ISliderDrawHandler   ( );


protected:
/*--------------------------- Command Dispatching ----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent& event );

/*------------------------- Event Handling Functions -------------------------*/
virtual bool
  drawShaft            ( IDrawItemEvent& event ),
  drawRibbonStrip      ( IDrawItemEvent& event ),
  drawArm              ( IDrawItemEvent& event ),
  drawBackground       ( IDrawItemEvent& event );
};  // ISliderDrawHandler
#endif


#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISLIDHDR_ */
