// Revision: 90 1.6.1.3 source/ui/baseapp/ithread.inl, thread, ioc.v400, 000919  
#ifndef _ITHREAD_INL_
#define _ITHREAD_INL_
/*----------------------------------------------------------------------------*/
/* FILE NAME: ithread.inl                                                     */
/*                                                                            */
/* DESCRIPTION:                                                               */
/*   This file contains the definition of the inline functions for the        */
/*   classes declared in ithread.hpp.                                         */
/*                                                                            */
/*                                                                            */
/* COPYRIGHT:                                                                 */
/*   IBM Open Class Library                                                   */
/*   Licensed Materials - Property of IBM                                     */
/*                                                                            */
/*   5645-001                                                                 */
/*   (C) Copyright IBM Corporation 1992, 1997  All Rights Reserved.           */
/*                                                                            */
/*----------------------------------------------------------------------------*/


#include <itrace.hpp>

#ifndef IC_WIN
inline void IThread :: setDefaultAutoInitGUI ( bool newFlag )
  {
  IThread::dfltAutoInitGUI = newFlag;
  }

#ifndef IC_MOTIFWIN_FLAGNOP
inline long IThread :: defaultQueueSize ( )
  {
  ITRACE_MOTIF_NOP();
  ITRACE_WIN_NOP();
  return IThread::dfltQueueSize;
  }
#endif  // IC_MOTIFWIN_FLAGNOP

#ifndef IC_MOTIFWIN_FLAGNOP
inline void IThread :: setDefaultQueueSize ( long newQSize )
  {
  ITRACE_MOTIF_NOP();
  ITRACE_WIN_NOP();
  IThread::dfltQueueSize = newQSize;
  }
#endif // IC_MOTIFWIN_FLAGNOP
#endif // !IC_WIN
#endif // _ITHREAD_INL_
