// Revision: 37 1.2 source/ui/baseapp/iwinmphd.hpp, userinput, ioc.v400, 000919 
/* NOSHIP */
#ifndef _IWINMPHD_
#define _IWINMPHD_
/*******************************************************************************
* FILE NAME: iwinmphd.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IWindowMousePointerHandler                                               *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <imoushdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

#ifdef IC_PMWIN
class IWindowMousePointerHandler : public IMouseHandler {
typedef IMouseHandler
  Inherited;
public:
  IWindowMousePointerHandler ( );
virtual
 ~IWindowMousePointerHandler ( );
protected:
virtual bool
  mousePointerChange ( IMousePointerEvent& event );
}; // IWindowMousePointerHandler
#endif

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IWINMPHD_ */
