// Revision: 30 1.4.1.3 source/ui/basectl/ibtnnhdr.hpp, buttonctls, ioc.v400, 000919  
#ifndef _IBTNNHDR_
  #define _IBTNNHDR_
/*******************************************************************************
* FILE NAME: ibtnnhdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IButtonNotifyHandler                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <itextcnh.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IButtonNotifyHandler : public ITextControlNotifyHandler {
typedef ITextControlNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  IButtonNotifyHandler();
virtual
  ~IButtonNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IBTNNHDR_ */
