// Revision: 46 1.3.1.4 source/ui/basectl/icollvwi.hpp, listctls, ioc.v400, 000919 
#ifndef _ICOLLVWI_
  #define _ICOLLVWI_
/*******************************************************************************
* FILE NAME: icollvwi.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ICollectionViewConstants                                                 *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <iuipl.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)


class ICollectionViewConstants  {

public:

/*------------------------ Template Implementation ---------------------------*/
static const unsigned long
  IC_IMPORTU listError,
  IC_IMPORTU listNone,
  IC_IMPORTU listMemoryError,
  IC_IMPORTU listEnd,
  IC_IMPORTU listInsert,
  IC_IMPORTU listDelete,
  IC_IMPORTU listDeleteAll;
#ifdef IC_WIN
static const unsigned long
  IC_IMPORTU comboInsert,
  IC_IMPORTU comboDelete,
  IC_IMPORTU comboDeleteAll;
#endif

private:
/*------------------------ Hidden Members ------------------------------------*/
  ICollectionViewConstants ( );
  ICollectionViewConstants ( const ICollectionViewConstants& object );
ICollectionViewConstants
 &operator=                ( const ICollectionViewConstants& object );

};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif  /*  _ICOLLVWI_  */
