/* Revision: 52 1.3.2.2 source/ui/basectl/icombobx.h, listctls, ioc.v400, 000919  */
/*NOSHIP*/
#ifndef _ICOMBOBX_
#define _ICOMBOBX_
/*******************************************************************************
* FILE NAME: icombobx.h                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains combobox message defines.                               *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <iwindefs.h>
//icombobs.cpp    include
//icombobx.cpp    include
//icombovw.c      include
//ilistbx3.hpp    reference
//ilistbx4.hpp    reference
//ilistcv2.c      reference

#define IC_USE_CB

   #ifdef IC_WIN
   /* ----------------------- Combobox Control --------------------------*/

   #define CBM_SHOWLIST             CB_SHOWDROPDOWN
   #define CBM_ISLISTSHOWING        CB_GETDROPPEDSTATE
   #define LM_INSERTITEM            CB_INSERTSTRING        //dup
   #define LM_DELETEALL             CB_RESETCONTENT        //dup
   #define LM_DELETEITEM            CB_DELETESTRING        //dup
   #define LM_QUERYITEMTEXTLENGTH   CB_GETLBTEXTLEN        //dup
   #define LM_QUERYITEMTEXT         CB_GETLBTEXT           //dup
   #define LM_SELECTITEM            CB_SETCURSEL           //dup
   #define LM_QUERYSELECTION        CB_GETCURSEL           //dup
   #define IC_QUERYCURSELECTION     CB_GETCURSEL           //dup
   #define LM_SETITEMHANDLE         CB_SETITEMDATA         //dup
   #define LM_QUERYITEMHANDLE       CB_GETITEMDATA         //dup
   #define LM_SEARCHSTRING          CB_FINDSTRING          //dup
   #define IC_SEARCHSTRINGEXACT     CB_FINDSTRINGEXACT     //dup
   #define LM_QUERYITEMCOUNT        CB_GETCOUNT            //dup
   #define LIT_ERROR                (ULONG)CB_ERR          //dup
   #define LIT_MEMERROR             (ULONG)CB_ERRSPACE     //dup

   #endif

#endif // _ICOMBOBX_
