// Revision: 59 1.6.1.3 source/ui/basectl/icontrol.hpp, control, ioc.v400, 000919 
#ifndef _ICONTROL_
  #define _ICONTROL_
/*******************************************************************************
* FILE NAME: icontrol.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IControl                                                                 *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/
#include <iwindow.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class IControlData;

#pragma enum(4)
#pragma pack(push,4)

class IControl : public IWindow  {
typedef IWindow
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
virtual
  ~IControl();

/*---------------------------------- Styles ----------------------------------*/
INESTEDBITFLAGCLASSDEF1(Style, IControl, IWindow);

protected:
/*------------------------------- Constructors -------------------------------*/
  IControl ( );

private:
/*------------------------------ Hidden Members ------------------------------*/
  IControl  ( const IControl& );
IControl
 &operator= ( const IControl& );

/*--------------------------------- Private ----------------------------------*/
IControlData
 *fControlData;
}; // IControl

INESTEDBITFLAGCLASSFUNCS(Style, IControl)

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif  /* _ICONTROL_ */
