// Revision: 72 1.4.1.3 source/ui/basectl/ientrynh.hpp, editctls, ioc.v400, 000919 
#ifndef _IENTRYNH_
  #define _IENTRYNH_
/*******************************************************************************
* FILE NAME: ientrynh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IEntryFieldNotifyHandler                                                 *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/
#include <itextcnh.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IEntryFieldNotifyHandler : public ITextControlNotifyHandler {
typedef ITextControlNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  IEntryFieldNotifyHandler();
virtual
  ~IEntryFieldNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IENTRYNH_ */
