/* Revision: 51 1.3.2.2 source/ui/basectl/ilistbox.h, listctls, ioc.v400, 000919  */
/*NOSHIP*/
#ifndef _ILISTBOX_
#define _ILISTBOX_
/*******************************************************************************
* FILE NAME: ilistbox.h                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains listbox message defines.                                *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// icollvwi.cpp  include
// ilistbas.cpp  include
// ilistbx3.hpp  reference
// ilistbx4.hpp  reference
#include <iwindefs.h>
#ifdef IC_WIN
   /* ------------------------ Listbox Control --------------------------*/
   #define LM_INSERTITEM            LB_INSERTSTRING      //dup
   #define LM_DELETEALL             LB_RESETCONTENT      //dup
   #define LM_DELETEITEM            LB_DELETESTRING      //dup
   #define LM_QUERYITEMTEXTLENGTH   LB_GETTEXTLEN        //dup
   #define LM_QUERYITEMTEXT         LB_GETTEXT           //dup
   #define LM_SELECTITEM            LB_SETCURSEL         //dup
   #define LM_QUERYSELECTION        LB_GETSEL            //dup
   #define IC_QUERYCURSELECTION     LB_GETCURSEL         //dup
   #define LM_SETTOPINDEX           LB_SETTOPINDEX
   #define LM_QUERYTOPINDEX         LB_GETTOPINDEX
   #define LM_SETITEMHANDLE         LB_SETITEMDATA       //dup
   #define LM_QUERYITEMHANDLE       LB_GETITEMDATA       //dup
   #define LM_SETITEMHEIGHT         LB_SETITEMHEIGHT
   #define LM_SEARCHSTRING          LB_FINDSTRING        //dup
   #define IC_SEARCHSTRINGEXACT     LB_FINDSTRINGEXACT   //dup
   #define LM_QUERYITEMCOUNT        LB_GETCOUNT          //dup
   #define LIT_ERROR                (ULONG)LB_ERR        //dup
   #define LIT_MEMERROR             (ULONG)LB_ERRSPACE   //dup
   #define LS_MULTIPLESEL           LBS_MULTIPLESEL
   #define LS_EXTENDEDSEL           LBS_EXTENDEDSEL
   #define LS_OWNERDRAW             LBS_OWNERDRAWVARIABLE
   #define LS_NOADJUSTPOS           LBS_NOINTEGRALHEIGHT
#endif

#endif // _ILISTBOX_
