// Revision: 15 1.4.1.3 source/ui/basectl/imlenhdr.hpp, editctls, ioc.v400, 000919 
#ifndef _IMLENHDR_
  #define _IMLENHDR_
/*******************************************************************************
* FILE NAME: imlenhdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMultiLineEditNotifyHandler                                              *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/
#include <itextcnh.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IMultiLineEditNotifyHandler : public ITextControlNotifyHandler
{
typedef ITextControlNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  IMultiLineEditNotifyHandler();
virtual
  ~IMultiLineEditNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IMLENHDR_ */
