// Revision: 24 1.6 source/ui/basectl/inotebnh.hpp, notebook, ioc.v400, 000919 
#ifndef _INOTEBNH_
  #define _INOTEBNH_
/*******************************************************************************
* FILE NAME: inotebnh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     INotebookNotifyHandler                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <iwinnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class INotebookNotifyHandler : public IWindowNotifyHandler {
typedef IWindowNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  INotebookNotifyHandler();
virtual
  ~INotebookNotifyHandler();

protected:
/*---------------------------- Event Dispatching -----------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _INOTEBNH_ */
