// Revision: 36 1.4.1.3 source/ui/basectl/isetbnhd.hpp, buttonctls, ioc.v400, 000919  
#ifndef _ISETBNHD_
  #define _ISETBNHD_
/*******************************************************************************
* FILE NAME: isetbnhd.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ISettingButtonNotifyHandler                                              *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <ibtnnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ISettingButtonNotifyHandler : public IButtonNotifyHandler
{
typedef IButtonNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  ISettingButtonNotifyHandler();
virtual
  ~ISettingButtonNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent& anEvent );
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISETBNHD_ */
