// Revision: 42 1.7 source/ui/basectl/isetcv.inl, canvas, ioc.v400, 000919 
#ifndef _ISETCV_INL_
#define _ISETCV_INL_
/*******************************************************************************
* FILE NAME: isetcv.inl                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in isetcv.hpp.                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/

#ifndef IC_WIN
inline void ISetCanvas::setDefaultStyle ( const ISetCanvas::Style& style )
  {
  currentDefaultStyle = style;
  }
#endif
inline unsigned long ISetCanvas::deckCount ( ) const
  {
  return ulClNumDecks;
  }
inline ISize ISetCanvas::margin ( ) const
  {
  return sizClMargin;
  }
inline ISize ISetCanvas::pad ( ) const
  {
  return sizClPad;
  }
inline bool ISetCanvas::areExplicitAddsNeeded ( ) const
  {
  return fExplicitAdds;
  }
#endif // _ISETCV_INL_
