// Revision: 55 1.4.1.3 source/ui/basectl/ispbtnnh.hpp, listctls, ioc.v400, 000919 
#ifndef _ISPBTNNH_
  #define _ISPBTNNH_
/*******************************************************************************
* FILE NAME: ispbtnnh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     INumericSpinButtonNotifyHandler                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <iwinnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class INumericSpinButtonNotifyHandler : public IWindowNotifyHandler {
typedef IWindowNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  INumericSpinButtonNotifyHandler();
virtual
  ~INumericSpinButtonNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISPBTNNH_ */
