// Revision: 79 1.3.2.2 source/ui/basectl/istattx1.cpp, staticctls, ioc.v400, 000919  
/*******************************************************************************
* FILE NAME: istattx1.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the initialization of static strings used in the        *
*   IStaticText class.                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#pragma priority( -2147481324 )

extern "C" {
   #include <iwindefs.h>
}

#include <inotify.hpp>
#include <istattxt.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _ISTATTX1_CPP_
  #include <ipagetun.h>
#endif

// Initialize static objects and notification strings.
INotificationId const IStaticText::fillColorId      = "IStaticText::fillColor";
INotificationId const IStaticText::fillBackgroundId =
                                      "IStaticText::fillBackground";
INotificationId const IStaticText::strikeoutId      = "IStaticText::strikeout";
INotificationId const IStaticText::underscoreId     = "IStaticText::underscore";
INotificationId const IStaticText::halftoneId       = "IStaticText::halftone";
INotificationId const IStaticText::limitId          = "IStaticText::limit";
