// Revision: 92 1.4.1.3 source/ui/basectl/ititlenh.hpp, staticctls, ioc.v400, 000919 
#ifndef _ITITLENH_
  #define _ITITLENH_
/*******************************************************************************
* FILE NAME: ititlenh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ITextControlNotifyHandler                                                *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <itextcnh.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ITitleNotifyHandler : public ITextControlNotifyHandler
{
typedef ITextControlNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  ITitleNotifyHandler();
virtual
  ~ITitleNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ITITLENH_ */
