// Revision: 09 1.3.1.3 source/ui/cnr/icnrfilt.hpp, container, ioc.v400, 000919  
/* NOSHIP */
#ifndef _ICNRFILT_
#define _ICNRFILT_
/*******************************************************************************
* FILE NAME: icnrfilt.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IContainerHideFilter                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <icnrctl.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IContainerObject;

/*---------------------------------------------------------------------------*/
/* The following class is used to filter records from the container          */
/*---------------------------------------------------------------------------*/
class IContainerHideFilter : public IContainerControl::FilterFn
{
public:
  IContainerHideFilter ( );
 ~IContainerHideFilter ( );
  virtual bool
    isMemberOf( IContainerObject* object,
                IContainerControl* container) const;
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _ICNRFILT_
