// Revision: 60 1.3.1.3 source/ui/drag/idmdptgh.hpp, dragdrop, ioc.v400, 000919  
/* NOSHIP */
#ifndef _IDMDPTGH_
#define _IDMDPTGH_
/*******************************************************************************
* FILE NAME: idmdptgh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IDMDropTargetHandler                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class IWindow;
class IDMDropTargetHandlerData;

#pragma enum(4)
#pragma pack(push,4)

#ifdef IC_WIN

class IDMDropTargetHandler : public IHandler {
typedef IHandler
  Inherited;
public:

/*------------------------------- Constructors -------------------------------*/
  IDMDropTargetHandler  ( );
  virtual
    ~IDMDropTargetHandler ( );

/*---------------------------- Event Dispatching -----------------------------*/
  virtual IDMDropTargetHandler
     &handleEventsFor( IWindow* window );

protected:
/*----------------------------- Event Dispatching ----------------------------*/
virtual bool
  dispatchHandlerEvent ( IEvent&                event );

private:
/*--------------------------------- Private ----------------------------------*/
IDMDropTargetHandlerData
 *fDMDropTargetHandlerData;

}; // IDMDropTargetHandler

#endif /* IC_WIN */

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif //_IDMDPTGH_
