// Revision: 98 1.2.2.2 source/ui/drag/idmseq.cpp, dragdrop, ioc.v400, 000919  
/*******************************************************************************
* FILE NAME: idmseq.cpp                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Implementation of the class(es):                                           *
*     IDMItemSeq                                                               *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IDMSEQ_
  #include <idmseq.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IDMSEQ_CPP_
  #include <ipagetun.h>
#endif


/*------------------------------------------------------------------------------
| IDMItemSeq::IDMItemSeq                                                       |
| Constructor                                                                  |
------------------------------------------------------------------------------*/
IDMItemSeq :: IDMItemSeq ( )
  : ISequence< IDMItem::Handle >( 30 )
{
}

/*------------------------------------------------------------------------------
| IDMItemSeq::~IDMItemSeq                                                      |
| Destructor                                                                   |
------------------------------------------------------------------------------*/
IDMItemSeq :: ~IDMItemSeq ( )
{
}
