// Revision: 38 1.4.1.3 source/ui/extapp/iflypain.hpp, staticctls, ioc.v400, 000919  
/* NOSHIP */
#ifndef _IFLYPAIN_
#define _IFLYPAIN_
/*******************************************************************************
* FILE NAME: iflypain.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IFlyTextPaintHandler                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ipainhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IFlyTextPaintHandler : public IPaintHandler {
typedef IPaintHandler
  Inherited;

public:
/*------------------------------- Constructors -------------------------------*/
  IFlyTextPaintHandler ();
virtual
  ~IFlyTextPaintHandler ();

protected:
/*---------------------------- Event Dispatching -----------------------------*/
virtual bool
  paintWindow( IPaintEvent& event ),
  dispatchHandlerEvent( IEvent& event );

}; // IFlyTextPaintHandler

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IFLYPAIN_ */
