// Revision: 03 1.6.1.3 source/albert/graph2d/icoordsy.inl, 2d, ioc.v400, 000919  
#ifndef _ICOORDSY_INL_
#define _ICOORDSY_INL_
/*******************************************************************************
* FILE NAME: icoordsy.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in icoordsy.hpp                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/

inline ICoordinateSystem::EOrientation ICoordinateSystem::nativeOrientation ( )
{
#ifdef   IC_MOTIFWIN
	return kOriginUpperLeft;
#endif   //IC_MOTIFWIN
#ifdef   IC_PM
	return kOriginLowerLeft;
#endif   //IC_PM
}

#ifndef IC_WIN
inline ICoordinateSystem::EOrientation ICoordinateSystem::applicationOrientation  ( )
{
	return fsapplication;
}


inline bool ICoordinateSystem::isConversionNeeded ( )
{
	return (fsapplication != nativeOrientation()) ;
}
#endif //!IC_WIN

#endif // _ICOORDSY_INL_
