// Revision: 17 1.2.1.5 source/core/attrib/iatname.inl, attributes, ioc.v400, 000919 
/*******************************************************************************
* FILE NAME: iatname.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Implementation of the inline methods in the classes:                       *
*     IAttributeName                                                           *
*     IDoubleTag                                                               *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/

#ifndef _IATNAME_INL_
#define _IATNAME_INL_

inline
bool
IAttributeName::operator!=(const IAttributeName& rhs) const
{
        return( !this->operator==(rhs) );
}

inline
unsigned long
IAttributeName::hash() const
{
        return fData->fHashValue;
}

inline
const char*
IAttributeName::getString() const
{
        return fData->fString;
}

#endif // _IATNAME_INL_
