// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// "Restricted Materials of IBM"
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 28 1.2 source/core/base/del4cngt.cpp, oss, ioc.v400, 000919 

#include <ingthrd.hpp>
#include "del4cngt.hpp"

#ifdef IC_PAGETUNE
#define _DEL4CNGT_CPP_
#include <ipagetun.h>
#endif

DeleterForCurrentNonGUIThread::DeleterForCurrentNonGUIThread()
{
}

DeleterForCurrentNonGUIThread::~DeleterForCurrentNonGUIThread()
{
  if (INonGUIThread::current)
    {
      delete INonGUIThread::pCurrent;
    }
}
