/* NOSHIP */
#ifndef _ITUNINGB_H_
#define _ITUNINGB_H__
// Revision: 58 1.3.2.1 source/core/base/win32/ituningb.h, appsupport, ioc.v400, 000919 
/*******************************************************************************
* FILE NAME: ituningb.h                                                         *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Definition of Page Layout for base DLL (Windows)                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Replace text between here and #endif _ITUNINGB_H_ with output of
// page tuning tools.

/* CPPOBI36 */
#ifdef _ATOMIC_CPP_
  #pragma alloc_text(BIBonannoRepublic,        AtomicSwap(void* volatile*,void*,void*))
  #pragma alloc_text(BIAbstractArt,            AtomicGet(void* const volatile*))
#endif

#ifdef _DDE4DLL2_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __IInitTermDefault)
#endif

#ifdef _DDE4UDLL_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      _DLL_InitTerm)
#endif

#ifdef _DIRECTRY_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJudyJudyJudy,           IStreamableHelperFor<IDirectory>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIJennsPen,               IDirectory::~IDirectory())
  #pragma alloc_text(BIBrightBeak,             IDirectory::IDirectory())
  #pragma alloc_text(BIHolmesBuilder,          IStreamableHelperFor<IDirectory>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _ENTITY_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJudyJudyJudy,           IStreamableHelperFor<IFileSystemEntity>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIJennsPen,               IFileSystemEntity::~IFileSystemEntity())
  #pragma alloc_text(BIBonannoRepublic,        IFileSystemEntity::IFileSystemEntity())
  #pragma alloc_text(BIHolmesBuilder,          IStreamableHelperFor<IFileSystemEntity>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _FILE_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJudyJudyJudy,           IStreamableHelperFor<IFile>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIHolmesBuilder,          IStreamableHelperFor<IFile>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _FILESYS_CPP_
  #pragma alloc_text(BIHolmesBuilder,          IFSFileSystem::IFSFileSystem())
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIHolmesBuilder,          IFSFileSystem::instance())
#endif

#ifdef _FSALIAS_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJudyJudyJudy,           IStreamableHelperFor<IFSAlias>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIHolmesBuilder,          IStreamableHelperFor<IFSAlias>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _IBASE_CPP_
  #pragma alloc_text(BIHolmesBuilder,          ICLUI_Init::ICLUI_Init())
  #pragma alloc_text(BIJudyJudyJudy,           ICLUI_Init::~ICLUI_Init())
  #pragma alloc_text(BITheRightPrice,          ICLUI_Init::write(const char*))
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IBCLLCT_CPP_
  #pragma alloc_text(BIABernieWeekend,         ICursor::~ICursor())
#endif

#ifdef _IBHANDLE_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            operator==(const IThreadId&,const IThreadId&))
  #pragma alloc_text(BIAnotherLoveTune,        IThreadId::asUnsigned() const)
  #pragma alloc_text(BIBruceKnee,              IThreadId::operator=(const IThreadId&))
  #pragma alloc_text(BIBrightBeak,             IThreadId::isValid() const)
  #pragma alloc_text(BIGRedPepperStich,        operator!=(const IThreadId&,const IThreadId&))
  #pragma alloc_text(BIOnAnotherBenge,         IProcessId::asString() const)
  #pragma alloc_text(BIAbstractArt,            IThreadId::operator unsigned long() const)
#endif

#ifdef _IBUFFER0_CPP_
  #pragma alloc_text(BIABernieWeekend,         IBuffer::fromContents(const char*))
  #pragma alloc_text(BIABernieWeekend,         IBuffer::IBuffer(unsigned int))
  #pragma alloc_text(BIABernieWeekend,         IBuffer::newBuffer(const void*,unsigned int,const void*,unsigned int,const void*,unsigned int,char) const)
  #pragma alloc_text(BIABernieWeekend,         IBuffer::~IBuffer())
  #pragma alloc_text(BIABernieWeekend,         IBuffer::allocate(unsigned int) const)
  #pragma alloc_text(BIBoezePhoneHome,         IBuffer::defaultBuffer())
  #pragma alloc_text(BIHolmesBuilder,          IBuffer::initialize())
  #pragma alloc_text(BIBoezePhoneHome,         IBuffer::null() const)
  #pragma alloc_text(BIShakAttack,             IBuffer::rightJustify(unsigned int,char))
  #pragma alloc_text(BIWesWantsMore,           IBuffer::remove(unsigned int,unsigned int))
#endif

#ifdef _IBUFFER1_CPP_
  #pragma alloc_text(BIProudMary,              isalpha)
  #pragma alloc_text(BIStangerHook,            IBuffer::isAlphabetic() const)
#endif

#ifdef _IBUFFER2_CPP_
  #pragma alloc_text(BIABernieWeekend,         IBuffer::compare(const void*,unsigned int) const)
#endif

#ifdef _IBUFFER5_CPP_
  #pragma alloc_text(BIJudyJudyJudy,           IBuffer::subString(unsigned int,unsigned int,char) const)
#endif

#ifdef _IBUFFER6_CPP_
  #pragma alloc_text(BIAnotherLoveTune,        IBuffer::startSearch(unsigned int,unsigned int) const)
  #pragma alloc_text(BIAnotherLoveTune,        IBuffer::indexOf(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(BIJudyJudyJudy,           IBuffer::indexOfAnyOf(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(BIJudyJudyJudy,           IBuffer::lastIndexOfAnyOf(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(BIJudyJudyJudy,           IBuffer::startBackwardsSearch(unsigned int,unsigned int) const)
  #pragma alloc_text(BIMountainsOfBusch,       IBuffer::indexOfAnyBut(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(BIMountainsOfBusch,       IBuffer::lastIndexOfAnyBut(const char*,unsigned int,unsigned int) const)
  #pragma alloc_text(BIOnAnotherBenge,         IBuffer::indexOfAnyBut(const IStringTest&,unsigned int) const)
  #pragma alloc_text(BIOnAnotherBenge,         IBuffer::lastIndexOfAnyBut(const IStringTest&,unsigned int) const)
#endif

#ifdef _IBUFFER7_CPP_
  #pragma alloc_text(BIMountainsOfBusch,       IBuffer::strip(const char*,unsigned int,IStringEnum::StripMode))
  #pragma alloc_text(BIMountainsOfBusch,       IBuffer::overlayWith(const char*,unsigned int,unsigned int,char))
  #pragma alloc_text(BIOnAnotherBenge,         IBuffer::strip(const IStringTest&,IStringEnum::StripMode))
  #pragma alloc_text(BIOnAnotherBenge,         IBuffer::change(const char*,unsigned int,const char*,unsigned int,unsigned int,unsigned int))
  #pragma alloc_text(BITheRightPrice,          Occurrence::~Occurrence())
  #pragma alloc_text(BITheRightPrice,          IBuffer::insert(const char*,unsigned int,unsigned int,char))
  #pragma alloc_text(BITsujiNightLive,         IBuffer::upperCase())
#endif

#ifdef _ICHBKDAT_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _ICMPDNAM_CPP_
  #pragma alloc_text(BIHolmesBuilder,          ICompoundNameParser::ICompoundNameParser())
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJudyJudyJudy,           IStreamableHelperFor<ICompoundName>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIHolmesBuilder,          IStreamableHelperFor<ICompoundName>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _ICNTPTR_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJudyJudyJudy,           IStreamableHelperFor<IVoidMasterPointer>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIHolmesBuilder,          IStreamableHelperFor<IVoidMasterPointer>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _ICOLTMPL_CPP_
  #pragma alloc_text(BIIsHaggarHorrible,       IMapOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> > >::CreateCursor() const)
  #pragma alloc_text(BIJudyJudyJudy,           ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::CreateCursor() const)
  #pragma alloc_text(BIProudMary,              ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::~ISetOnKeySetImpl())
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::CreateCursor() const)
  #pragma alloc_text(BIWesWantsMore,           IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::LocateElementWithKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIWesWantsMore,           IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::ElementWithKey(const void*) const)
  #pragma alloc_text(BIMountainsOfBusch,       IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::CreateCursor() const)
  #pragma alloc_text(BIStangerHook,            IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::LocateKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIOnAnotherBenge,         IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::~IKeySortedSetOnSequenceImpl())
  #pragma alloc_text(BIJudyJudyJudy,           IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::LocateElementWithKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::ElementWithKey(const void*) const)
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::CreateCursor() const)
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::LocateKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIAnotherLoveTune,        IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::CreateCursor() const)
  #pragma alloc_text(BIHolmesBuilder,          IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::~IKeySetOnKeySortedSetImpl())
  #pragma alloc_text(BIABernieWeekend,         IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::CreateCursor() const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::~IKeySetOnKeyBagImpl())
  #pragma alloc_text(BIShakAttack,             IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::Locate(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIBonannoRepublic,        IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::CreateCursor() const)
  #pragma alloc_text(BIGRedPepperStich,        IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::~IEqualitySequenceOnSequenceImpl())
  #pragma alloc_text(BIJudyJudyJudy,           IMapOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> > >::ReplaceElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIJudyJudyJudy,           IMapOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> > >::ElementWithKey(const void*) const)
  #pragma alloc_text(BIJudyJudyJudy,           IMapOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> > >::ContainsElementWithKey(const void*) const)
  #pragma alloc_text(BIIsHaggarHorrible,       IMapOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> > >::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIIsHaggarHorrible,       IMapOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> > >::IMapOnKeySetImpl(IAMapOnKeySetOps<IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> > >&,unsigned long))
  #pragma alloc_text(BIShakAttack,             ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::Clone() const)
  #pragma alloc_text(BIMountainsOfBusch,       ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIJudyJudyJudy,           ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIMountainsOfBusch,       ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::RemoveAt(ICursorImpl&))
  #pragma alloc_text(BIShakAttack,             ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::RemoveAll())
  #pragma alloc_text(BIMillerTime,             ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BIMillerTime,             ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIJudyJudyJudy,           ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::ISetOnKeySetImpl(IASetOnKeySetOps<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >&,unsigned long))
  #pragma alloc_text(BIJudyJudyJudy,           IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::ReplaceElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIJudyJudyJudy,           IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::ElementWithKey(const void*) const)
  #pragma alloc_text(BIJennsPen,               IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::ContainsElementWithKey(const void*) const)
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::IKeySetOnKeySortedSetImpl(IAKeySetOnKeySortedSetOps<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >&,unsigned long))
  #pragma alloc_text(BITheRightPrice,          IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::Key(const void*) const)
  #pragma alloc_text(BIStangerHook,            IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::LocateNextKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIWesWantsMore,           IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::RemoveAt(ICursorImpl&))
  #pragma alloc_text(BIProudMary,              IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::RemoveAll())
  #pragma alloc_text(BIWesWantsMore,           IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::Last() const)
  #pragma alloc_text(BIWesWantsMore,           IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::IsEmpty() const)
  #pragma alloc_text(BIProudMary,              IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIMountainsOfBusch,       IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIProudMary,              IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BITheRightPrice,          IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIOnAnotherBenge,         IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::IKeySortedSetOnSequenceImpl(IAKeySortedSetOnSequenceOps<ISequenceAsTableImpl>&,unsigned long))
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::Key(const void*) const)
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::LocateNextKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIJennsPen,               IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::ReplaceElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIJennsPen,               IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::IKeySortedSetOnSequenceImpl(IAKeySortedSetOnSequenceOps<ISequenceAsListImpl>&,unsigned long))
  #pragma alloc_text(BIMillerTime,             IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIMountainsOfBusch,       IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::RemoveElementWithKey(const void*))
  #pragma alloc_text(BIMountainsOfBusch,       IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::RemoveAt(ICursorImpl&))
  #pragma alloc_text(BIHolmesBuilder,          IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::RemoveAll(int(*)(const void*,void*),void*))
  #pragma alloc_text(BIShakAttack,             IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::RemoveAll())
  #pragma alloc_text(BIMillerTime,             IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::NumberOfElements() const)
  #pragma alloc_text(BIMillerTime,             IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::LocateElementWithKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::ElementWithKey(const void*) const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BIBoezePhoneHome,         IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::ContainsElementWithKey(const void*) const)
  #pragma alloc_text(BIOnAnotherBenge,         IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::AllElementsDo(int(*)(void*,void*),void*))
  #pragma alloc_text(BIMillerTime,             IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::AddOrReplaceElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIBoezePhoneHome,         IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIShakAttack,             IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::IKeySetOnKeySortedSetImpl(IAKeySetOnKeySortedSetOps<IKeySortedSetAsAvlTreeImpl>&,const IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>&))
  #pragma alloc_text(BIBoezePhoneHome,         IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl>::IKeySetOnKeySortedSetImpl(IAKeySetOnKeySortedSetOps<IKeySortedSetAsAvlTreeImpl>&,unsigned long))
  #pragma alloc_text(BIJudyJudyJudy,           IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIAnotherLoveTune,        IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIJennsPen,               IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::RemoveElementWithKey(const void*))
  #pragma alloc_text(BIJudyJudyJudy,           IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::NumberOfElements() const)
  #pragma alloc_text(BIBoezePhoneHome,         IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::LocateOrAddElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIABernieWeekend,         IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::LocateElementWithKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIBruceKnee,              IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::ElementWithKey(const void*) const)
  #pragma alloc_text(BIAbstractArt,            IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BIBonannoRepublic,        IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::ContainsElementWithKey(const void*) const)
  #pragma alloc_text(BIBonannoRepublic,        IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::AddOrReplaceElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIBrightBeak,             IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIBoezePhoneHome,         IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>::IKeySetOnKeyBagImpl(IAKeySetOnKeyBagOps<IKeyBagAsHshTableImpl>&,unsigned long))
  #pragma alloc_text(BIGRedPepperStich,        IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::Clone() const)
  #pragma alloc_text(BIBruceKnee,              IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::LocateFirst(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIWesWantsMore,           IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::SetToPosition(unsigned long,ICursorImpl&) const)
  #pragma alloc_text(BIOnAnotherBenge,         IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::PositionAt(const ICursorImpl&) const)
  #pragma alloc_text(BIShakAttack,             IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::NumberOfElements() const)
  #pragma alloc_text(BIOnAnotherBenge,         IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIOnAnotherBenge,         IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BIBonannoRepublic,        IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BITheRightPrice,          IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::AddAsLast(const void*,ICursorImpl&))
  #pragma alloc_text(BIGRedPepperStich,        IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIGRedPepperStich,        IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::IEqualitySequenceOnSequenceImpl(IAEqualitySequenceOnSequenceOps<ISequenceAsListImpl>&,const IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>&))
  #pragma alloc_text(BIBruceKnee,              IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::IEqualitySequenceOnSequenceImpl(IAEqualitySequenceOnSequenceOps<ISequenceAsListImpl>&,unsigned long))
  #pragma alloc_text(BIWesWantsMore,           IKeySortedSetOnSequenceImpl<ISequenceAsTableImpl>::ContainsElementWithKey(const void*) const)
  #pragma alloc_text(BIJennsPen,               IKeySortedSetOnSequenceImpl<ISequenceAsListImpl>::ContainsElementWithKey(const void*) const)
  #pragma alloc_text(BIGRedPepperStich,        IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>::Contains(const void*) const)
#endif

#ifdef _ICONDITN_CPP_
  #pragma alloc_text(BIBonannoRepublic,        IPrivateCondition::IPrivateCondition())
#endif

#ifdef _IDATE_CPP_
  #pragma alloc_text(BIProudMary,              MDYToJulian(MDY))
  #pragma alloc_text(BIProudMary,              julianToMDY(unsigned long))
  #pragma alloc_text(BIProudMary,              IDate::year() const)
  #pragma alloc_text(BIProudMary,              IDate::dayOfMonth() const)
  #pragma alloc_text(BIProudMary,              IDate::monthOfYear() const)
  #pragma alloc_text(BIProudMary,              IDate::initialize(IDate::Month,int,int))
  #pragma alloc_text(BIProudMary,              IDate::IDate())
  #pragma alloc_text(BIProudMary,              IDate::asString(const char*) const)
  #pragma alloc_text(BIProudMary,              IDate::asString(IDate::YearFormat) const)
  #pragma alloc_text(BIProudMary,              IDate::today())
#endif

#ifdef _IDLLIMP_CPP_
  #pragma alloc_text(BIMountainsOfBusch,       IWindowsDLLImp::IWindowsDLLImp(const char*,int))
  #pragma alloc_text(BIOnAnotherBenge,         IRefCountedDLLImp::removeRef())
  #pragma alloc_text(BIMountainsOfBusch,       IRefCountedDLLImp::initialCreationName() const)
  #pragma alloc_text(BIOnAnotherBenge,         IRefCountedDLLImp::IRefCountedDLLImp(const IModuleHandle&))
  #pragma alloc_text(BIMillerTime,             IRefCountedDLLImp::addRef())
  #pragma alloc_text(BIOnAnotherBenge,         IWindowsDLLImp::IWindowsDLLImp(const IModuleHandle&))
  #pragma alloc_text(BIMountainsOfBusch,       IWindowsDLLImp::loadedPathName() const)
  #pragma alloc_text(BIMountainsOfBusch,       IWindowsDLLImp::openDLL())
  #pragma alloc_text(BIMountainsOfBusch,       IRefCountedDLLImp::IRefCountedDLLImp(const char*,int))
#endif

#ifdef _IDLLMOD_CPP_
  #pragma alloc_text(BIMountainsOfBusch,       IDLLModule::fileName() const)
  #pragma alloc_text(BIOnAnotherBenge,         IDLLModule::close())
  #pragma alloc_text(BIOnAnotherBenge,         IDLLModule::IDLLModule(const IModuleHandle&))
  #pragma alloc_text(BIMountainsOfBusch,       IDLLModule::open())
  #pragma alloc_text(BIMountainsOfBusch,       IDLLModule::IDLLModule(const char*,IDLLModule::ESearchLocation))
  #pragma alloc_text(BIMillerTime,             IDLLModule::handle() const)
  #pragma alloc_text(BIOnAnotherBenge,         IDLLModule::~IDLLModule())
  #pragma alloc_text(BIMillerTime,             IKeySortedSetAsAvlTreeOps<IRefCountedDLLImp*,IRefCountedDLLImp*,IOpsWithKey<IRefCountedDLLImp*,IWCOps<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> > >,IKeySortedSetAsAvlTreeImpl>::operator IKeySortedSetAsAvlTreeImpl*())
  #pragma alloc_text(BIMillerTime,             IKeySortedSetAsAvlTreeOps<IRefCountedDLLImp*,IRefCountedDLLImp*,IOpsWithKey<IRefCountedDLLImp*,IWCOps<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> > >,IKeySortedSetAsAvlTreeImpl>::IKeySortedSetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIMillerTime,             IKeySetAsAvlTreeOps<IRefCountedDLLImp*,IRefCountedDLLImp*,IOpsWithKey<IRefCountedDLLImp*,IWCOps<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> > >,IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> >::IKeySetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIMillerTime,             ISetAsAvlTreeOps<IRefCountedDLLImp*,IWCOps<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> >,ISetOnKeySetImpl<IKeySetOnKeySortedSetImpl<IKeySortedSetAsAvlTreeImpl> > >::ISetAsAvlTreeOps(unsigned long))
  #pragma alloc_text(BIMillerTime,             IKeySortedSetAsAvlTreeOps<IRefCountedDLLImp*,IRefCountedDLLImp*,IOpsWithKey<IRefCountedDLLImp*,IWCOps<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> > >,IKeySortedSetAsAvlTreeImpl>::CreateNode(const void*) const)
#endif

#ifdef _IDLLSTAT_CPP_
  #pragma alloc_text(BIMillerTime,             IAEqualityCollection<IRefCountedDLLImp*>::IAEqualityCollection())
  #pragma alloc_text(BIMillerTime,             IASet<IRefCountedDLLImp*>::IASet())
  #pragma alloc_text(BIMillerTime,             IGSet<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> >::IGSet(unsigned long))
  #pragma alloc_text(BIMillerTime,             IACollection<IRefCountedDLLImp*>::IACollection())
  #pragma alloc_text(BIMillerTime,             IElementCursor<IRefCountedDLLImp*>::~IElementCursor())
  #pragma alloc_text(BIMillerTime,             IGSetCursor<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> >::~IGSetCursor())
  #pragma alloc_text(BIMillerTime,             IGSetCursor<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> >::IGSetCursor(const IGSet<IRefCountedDLLImp*,ICOps<IRefCountedDLLImp*> >&))
  #pragma alloc_text(BIMillerTime,             ISet<IRefCountedDLLImp*>::ISet(unsigned long))
  #pragma alloc_text(BIMillerTime,             IDLLStaticPtr::dllKey())
  #pragma alloc_text(BIMillerTime,             IDLLSet::IDLLSet())
  #pragma alloc_text(BIMillerTime,             IDLLStaticPtr::dllSet())
  #pragma alloc_text(BIMillerTime,             IACollectionBase::IACollectionBase())
  #pragma alloc_text(BIMillerTime,             IElementCursor<IRefCountedDLLImp*>::IElementCursor(ICursorImpl*))
  #pragma alloc_text(BIMillerTime,             IDLLSet::add(IRefCountedDLLImp*))
  #pragma alloc_text(BIOnAnotherBenge,         IDLLSet::find(const IModuleHandle&))
  #pragma alloc_text(BIMountainsOfBusch,       IDLLSet::find(const IRefCountedDLLImp*))
#endif

#ifdef _IEXCBASE_CPP_
  #pragma alloc_text(BIBonannoRepublic,        traceFunction_Lock())
  #pragma alloc_text(BIBrightBeak,             IException::TraceFn::TraceFn())
  #pragma alloc_text(BIHolmesBuilder,          IException::setTraceFunction(IException::TraceFn&))
  #pragma alloc_text(BIShakAttack,             IExceptionLocation::IExceptionLocation(const char*,const char*,unsigned long))
  #pragma alloc_text(BIShakAttack,             IExceptionLocation::__dftct())
  #pragma alloc_text(BITheRightPrice,          IException::textCount() const)
  #pragma alloc_text(BITsujiNightLive,         IException::text(unsigned long) const)
  #pragma alloc_text(BIWesWantsMore,           IAccessError::name() const)
  #pragma alloc_text(BIWesWantsMore,           IException::TraceFn::exceptionLogged())
  #pragma alloc_text(BIWesWantsMore,           IException::errorId() const)
  #pragma alloc_text(BIWesWantsMore,           IException::isRecoverable() const)
  #pragma alloc_text(BIWesWantsMore,           IException::addLocation(const IExceptionLocation&))
  #pragma alloc_text(BIWesWantsMore,           IException::errorCodeGroup() const)
  #pragma alloc_text(BIWesWantsMore,           IException::locationCount() const)
  #pragma alloc_text(BIWesWantsMore,           IExceptionLocation::lineNumber() const)
  #pragma alloc_text(BIWesWantsMore,           IExceptionLocation::functionName() const)
  #pragma alloc_text(BIWesWantsMore,           IExceptionLocation::fileName() const)
  #pragma alloc_text(BIWesWantsMore,           IAccessError::IAccessError(const IAccessError&))
  #pragma alloc_text(BIWesWantsMore,           IAccessError::~IAccessError())
  #pragma alloc_text(BIWesWantsMore,           IAccessError::IAccessError(const char*,unsigned long,IException::Severity))
  #pragma alloc_text(BIWesWantsMore,           IException::logExceptionData())
  #pragma alloc_text(BIWesWantsMore,           IException::IException(const IException&))
  #pragma alloc_text(BIWesWantsMore,           IException::IException(const char*,unsigned long,IException::Severity))
  #pragma alloc_text(BIWesWantsMore,           IException::~IException())
  #pragma alloc_text(BIWesWantsMore,           IException::TraceFn::logData(IException&))
  #pragma alloc_text(BIWesWantsMore,           IExcText::IExcText(const IExcText&))
  #pragma alloc_text(BIWesWantsMore,           IExcText::IExcText(const char*,const IExcText*))
  #pragma alloc_text(BIBruceKnee,              traceFunction())
#endif

#ifdef _IEXCEPT_CPP_
  #pragma alloc_text(BIJudyJudyJudy,           IGUIErrorInfo::errorId() const)
  #pragma alloc_text(BIMillerTime,             IBaseErrorInfo::IBaseErrorInfo())
  #pragma alloc_text(BIMillerTime,             IGUIErrorInfo::~IGUIErrorInfo())
  #pragma alloc_text(BIMillerTime,             IBaseErrorInfo::~IBaseErrorInfo())
  #pragma alloc_text(BIJudyJudyJudy,           IGUIErrorInfo::IGUIErrorInfo(const char*))
  #pragma alloc_text(BIWesWantsMore,           IExcept__throwLibraryError(unsigned long,const IExceptionLocation&,IBaseErrorInfo::ExceptionType,IException::Severity,const char*))
#endif

#ifdef _IEXCTXT_CPP_
  #pragma alloc_text(BIBrightBeak,             ICollectionExceptionText::ICollectionExceptionText(unsigned long))
#endif

#ifdef _IFILEITR_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIJennsPen,               IRootDirectoryIterator::~IRootDirectoryIterator())
  #pragma alloc_text(BIHolmesBuilder,          IRootDirectoryIterator::IRootDirectoryIterator(IFSIterator*))
  #pragma alloc_text(BIJennsPen,               IVolumeIterator::~IVolumeIterator())
  #pragma alloc_text(BIHolmesBuilder,          IVolumeIterator::IVolumeIterator(IFSIterator*))
  #pragma alloc_text(BIJennsPen,               IDirectoryIterator::~IDirectoryIterator())
  #pragma alloc_text(BIHamiltonianQuill,       IDirectoryIterator::IDirectoryIterator())
#endif

#ifdef _IGTXSTOR_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJennsPen,               IStreamableHelperFor<IGapTextStorage>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIHamiltonianQuill,       IStreamableHelperFor<IGapTextStorage>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _IIACLLCT_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            IACollectionImpl::LockBeforeWriting(long))
  #pragma alloc_text(BIABernieWeekend,         IACollectionImpl::CheckPointer(void*))
  #pragma alloc_text(BIAbstractArt,            IACollectionImpl::UnlockAfterWriting())
  #pragma alloc_text(BIAbstractArt,            IACollectionImpl::IACollectionImpl(IACollectionOps&))
  #pragma alloc_text(BIAbstractArt,            IACollectionImpl::Initialize())
  #pragma alloc_text(BIAnotherLoveTune,        IACollectionImpl::Delete())
  #pragma alloc_text(BIAnotherLoveTune,        IACollectionImpl::~IACollectionImpl())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IIAES_CPP_
  #pragma alloc_text(BIBrightBeak,             IAEqualitySequenceImpl::IAEqualitySequenceImpl(IACollectionOps&))
  #pragma alloc_text(BIGRedPepperStich,        IAEqualitySequenceImpl::~IAEqualitySequenceImpl())
#endif

#ifdef _IIAKB_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IAKeyBagImpl::IAKeyBagImpl(IACollectionOps&))
  #pragma alloc_text(BIJennsPen,               IAKeyBagImpl::~IAKeyBagImpl())
#endif

#ifdef _IIAKS_CPP_
  #pragma alloc_text(BIAnotherLoveTune,        IAKeySetImpl::IAKeySetImpl(IACollectionOps&))
  #pragma alloc_text(BIHolmesBuilder,          IAKeySetImpl::~IAKeySetImpl())
#endif

#ifdef _IIAKSS_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IAKeySortedSetImpl::IAKeySortedSetImpl(IACollectionOps&))
  #pragma alloc_text(BIHolmesBuilder,          IAKeySortedSetImpl::~IAKeySortedSetImpl())
#endif

#ifdef _IIAMAP_CPP_
  #pragma alloc_text(BIIsHaggarHorrible,       IAMapImpl::IAMapImpl(IACollectionOps&))
#endif

#ifdef _IIASEQ_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IASequenceImpl::IASequenceImpl(IACollectionOps&))
  #pragma alloc_text(BIBoezePhoneHome,         IASequenceImpl::~IASequenceImpl())
#endif

#ifdef _IIASET_CPP_
  #pragma alloc_text(BIJudyJudyJudy,           IASetImpl::IASetImpl(IACollectionOps&))
  #pragma alloc_text(BIProudMary,              IASetImpl::~IASetImpl())
#endif

#ifdef _IIATREE_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IIKBHSH_CPP_
  #pragma alloc_text(BIAbstractArt,            IKeyBagAsHshTableImpl::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BIABernieWeekend,         IKeyBagAsHshTableImpl::LocateElementWithKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIABernieWeekend,         IKeyBagAsHshTableCursorImpl::~IKeyBagAsHshTableCursorImpl())
  #pragma alloc_text(BIABernieWeekend,         IKeyBagAsHshTableCursorImpl::IKeyBagAsHshTableCursorImpl(const IACollectionImpl&))
  #pragma alloc_text(BIAbstractArt,            IKeyBagAsHshTableCursorImpl::IsValid() const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeyBagAsHshTableImpl::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIAnotherLoveTune,        IKeyBagAsHshTableImpl::NumberOfElements() const)
  #pragma alloc_text(BIAnotherLoveTune,        IKeyBagAsHshTableImpl::IsEmpty() const)
  #pragma alloc_text(BIAnotherLoveTune,        IKeyBagAsHshTableImpl::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIBoezePhoneHome,         IKeyBagAsHshTableImpl::LocateOrAddElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIBoezePhoneHome,         IKeyBagAsHshTableImpl::Key(const void*) const)
  #pragma alloc_text(BIBoezePhoneHome,         IKeyBagAsHshTableImpl::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIBoezePhoneHome,         IKeyBagAsHshTableImpl::FindNearestPrime(unsigned long))
  #pragma alloc_text(BIBoezePhoneHome,         IKeyBagAsHshTableImpl::CreateCursor() const)
  #pragma alloc_text(BIBonannoRepublic,        IKeyBagAsHshTableImpl::AddOrReplaceElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIBoezePhoneHome,         IKeyBagAsHshTableImpl::IKeyBagAsHshTableImpl(IAKeyBagAsHshTableOps&,unsigned long))
  #pragma alloc_text(BIBoezePhoneHome,         IKeyBagAsHshTableImpl::Initialize(unsigned long))
  #pragma alloc_text(BIBonannoRepublic,        IKeyBagAsHshTableImpl::ContainsElementWithKey(const void*) const)
  #pragma alloc_text(BIBruceKnee,              IKeyBagAsHshTableImpl::ElementWithKey(const void*) const)
  #pragma alloc_text(BIJennsPen,               IKeyBagAsHshTableCursorImpl::Invalidate())
  #pragma alloc_text(BIJennsPen,               IKeyBagAsHshTableImpl::RemoveAt(ICursorImpl&))
  #pragma alloc_text(BIJennsPen,               IKeyBagAsHshTableImpl::RemoveElementWithKey(const void*))
  #pragma alloc_text(BIJennsPen,               IKeyBagAsHshTableImpl::ReplaceAt(const ICursorImpl&,const void*))
  #pragma alloc_text(BIJennsPen,               IKeyBagAsHshTableImpl::RemoveAll())
  #pragma alloc_text(BIJennsPen,               IKeyBagAsHshTableImpl::~IKeyBagAsHshTableImpl())
#endif

#ifdef _IIKSSAVL_CPP_
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BIAbstractArt,            IKeySortedSetAsAvlTreeCursorImpl::~IKeySortedSetAsAvlTreeCursorImpl())
  #pragma alloc_text(BIAbstractArt,            IKeySortedSetAsAvlTreeCursorImpl::IKeySortedSetAsAvlTreeCursorImpl(const IACollectionImpl&))
  #pragma alloc_text(BIAbstractArt,            IKeySortedSetAsAvlTreeImpl::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIAbstractArt,            IKeySortedSetAsAvlTreeImpl::LocateElementWithKey(const void*,ICursorImpl&) const)
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::ReplaceNode(IAKeySortedSetAsAvlTreeNodeImpl*,IAKeySortedSetAsAvlTreeNodeImpl*))
  #pragma alloc_text(BIAnotherLoveTune,        IKeySortedSetAsAvlTreeImpl::IsEmpty() const)
  #pragma alloc_text(BIBoezePhoneHome,         IKeySortedSetAsAvlTreeImpl::CreateCursor() const)
  #pragma alloc_text(BIBoezePhoneHome,         IKeySortedSetAsAvlTreeImpl::IKeySortedSetAsAvlTreeImpl(IAKeySortedSetAsAvlTreeOps&,unsigned long))
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::NumberOfElements() const)
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::RemoveAll())
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::~IKeySortedSetAsAvlTreeImpl())
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeCursorImpl::Invalidate())
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::RemoveAt(ICursorImpl&))
  #pragma alloc_text(BIBoezePhoneHome,         IKeySortedSetAsAvlTreeImpl::ContainsElementWithKey(const void*) const)
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::DisconnectAndRemove(IAKeySortedSetAsAvlTreeNodeImpl*,int&))
  #pragma alloc_text(BIBoezePhoneHome,         IKeySortedSetAsAvlTreeImpl::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsAvlTreeImpl::RemoveAll(int(*)(const void*,void*),void*))
  #pragma alloc_text(BIJudyJudyJudy,           IKeySortedSetAsAvlTreeCursorImpl::IsValid() const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeySortedSetAsAvlTreeImpl::ElementWithKey(const void*) const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeySortedSetAsAvlTreeImpl::Balance(IAKeySortedSetAsAvlTreeNodeImpl*,short,int&))
  #pragma alloc_text(BIJudyJudyJudy,           IKeySortedSetAsAvlTreeImpl::Key(const void*) const)
  #pragma alloc_text(BIJudyJudyJudy,           IKeySortedSetAsAvlTreeImpl::CompareKeys(const void*,const void*,IArgType) const)
  #pragma alloc_text(BIMillerTime,             IKeySortedSetAsAvlTreeImpl::AddOrReplaceElementWithKey(const void*,ICursorImpl&))
  #pragma alloc_text(BIOnAnotherBenge,         IKeySortedSetAsAvlTreeImpl::AllElementsDo(int(*)(void*,void*),void*))
  #pragma alloc_text(BIMountainsOfBusch,       IKeySortedSetAsAvlTreeImpl::RemoveElementWithKey(const void*))
  #pragma alloc_text(BIMountainsOfBusch,       IKeySortedSetAsAvlTreeImpl::AllElementsDoSubtree(int(*)(void*,void*),void*,IAKeySortedSetAsAvlTreeNodeImpl*) const)
  #pragma alloc_text(BIShakAttack,             IKeySortedSetAsAvlTreeImpl::IKeySortedSetAsAvlTreeImpl(IAKeySortedSetAsAvlTreeOps&,const IKeySortedSetAsAvlTreeImpl&))
  #pragma alloc_text(BIShakAttack,             IKeySortedSetAsAvlTreeImpl::operator=(const IKeySortedSetAsAvlTreeImpl&))
  #pragma alloc_text(BIShakAttack,             IKeySortedSetAsAvlTreeImpl::DeleteSubtree(IAKeySortedSetAsAvlTreeNodeImpl*) const)
  #pragma alloc_text(BIShakAttack,             IKeySortedSetAsAvlTreeImpl::CopySubtree(const IAKeySortedSetAsAvlTreeNodeImpl*) const)
#endif

#ifdef _IINTRST_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IInterest::hashValue() const)
  #pragma alloc_text(BIProudMary,              IInterest::notificationId() const)
  #pragma alloc_text(BIAbstractArt,            IInterest::computeHashValue(const char*))
  #pragma alloc_text(BIBonannoRepublic,        IInterest::operator==(const IInterest&) const)
  #pragma alloc_text(BIAbstractArt,            IInterest::~IInterest())
  #pragma alloc_text(BIAbstractArt,            IInterest::IInterest(const INotifier&,const char* const&))
  #pragma alloc_text(BIGRedPepperStich,        IInterest::operator=(const IInterest&))
  #pragma alloc_text(BIGRedPepperStich,        IInterest::IInterest(const IInterest&))
  #pragma alloc_text(BIGRedPepperStich,        IInterest::IInterest())
  #pragma alloc_text(BIStangerHook,            IInterest::notifierAddress() const)
#endif

#ifdef _IISEQLST_CPP_
  #pragma alloc_text(BIABernieWeekend,         ISequenceAsListImpl::NumberOfElements() const)
  #pragma alloc_text(BIABernieWeekend,         ISequenceAsListImpl::CreateCursor() const)
  #pragma alloc_text(BIABernieWeekend,         ISequenceAsListCursorImpl::IsValid() const)
  #pragma alloc_text(BIABernieWeekend,         ISequenceAsListImpl::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIABernieWeekend,         ISequenceAsListImpl::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIABernieWeekend,         ISequenceAsListImpl::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BIABernieWeekend,         ISequenceAsListCursorImpl::~ISequenceAsListCursorImpl())
  #pragma alloc_text(BIABernieWeekend,         ISequenceAsListCursorImpl::ISequenceAsListCursorImpl(const IACollectionImpl&))
  #pragma alloc_text(BIAnotherLoveTune,        ISequenceAsListImpl::AddAsNextNode(ISequenceAsListNodeImpl<long>*,ISequenceAsListNodeImpl<long>*))
  #pragma alloc_text(BIBoezePhoneHome,         ISequenceAsListImpl::~ISequenceAsListImpl())
  #pragma alloc_text(BIBoezePhoneHome,         ISequenceAsListImpl::ISequenceAsListImpl(IASequenceAsListOps&,unsigned long))
  #pragma alloc_text(BIHolmesBuilder,          ISequenceAsListCursorImpl::Invalidate())
  #pragma alloc_text(BIBoezePhoneHome,         ISequenceAsListImpl::RemoveAll())
  #pragma alloc_text(BIHolmesBuilder,          ISequenceAsListImpl::RemoveNode(ISequenceAsListNodeImpl<long>*))
  #pragma alloc_text(BIHolmesBuilder,          ISequenceAsListImpl::RemoveAt(ICursorImpl&))
  #pragma alloc_text(BIHolmesBuilder,          ISequenceAsListImpl::AddAsLast(const void*,ICursorImpl&))
  #pragma alloc_text(BIBoezePhoneHome,         ISequenceAsListImpl::AddAsFirst(const void*,ICursorImpl&))
  #pragma alloc_text(BIBrightBeak,             ISequenceAsListImpl::ClassName() const)
  #pragma alloc_text(BIBrightBeak,             ISequenceAsListImpl::Add(const void*,ICursorImpl&))
  #pragma alloc_text(BIGRedPepperStich,        ISequenceAsListImpl::ISequenceAsListImpl(IASequenceAsListOps&,const ISequenceAsListImpl&))
  #pragma alloc_text(BIGRedPepperStich,        ISequenceAsListImpl::AddAllFrom(const IACollectionImpl&))
  #pragma alloc_text(BIJennsPen,               ISequenceAsListImpl::ReplaceAt(const ICursorImpl&,const void*))
  #pragma alloc_text(BIMillerTime,             ISequenceAsListImpl::SetNodeToPosition(unsigned long,ISequenceAsListNodeImpl<long>*&) const)
  #pragma alloc_text(BIMillerTime,             ISequenceAsListImpl::RemoveAll(int(*)(const void*,void*),void*))
  #pragma alloc_text(BIMillerTime,             ISequenceAsListImpl::ElementAtPosition(unsigned long) const)
  #pragma alloc_text(BIMountainsOfBusch,       ISequenceAsListImpl::IsEmpty() const)
  #pragma alloc_text(BIMillerTime,             ISequenceAsListCursorImpl::Clone() const)
  #pragma alloc_text(BIMillerTime,             ISequenceAsListCursorImpl::ISequenceAsListCursorImpl(const ISequenceAsListCursorImpl&))
  #pragma alloc_text(BIOnAnotherBenge,         ISequenceAsListImpl::PositionAt(const ICursorImpl&) const)
  #pragma alloc_text(BIOnAnotherBenge,         ISequenceAsListImpl::SetToPosition(unsigned long,ICursorImpl&) const)
  #pragma alloc_text(BIStangerHook,            ISequenceAsListImpl::RemoveAtPosition(unsigned long))
#endif

#ifdef _IISEQTAB_CPP_
  #pragma alloc_text(BIMountainsOfBusch,       ISequenceAsTableCursorImpl::ISequenceAsTableCursorImpl(const IACollectionImpl&))
  #pragma alloc_text(BIOnAnotherBenge,         ISequenceAsTableImpl::CreateCursor() const)
  #pragma alloc_text(BIOnAnotherBenge,         ISequenceAsTableImpl::ISequenceAsTableImpl(IASequenceAsTableOps&,unsigned long))
  #pragma alloc_text(BIOnAnotherBenge,         ISequenceAsTableImpl::Initialize(unsigned long))
  #pragma alloc_text(BIOnAnotherBenge,         ISequenceAsTableImpl::NumberOfElements() const)
  #pragma alloc_text(BIMountainsOfBusch,       ISequenceAsTableImpl::IsEmpty() const)
  #pragma alloc_text(BIMountainsOfBusch,       ISequenceAsTableCursorImpl::IsValid() const)
  #pragma alloc_text(BIOnAnotherBenge,         ISequenceAsTableImpl::~ISequenceAsTableImpl())
  #pragma alloc_text(BIMountainsOfBusch,       ISequenceAsTableImpl::SetToFirst(ICursorImpl&) const)
  #pragma alloc_text(BIOnAnotherBenge,         ISequenceAsTableImpl::RemoveAll())
  #pragma alloc_text(BIMountainsOfBusch,       ISequenceAsTableCursorImpl::~ISequenceAsTableCursorImpl())
  #pragma alloc_text(BIProudMary,              ISequenceAsTableImpl::SetToNext(ICursorImpl&) const)
  #pragma alloc_text(BIProudMary,              ISequenceAsTableImpl::IsLastAt(const ICursorImpl&) const)
  #pragma alloc_text(BIProudMary,              ISequenceAsTableImpl::ElementAt(const ICursorImpl&) const)
  #pragma alloc_text(BITheRightPrice,          ISequenceAsTableImpl::AddAsLast(const void*,ICursorImpl&))
  #pragma alloc_text(BIWesWantsMore,           ISequenceAsTableCursorImpl::Invalidate())
  #pragma alloc_text(BIWesWantsMore,           ISequenceAsTableImpl::RemoveAt(ICursorImpl&))
  #pragma alloc_text(BIWesWantsMore,           ISequenceAsTableImpl::RemoveAtIndex(unsigned long))
  #pragma alloc_text(BIWesWantsMore,           ISequenceAsTableImpl::Last() const)
#endif

#ifdef _IISTREAM_CPP_
  #pragma alloc_text(BIAbstractArt,            IStreamerPtr::IStreamerPtr(IACollectionStreamer*))
#endif

#ifdef _IIVCLLCT_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIAbstractArt,            IVCollectionImpl::IVCollectionImpl())
  #pragma alloc_text(BIAnotherLoveTune,        IVCollectionImpl::~IVCollectionImpl())
#endif

#ifdef _ILNBKDAT_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _ILOCALE_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJennsPen,               IStreamableHelperFor<ILocaleKey>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIHamiltonianQuill,       IStreamableHelperFor<ILocaleKey>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _IMCLLCT_CPP_
  #pragma alloc_text(BIAnotherLoveTune,        IMetaCollection::SetImpl(IACollectionImpl*))
  #pragma alloc_text(BIAnotherLoveTune,        IMetaCollection::~IMetaCollection())
  #pragma alloc_text(BIBruceKnee,              IMetaCollection::CloneImplOf(const IMetaCollection&))
#endif

#ifdef _IMPRINTF_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit658(int))
  #pragma alloc_text(BITheRightPrice,          imprintf)
#endif

#ifdef _IMREFCNT_CPP_
  #pragma alloc_text(BIABernieWeekend,         IMRefCounted::IMRefCounted())
  #pragma alloc_text(BIABernieWeekend,         IMRefCounted::~IMRefCounted())
#endif

#ifdef _IMSGTEXT_CPP_
  #pragma alloc_text(BIBrightBeak,             IMessageText::IMessageText(unsigned long,const char*,const char*,const char*,const char*,const char*,const char*,const char*,const char*,const char*,const char*))
  #pragma alloc_text(BIBrightBeak,             IMessageText::setDefaultText(const char*))
  #pragma alloc_text(BIWesWantsMore,           msgFileNameLock())
  #pragma alloc_text(BIIsHaggarHorrible,       IMessageText::~IMessageText())
  #pragma alloc_text(BIWesWantsMore,           IMessageText::text() const)
  #pragma alloc_text(BIWesWantsMore,           IMessageText::messageFile())
  #pragma alloc_text(BIWesWantsMore,           IMessageText::setMessageFile(const char*))
#endif

#ifdef _IMSTRMBL_CPP_
  #pragma alloc_text(BIABernieWeekend,         IMStreamable::IMStreamable())
  #pragma alloc_text(BIMillerTime,             IStreamableGlobalTemplateHelper::createCopy(const IMStreamable&))
  #pragma alloc_text(BIABernieWeekend,         IMStreamable::~IMStreamable())
  #pragma alloc_text(BIIsHaggarHorrible,       IStreamableFactory::~IStreamableFactory())
  #pragma alloc_text(BIAnotherLoveTune,        IStreamableFactory::IStreamableFactory(IStreamModule*))
#endif

#ifdef _INGAPP_CPP_
  #pragma alloc_text(BIBruceKnee,              IProcessId::IProcessId(void*))
  #pragma alloc_text(BIBruceKnee,              INonGUIApplication::currentPID())
  #pragma alloc_text(BIHamiltonianQuill,       INonGUIApplication::INonGUIApplication(const IProcessId&))
  #pragma alloc_text(BIHamiltonianQuill,       INonGUIApplication::setId(const IProcessId&))
#endif

#ifdef _INGTHRD_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __IInitTerm)
  #pragma alloc_text(BIAbstractArt,            IStartedThread::lock())
  #pragma alloc_text(BIABernieWeekend,         INonGUIThread::currentId())
  #pragma alloc_text(BIAnotherLoveTune,        IStartedThread::locate(const IThreadId&))
  #pragma alloc_text(BIAnotherLoveTune,        IKeyBagAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeyBagAsHshTableImpl>::HashKey(const void*,unsigned long,IArgType) const)
  #pragma alloc_text(BIAnotherLoveTune,        IElementCursor<IThreadVariable>::~IElementCursor())
  #pragma alloc_text(BIAnotherLoveTune,        INonGUIThread::variable(const IString&) const)
  #pragma alloc_text(BIAnotherLoveTune,        ICurrentNonGUIThread::id() const)
  #pragma alloc_text(BIAnotherLoveTune,        IGKeySetAsHshTableCursor<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >::~IGKeySetAsHshTableCursor())
  #pragma alloc_text(BIAnotherLoveTune,        IGKeySetAsHshTableCursor<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >::IGKeySetAsHshTableCursor(const IGKeySetAsHshTable<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >&))
  #pragma alloc_text(BIAnotherLoveTune,        INonGUIThread::current())
  #pragma alloc_text(BIAnotherLoveTune,        IElementCursor<IThreadVariable>::IElementCursor(ICursorImpl*))
  #pragma alloc_text(BIAnotherLoveTune,        IStartedThread::variable(const IString&) const)
  #pragma alloc_text(BIAnotherLoveTune,        ICurrentNonGUIThread::startedThread() const)
  #pragma alloc_text(BIAnotherLoveTune,        IKeyBagAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeyBagAsHshTableImpl>::EqualKeys(const void*,const void*,IArgType) const)
  #pragma alloc_text(BIBoezePhoneHome,         INonGUIThread::INonGUIThread(const IThreadId&,const IThreadHandle&))
  #pragma alloc_text(BIBonannoRepublic,        INonGUIThread::setVariable(const IString&,const IString&))
  #pragma alloc_text(BIBonannoRepublic,        IThreadVariable::~IThreadVariable())
  #pragma alloc_text(BIBonannoRepublic,        IThreadVariable::IThreadVariable(const IString&,const IString&))
  #pragma alloc_text(BIBonannoRepublic,        ITLSHandle::storage() const)
  #pragma alloc_text(BIBonannoRepublic,        IStartedThread::setVariable(const IString&,const IString&))
  #pragma alloc_text(BIBonannoRepublic,        IKeyBagAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeyBagAsHshTableImpl>::Key(const void*) const)
  #pragma alloc_text(BIBonannoRepublic,        IKeyBagAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeyBagAsHshTableImpl>::CreateNode(const void*) const)
  #pragma alloc_text(BIBrightBeak,             IStartedThread::setLocalVariableFor(IStartedThread::LocalVariableIndex,void*))
  #pragma alloc_text(BIBonannoRepublic,        IThreadVariable::IThreadVariable(const IThreadVariable&))
  #pragma alloc_text(BIBonannoRepublic,        IKeyBagAsHshTableNodeImpl<IThreadVariable>::IKeyBagAsHshTableNodeImpl(const IThreadVariable&))
  #pragma alloc_text(BIBrightBeak,             IStartedThread::IStartedThread(const IThreadId&))
  #pragma alloc_text(BIBrightBeak,             IKeySetAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl> >::operator IKeyBagAsHshTableImpl&())
  #pragma alloc_text(BIBrightBeak,             IKeyBagAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeyBagAsHshTableImpl>::operator IKeyBagAsHshTableImpl*())
  #pragma alloc_text(BIBrightBeak,             IKeySetAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl> >::operator IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl>*())
  #pragma alloc_text(BIBrightBeak,             IKeySetAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl> >::IKeySetAsHshTableOps(unsigned long))
  #pragma alloc_text(BIBrightBeak,             IKeyBagAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeyBagAsHshTableImpl>::IKeyBagAsHshTableOps(unsigned long))
  #pragma alloc_text(BIBrightBeak,             IKeyBagAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeyBagAsHshTableImpl>::CreateNodes(unsigned long) const)
  #pragma alloc_text(BIBrightBeak,             INonGUIThread::defaultStackSize())
  #pragma alloc_text(BIBrightBeak,             IAKeyCollection<IThreadVariable,IString>::IAKeyCollection())
  #pragma alloc_text(BIBrightBeak,             IAKeySet<IThreadVariable,IString>::IAKeySet())
  #pragma alloc_text(BIBrightBeak,             IGKeySetAsHshTable<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >::IGKeySetAsHshTable(unsigned long))
  #pragma alloc_text(BIBrightBeak,             IKeySetAsHshTable<IThreadVariable,IString>::IKeySetAsHshTable(unsigned long))
  #pragma alloc_text(BIBrightBeak,             IACollection<IThreadVariable>::IACollection())
  #pragma alloc_text(BIBrightBeak,             IThreadVariables::IThreadVariables())
  #pragma alloc_text(BIBrightBeak,             IACollectionBase::IACollectionBase())
  #pragma alloc_text(BIBruceKnee,              IStartedThread::localVariableFor(IStartedThread::LocalVariableIndex))
  #pragma alloc_text(BIHamiltonianQuill,       IStartedThread::add(IStartedThread&))
  #pragma alloc_text(BIBruceKnee,              IThreadHandle::IThreadHandle(void*))
  #pragma alloc_text(BIBruceKnee,              IStartedThread::currentHandle(int,IStartedThread*))
  #pragma alloc_text(BIBruceKnee,              ITLSHandle::setStorage(void*))
  #pragma alloc_text(BIHamiltonianQuill,       ICurrentNonGUIThread::ICurrentNonGUIThread())
  #pragma alloc_text(BIHamiltonianQuill,       INonGUIThread::stackSize() const)
  #pragma alloc_text(BIIsHaggarHorrible,       INonGUIThread::INonGUIThread(const INonGUIThread&))
  #pragma alloc_text(BIHamiltonianQuill,       INonGUIThread::INonGUIThread())
  #pragma alloc_text(BIHamiltonianQuill,       ITLSHandle::allocate())
  #pragma alloc_text(BIHamiltonianQuill,       INonGUIThread::newStartedThread())
  #pragma alloc_text(BIHamiltonianQuill,       IStartedThread::notifyOnCurrentThreadEnd(IObserver*))
  #pragma alloc_text(BIIsHaggarHorrible,       INonGUIThread::startedThread() const)
  #pragma alloc_text(BIIsHaggarHorrible,       INonGUIThread::~INonGUIThread())
  #pragma alloc_text(BIJennsPen,               IThreadVariable::operator=(const IThreadVariable&))
  #pragma alloc_text(BIJennsPen,               IKeyBagAsHshTableOps<IThreadVariable,IString,IWKEHOps<IThreadVariable,IString,IKEHOps<IThreadVariable,IString> >,IKeyBagAsHshTableImpl>::Assign(void*,const void*) const)
  #pragma alloc_text(BIMountainsOfBusch,       INonGUIThread::id() const)
  #pragma alloc_text(BIIsHaggarHorrible,       setProcessDetachInProgress())
  #pragma alloc_text(BIAbstractArt,            IStartedThread::cachedTID())
  #pragma alloc_text(BIBonannoRepublic,        IStartedThread::tlsSlot())
  #pragma alloc_text(BIHamiltonianQuill,       gDoStaticInit())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
#endif

#ifdef _INOTADR_CPP_
  #pragma alloc_text(BIStangerHook,            INotifierAddress::notifier())
  #pragma alloc_text(BIAbstractArt,            INotifierAddress::operator=(const INotifierAddress&))
  #pragma alloc_text(BIBonannoRepublic,        INotifierAddress::operator==(const INotifierAddress&) const)
  #pragma alloc_text(BIAbstractArt,            INotifierAddress::INotifierAddress(const INotifier*))
  #pragma alloc_text(BIAbstractArt,            INotifierAddress::INotifierAddress())
  #pragma alloc_text(BIAbstractArt,            INotifierAddress::~INotifierAddress())
#endif

#ifdef _INOTIFEV_CPP_
  #pragma alloc_text(BIAbstractArt,            INotificationEvent::~INotificationEvent())
  #pragma alloc_text(BIAbstractArt,            INotificationEvent::INotificationEvent(const char* const&,INotifier&,int,const IEventData&,const IEventData&))
  #pragma alloc_text(BIProudMary,              INotificationEvent::interest() const)
  #pragma alloc_text(BIProudMary,              INotificationEvent::notificationId() const)
  #pragma alloc_text(BIStangerHook,            INotificationEvent::notifier() const)
#endif

#ifdef _IOBSERVR_CPP_
  #pragma alloc_text(BIGRedPepperStich,        IObserver::IObserver())
  #pragma alloc_text(BIHamiltonianQuill,       IObserver::handleNotificationsFor(INotifier&,const char* const&))
  #pragma alloc_text(BIJennsPen,               IObserver::~IObserver())
  #pragma alloc_text(BIWesWantsMore,           IObserver::handleNotificationsFor(INotifier&,const IEventData&))
#endif

#ifdef _IOBSLIST_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit658(int))
  #pragma alloc_text(BIBrightBeak,             IAOrderedCollection<IObserverPtr>::IAOrderedCollection())
  #pragma alloc_text(BIBrightBeak,             IASequentialCollection<IObserverPtr>::IASequentialCollection())
  #pragma alloc_text(BIBrightBeak,             IAEqualityCollection<IObserverPtr>::IAEqualityCollection())
  #pragma alloc_text(BIBrightBeak,             IAEqualitySequence<IObserverPtr>::IAEqualitySequence())
  #pragma alloc_text(BIBrightBeak,             IOrderedCursor<IObserverPtr>::IOrderedCursor(ICursorImpl*))
  #pragma alloc_text(BIBrightBeak,             IGEqualitySequenceCursor<IObserverPtr,IEOps<IObserverPtr> >::IGEqualitySequenceCursor(const IGEqualitySequence<IObserverPtr,IEOps<IObserverPtr> >&))
  #pragma alloc_text(BIBrightBeak,             IObserverListData::IObserverListData(const IObserverList&))
  #pragma alloc_text(BIBrightBeak,             IElementCursor<IObserverPtr>::IElementCursor(ICursorImpl*))
  #pragma alloc_text(BIBrightBeak,             IEqualitySequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl> >::operator ISequenceAsListImpl&())
  #pragma alloc_text(BIBrightBeak,             IEqualitySequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl> >::operator IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl>*())
  #pragma alloc_text(BIBrightBeak,             ISequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,ISequenceAsListImpl>::operator ISequenceAsListImpl*())
  #pragma alloc_text(BIGRedPepperStich,        IAEqualityCollection<IObserverPtr>::~IAEqualityCollection())
  #pragma alloc_text(BIGRedPepperStich,        IAEqualitySequence<IObserverPtr>::~IAEqualitySequence())
  #pragma alloc_text(BIGRedPepperStich,        IGEqualitySequence<IObserverPtr,IEOps<IObserverPtr> >::~IGEqualitySequence())
  #pragma alloc_text(BIGRedPepperStich,        IACollectionBase::~IACollectionBase())
  #pragma alloc_text(BIGRedPepperStich,        IEqualitySequence<IObserverPtr>::~IEqualitySequence())
  #pragma alloc_text(BIGRedPepperStich,        IACollection<IObserverPtr>::~IACollection())
  #pragma alloc_text(BIGRedPepperStich,        IGEqualitySequence<IObserverPtr,IEOps<IObserverPtr> >::IGEqualitySequence(unsigned long))
  #pragma alloc_text(BIGRedPepperStich,        IOrderedCursor<IObserverPtr>::~IOrderedCursor())
  #pragma alloc_text(BIGRedPepperStich,        IEqualitySequence<IObserverPtr>::IEqualitySequence(const IEqualitySequence<IObserverPtr>&))
  #pragma alloc_text(BIGRedPepperStich,        IACollection<IObserverPtr>::IACollection(const IACollection<IObserverPtr>&))
  #pragma alloc_text(BIGRedPepperStich,        IEqualitySequence<IObserverPtr>::IEqualitySequence(unsigned long))
  #pragma alloc_text(BIGRedPepperStich,        IACollection<IObserverPtr>::IACollection())
  #pragma alloc_text(BIGRedPepperStich,        IGEqualitySequenceCursor<IObserverPtr,IEOps<IObserverPtr> >::~IGEqualitySequenceCursor())
  #pragma alloc_text(BIGRedPepperStich,        IObserverListData::~IObserverListData())
  #pragma alloc_text(BIGRedPepperStich,        IObserverList::~IObserverList())
  #pragma alloc_text(BIGRedPepperStich,        IObserverPointers::IObserverPointers(const IObserverPointers&))
  #pragma alloc_text(BIBruceKnee,              IObserverList::IObserverList(const IObserverList&))
  #pragma alloc_text(BIBruceKnee,              IObserverPointers::IObserverPointers())
  #pragma alloc_text(BIBruceKnee,              IObserverList::IObserverList())
  #pragma alloc_text(BIBruceKnee,              IACollectionBase::IACollectionBase(const IACollectionBase&))
  #pragma alloc_text(BIBruceKnee,              IACollectionBase::IACollectionBase())
  #pragma alloc_text(BIBruceKnee,              ISequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,ISequenceAsListImpl>::~ISequenceAsListOps())
  #pragma alloc_text(BIBruceKnee,              IObserverList::add(IObserver&,void*))
  #pragma alloc_text(BIBruceKnee,              IEqualitySequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl> >::~IEqualitySequenceAsListOps())
  #pragma alloc_text(BIBruceKnee,              IEqualitySequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl> >::IEqualitySequenceAsListOps(unsigned long))
  #pragma alloc_text(BIBruceKnee,              ISequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,ISequenceAsListImpl>::ISequenceAsListOps(unsigned long))
  #pragma alloc_text(BIBruceKnee,              ISequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,ISequenceAsListImpl>::ISequenceAsListOps(const ISequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,ISequenceAsListImpl>&))
  #pragma alloc_text(BIBruceKnee,              ISequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,ISequenceAsListImpl>::CreateNode(const void*) const)
  #pragma alloc_text(BIBruceKnee,              IEqualitySequenceAsListOps<IObserverPtr,IWEOps<IObserverPtr,IEOps<IObserverPtr> >,IEqualitySequenceOnSequenceImpl<ISequenceAsListImpl> >::Clone() const)
  #pragma alloc_text(BIBruceKnee,              ISequenceAsListNodeImpl<IObserverPtr>::ISequenceAsListNodeImpl(const IObserverPtr&))
  #pragma alloc_text(BIBruceKnee,              IAOrderedCollection<IObserverPtr>::~IAOrderedCollection())
  #pragma alloc_text(BIBruceKnee,              IObserverPointers::~IObserverPointers())
  #pragma alloc_text(BIBruceKnee,              IASequentialCollection<IObserverPtr>::~IASequentialCollection())
  #pragma alloc_text(BIBruceKnee,              IElementCursor<IObserverPtr>::~IElementCursor())
  #pragma alloc_text(BIBruceKnee,              IGEqualitySequence<IObserverPtr,IEOps<IObserverPtr> >::IGEqualitySequence(const IGEqualitySequence<IObserverPtr,IEOps<IObserverPtr> >&))
  #pragma alloc_text(BIShakAttack,             IObserverList::notifyObservers(const INotificationEvent&))
  #pragma alloc_text(DIYoungBloods,            __sterm658(int))
#endif

#ifdef _IPATHNAM_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJennsPen,               IStreamableHelperFor<IPathName>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIHamiltonianQuill,       IStreamableHelperFor<IPathName>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _IPERTHR_CPP_
  #pragma alloc_text(BIBrightBeak,             IThreadLocalBase::IThreadLocalBase())
  #pragma alloc_text(BIBonannoRepublic,        IThreadLocalBase::setSlot(const unsigned long,void*))
  #pragma alloc_text(BIABernieWeekend,         IThreadLocalBase::getSlot(const unsigned long) const)
  #pragma alloc_text(BIBrightBeak,             IThreadLocalBase::getNextSlot())
  #pragma alloc_text(BIBonannoRepublic,        IThreadLocalBase::expandThreadSlots(const unsigned long))
  #pragma alloc_text(BIJennsPen,               IThreadLocalBase::~IThreadLocalBase())
  #pragma alloc_text(BIABernieWeekend,         getInfoPointer())
  #pragma alloc_text(BIHamiltonianQuill,       initThreadInfo())
  #pragma alloc_text(BIBonannoRepublic,        dataLock())
#endif

#ifdef _IPLATFRM_CPP_
  #pragma alloc_text(BIAbstractArt,            IPlatform::isWin9x())
  #pragma alloc_text(BIAnotherLoveTune,        IPlatform::isNTNewShell())
  #pragma alloc_text(BIBoezePhoneHome,         IPlatform::isWinNT())
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit400(int))
#endif

#ifdef _IPOINT_CPP_
  #pragma alloc_text(BIABernieWeekend,         IPair::IPair(long,long))
  #pragma alloc_text(BIAbstractArt,            IPair::maximum(const IPair&) const)
  #pragma alloc_text(BIAbstractArt,            IPair::minimum(const IPair&) const)
  #pragma alloc_text(BIMountainsOfBusch,       IPoint::asPOINTL() const)
#endif

#ifdef _IPRIMLCK_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IPrimalLock::~IPrimalLock())
  #pragma alloc_text(BIBoezePhoneHome,         IPrimalLock::IPrimalLock())
#endif

#ifdef _IRECT_CPP_
  #pragma alloc_text(BIMountainsOfBusch,       IRectangle::asRECTL() const)
#endif

#ifdef _IREFCNT_CPP_
  #pragma alloc_text(BIAbstractArt,            IRefCounted::addRef())
  #pragma alloc_text(BIAbstractArt,            IRefCounted::removeRef())
  #pragma alloc_text(BIBonannoRepublic,        IRefCounted::IRefCounted())
  #pragma alloc_text(BIOnAnotherBenge,         IRefCounted::~IRefCounted())
#endif

#ifdef _IREQPROC_CPP_
  #pragma alloc_text(BIJennsPen,               IObserverElement::getObserver() const)
  #pragma alloc_text(BIHolmesBuilder,          IObserverElement::getKey() const)
  #pragma alloc_text(BIIsHaggarHorrible,       IAKeyCollection<IObserverElement,IThreadId>::IAKeyCollection())
  #pragma alloc_text(BIIsHaggarHorrible,       IAEqualityCollection<IObserverElement>::IAEqualityCollection())
  #pragma alloc_text(BIIsHaggarHorrible,       IAEqualityKeyCollection<IObserverElement,IThreadId>::IAEqualityKeyCollection())
  #pragma alloc_text(BIIsHaggarHorrible,       IAMap<IObserverElement,IThreadId>::IAMap())
  #pragma alloc_text(BIIsHaggarHorrible,       IGMapAsList<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >::IGMapAsList(unsigned long))
  #pragma alloc_text(BIIsHaggarHorrible,       IACollection<IObserverElement>::IACollection())
  #pragma alloc_text(BIIsHaggarHorrible,       ISequenceAsListNodeImpl<IObserverElement>::ISequenceAsListNodeImpl(const IObserverElement&))
  #pragma alloc_text(BIIsHaggarHorrible,       IMapAsList<IObserverElement,IThreadId>::IMapAsList(unsigned long))
  #pragma alloc_text(BIIsHaggarHorrible,       observersLock())
  #pragma alloc_text(BIHolmesBuilder,          key(const IObserverElement&))
  #pragma alloc_text(BIJennsPen,               IObserverElement::operator=(const IObserverElement&))
  #pragma alloc_text(BIIsHaggarHorrible,       IACollectionBase::IACollectionBase())
  #pragma alloc_text(BIIsHaggarHorrible,       IObserverElement::IObserverElement(const IObserverElement&))
  #pragma alloc_text(BIIsHaggarHorrible,       IObserverElement::IObserverElement(IRequestQueueObserver*,const IThreadId&))
  #pragma alloc_text(BIIsHaggarHorrible,       IObserverElement::~IObserverElement())
  #pragma alloc_text(BIHolmesBuilder,          IRequestQueue::SetDefaultRequestQueueObserver(IRequestQueueObserver*))
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySortedSetAsListOps<IObserverElement,IThreadId,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::operator ISequenceAsListImpl&())
  #pragma alloc_text(BIIsHaggarHorrible,       ISequenceAsListOps<IObserverElement,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,ISequenceAsListImpl>::operator ISequenceAsListImpl*())
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySortedSetAsListOps<IObserverElement,IThreadId,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::IKeySortedSetAsListOps(unsigned long))
  #pragma alloc_text(BIIsHaggarHorrible,       ISequenceAsListOps<IObserverElement,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,ISequenceAsListImpl>::ISequenceAsListOps(unsigned long))
  #pragma alloc_text(BIIsHaggarHorrible,       IKeySetAsListOps<IObserverElement,IThreadId,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,IKeySetOnKeySortedSetImpl<IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> > >::IKeySetAsListOps(unsigned long))
  #pragma alloc_text(BIHolmesBuilder,          IKeySortedSetAsListOps<IObserverElement,IThreadId,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::Key(const void*) const)
  #pragma alloc_text(BIIsHaggarHorrible,       ISequenceAsListOps<IObserverElement,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,ISequenceAsListImpl>::CreateNode(const void*) const)
  #pragma alloc_text(BIJennsPen,               IKeySortedSetAsListOps<IObserverElement,IThreadId,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,IKeySortedSetOnSequenceImpl<ISequenceAsListImpl> >::CompareKeys(const void*,const void*,IArgType) const)
  #pragma alloc_text(BIJennsPen,               ISequenceAsListOps<IObserverElement,IWEKCOps<IObserverElement,IThreadId,IEKCOps<IObserverElement,IThreadId> >,ISequenceAsListImpl>::Assign(void*,const void*) const)
#endif

#ifdef _IRESLOCK_CPP_
  #pragma alloc_text(BIABernieWeekend,         IPrivateResource::handle())
  #pragma alloc_text(BIABernieWeekend,         IResourceLock::clearLock())
  #pragma alloc_text(BIABernieWeekend,         IResourceLock::~IResourceLock())
  #pragma alloc_text(BIABernieWeekend,         IResourceLock::IResourceLock(IResource&,long))
  #pragma alloc_text(BIABernieWeekend,         IResourceLock::setLock(long))
  #pragma alloc_text(BIABernieWeekend,         IPrivateResource::unlock())
  #pragma alloc_text(BIABernieWeekend,         IPrivateResource::lock(long))
  #pragma alloc_text(BIBoezePhoneHome,         IResource::IResource())
  #pragma alloc_text(BIBoezePhoneHome,         IPrivateResource::IPrivateResource())
  #pragma alloc_text(BIJennsPen,               IResource::~IResource())
  #pragma alloc_text(BIJennsPen,               IPrivateResource::~IPrivateResource())
#endif

#ifdef _ISNBKDAT_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _ISTDNTFY_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit658(int))
  #pragma alloc_text(BIAnotherLoveTune,        IStandardNotifier::isEnabledForNotification() const)
  #pragma alloc_text(BIAnotherLoveTune,        IStandardNotifier::notifierAddress() const)
  #pragma alloc_text(BIAbstractArt,            IStandardNotifier::IStandardNotifier())
  #pragma alloc_text(BIAnotherLoveTune,        IStandardNotifier::notifyObservers(const INotificationEvent&))
  #pragma alloc_text(BIAnotherLoveTune,        IStandardNotifier::~IStandardNotifier())
  #pragma alloc_text(BIAbstractArt,            INotifier::~INotifier())
  #pragma alloc_text(BIAbstractArt,            INotifier::INotifier())
  #pragma alloc_text(BIBonannoRepublic,        IKeyBagAsHshTableOps<IInterestConnectionListPair,IInterest,IWKEHOps<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >,IKeyBagAsHshTableImpl>::HashKey(const void*,unsigned long,IArgType) const)
  #pragma alloc_text(BIBonannoRepublic,        IInterestConnectionListPair::getKey() const)
  #pragma alloc_text(BIBonannoRepublic,        IStandardNotifier::notifierImp(int) const)
  #pragma alloc_text(BIBonannoRepublic,        IStandardNotifier::notifierImp(int))
  #pragma alloc_text(BIBonannoRepublic,        INotifierImplementation::interestDict())
  #pragma alloc_text(BIHamiltonianQuill,       IStandardNotifier::enableNotification(int))
  #pragma alloc_text(BIHamiltonianQuill,       INotifierImplementation::INotifierImplementation())
  #pragma alloc_text(BIHamiltonianQuill,       IAKeyCollection<IInterestConnectionListPair,IInterest>::IAKeyCollection())
  #pragma alloc_text(BIHamiltonianQuill,       IAKeySet<IInterestConnectionListPair,IInterest>::IAKeySet())
  #pragma alloc_text(BIHamiltonianQuill,       IGKeySetAsHshTable<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >::IGKeySetAsHshTable(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       IACollection<IInterestConnectionListPair>::IACollection())
  #pragma alloc_text(BIHamiltonianQuill,       IStandardNotifier::addObserver(IObserver&,const IInterest&))
  #pragma alloc_text(BIHamiltonianQuill,       IInterestConnectionListPair::getElement())
  #pragma alloc_text(BIHamiltonianQuill,       IInterestConnectionListPair::IInterestConnectionListPair(const IInterestConnectionListPair&))
  #pragma alloc_text(BIHamiltonianQuill,       IInterestConnectionListPair::~IInterestConnectionListPair())
  #pragma alloc_text(BIHamiltonianQuill,       IInterestConnectionListPair::IInterestConnectionListPair(const IInterest&,IObserverList*))
  #pragma alloc_text(BIHamiltonianQuill,       IKeySetAsHshTable<IInterestConnectionListPair,IInterest>::IKeySetAsHshTable(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       IACollectionBase::IACollectionBase())
  #pragma alloc_text(BIHamiltonianQuill,       IKeyBagAsHshTableNodeImpl<IInterestConnectionListPair>::IKeyBagAsHshTableNodeImpl(const IInterestConnectionListPair&))
  #pragma alloc_text(BIHamiltonianQuill,       IStandardNotifier::observerList(const IInterest*) const)
  #pragma alloc_text(BIHamiltonianQuill,       IKeyBagAsHshTableOps<IInterestConnectionListPair,IInterest,IWKEHOps<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >,IKeyBagAsHshTableImpl>::operator IKeyBagAsHshTableImpl*())
  #pragma alloc_text(BIHamiltonianQuill,       IKeySetAsHshTableOps<IInterestConnectionListPair,IInterest,IWKEHOps<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >,IKeySetOnKeyBagImpl<IKeyBagAsHshTableImpl> >::IKeySetAsHshTableOps(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       IKeyBagAsHshTableOps<IInterestConnectionListPair,IInterest,IWKEHOps<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >,IKeyBagAsHshTableImpl>::IKeyBagAsHshTableOps(unsigned long))
  #pragma alloc_text(BIHamiltonianQuill,       IKeyBagAsHshTableOps<IInterestConnectionListPair,IInterest,IWKEHOps<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >,IKeyBagAsHshTableImpl>::Key(const void*) const)
  #pragma alloc_text(BIHamiltonianQuill,       IKeyBagAsHshTableOps<IInterestConnectionListPair,IInterest,IWKEHOps<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >,IKeyBagAsHshTableImpl>::EqualKeys(const void*,const void*,IArgType) const)
  #pragma alloc_text(BIHamiltonianQuill,       IKeyBagAsHshTableOps<IInterestConnectionListPair,IInterest,IWKEHOps<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >,IKeyBagAsHshTableImpl>::CreateNodes(unsigned long) const)
  #pragma alloc_text(BIHamiltonianQuill,       IKeyBagAsHshTableOps<IInterestConnectionListPair,IInterest,IWKEHOps<IInterestConnectionListPair,IInterest,IKEHOps<IInterestConnectionListPair,IInterest> >,IKeyBagAsHshTableImpl>::CreateNode(const void*) const)
  #pragma alloc_text(BITsujiNightLive,         INotifier::threadId() const)
  #pragma alloc_text(DIYoungBloods,            __sterm658(int))
#endif

#ifdef _ISTPDATA_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit5f4(int))
  #pragma alloc_text(DIYoungBloods,            __sterm5f4(int))
#endif

#ifdef _ISTRING0_CPP_
  #pragma alloc_text(BIABernieWeekend,         IString::IString(const void*,unsigned int,char))
  #pragma alloc_text(BIABernieWeekend,         IString::isInternationalized())
  #pragma alloc_text(BIABernieWeekend,         IString::IString())
  #pragma alloc_text(BIABernieWeekend,         IString::~IString())
  #pragma alloc_text(BIABernieWeekend,         IString::defaultBuffer())
  #pragma alloc_text(BIABernieWeekend,         IString::operator=(const IString&))
  #pragma alloc_text(BIABernieWeekend,         IString::IString(const IString&))
  #pragma alloc_text(BIABernieWeekend,         IString::initBuffer(const void*,unsigned int,const void*,unsigned int,const void*,unsigned int,char))
  #pragma alloc_text(BIABernieWeekend,         IString::IString(const char*))
  #pragma alloc_text(BIAbstractArt,            IString::IString(IBuffer*))
  #pragma alloc_text(BIBoezePhoneHome,         IString::IString(const void*,unsigned int,const void*,unsigned int,char))
  #pragma alloc_text(BIBonannoRepublic,        IString::IString(unsigned long))
  #pragma alloc_text(BIBonannoRepublic,        IString::initBuffer(unsigned long))
  #pragma alloc_text(BIMountainsOfBusch,       IString::IString(int))
  #pragma alloc_text(BIMountainsOfBusch,       IString::initBuffer(long))
  #pragma alloc_text(BIOnAnotherBenge,         IString::IString(char))
  #pragma alloc_text(BIOnAnotherBenge,         IString::IString(long))
  #pragma alloc_text(BIOnAnotherBenge,         IString::IString(const void*,unsigned int,const void*,unsigned int,const void*,unsigned int,char))
  #pragma alloc_text(BIShakAttack,             IString::rightJustify(unsigned int,char))
  #pragma alloc_text(BITsujiNightLive,         IString::remove(unsigned int,unsigned int))
  #pragma alloc_text(BIHamiltonianQuill,       I18N_Init())
  #pragma alloc_text(BIBruceKnee,              IString::IString(const unsigned char*))
#endif

#ifdef _ISTRING4_CPP_
  #pragma alloc_text(BIAnotherLoveTune,        IString::operator+=(const char*))
  #pragma alloc_text(BIBonannoRepublic,        IString::operator+(const IString&) const)
  #pragma alloc_text(BIMountainsOfBusch,       IString::operator+(const char*) const)
  #pragma alloc_text(BIMountainsOfBusch,       IString::operator+=(const IString&))
  #pragma alloc_text(BITheRightPrice,          operator+(const char*,const IString&))
#endif

#ifdef _ISTRING5_CPP_
  #pragma alloc_text(BIJudyJudyJudy,           IString::subString(unsigned int,unsigned int,char) const)
  #pragma alloc_text(BIJudyJudyJudy,           IString::subString(unsigned int) const)
  #pragma alloc_text(BIMountainsOfBusch,       IString::operator[](unsigned int) const)
  #pragma alloc_text(BIProudMary,              IString::operator[](int))
#endif

#ifdef _ISTRING6_CPP_
  #pragma alloc_text(BIJudyJudyJudy,           IString::indexOf(char,unsigned int) const)
  #pragma alloc_text(BIShakAttack,             IString::occurrencesOf(char,unsigned int) const)
  #pragma alloc_text(BIShakAttack,             IString::occurrencesOf(const char*,unsigned int,unsigned int) const)
#endif

#ifdef _ISTRING7_CPP_
  #pragma alloc_text(BIMountainsOfBusch,       IString::strip(const char*,unsigned int,IStringEnum::StripMode))
  #pragma alloc_text(BIMountainsOfBusch,       IString::overlayWith(const char*,unsigned int,unsigned int,char))
  #pragma alloc_text(BIOnAnotherBenge,         IString::strip())
  #pragma alloc_text(BIOnAnotherBenge,         isspace)
  #pragma alloc_text(BIOnAnotherBenge,         IString::strip(const IStringTest&,IStringEnum::StripMode))
  #pragma alloc_text(BIOnAnotherBenge,         IString::change(const char*,unsigned int,const char*,unsigned int,unsigned int,unsigned int))
  #pragma alloc_text(BITheRightPrice,          IString::insert(const char*,unsigned int,unsigned int,char))
  #pragma alloc_text(BITheRightPrice,          IString::change(const IString&,const IString&,const IString&,unsigned int,unsigned int))
  #pragma alloc_text(BITsujiNightLive,         IString::upperCase())
#endif

#ifdef _ISTRMFND_CPP_
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _ISTRMMOD_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IStreamModule::IStreamModule(const char*))
  #pragma alloc_text(BIAnotherLoveTune,        IStreamModule::registerType(ITypeRepresentation*))
  #pragma alloc_text(BIJennsPen,               IStreamModule::~IStreamModule())
#endif

#ifdef _ISTRTEST_CPP_
  #pragma alloc_text(BIMountainsOfBusch,       IStringTest::test(int) const)
  #pragma alloc_text(BIOnAnotherBenge,         IStringTest::~IStringTest())
  #pragma alloc_text(BIMountainsOfBusch,       IStringTest::IStringTest(int(&)(int)))
#endif

#ifdef _ISTXSTOR_CPP_
  #pragma alloc_text(BIBruceKnee,              ISimpleTextStorage::c_str() const)
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJennsPen,               IStreamableHelperFor<ISimpleTextStorage>::~IStreamableHelperFor())
  #pragma alloc_text(BIJennsPen,               IStreamableHelperFor<IStreamInTextStorage>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIStangerHook,            ISimpleTextStorage::~ISimpleTextStorage())
  #pragma alloc_text(BIShakAttack,             ISimpleTextStorage::operator delete(void*))
  #pragma alloc_text(BIBruceKnee,              ISimpleTextStorage::operator new(unsigned int,unsigned int))
  #pragma alloc_text(BIGRedPepperStich,        IStreamableHelperFor<IStreamInTextStorage>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIGRedPepperStich,        IStreamableHelperFor<ISimpleTextStorage>::IStreamableHelperFor(IStreamModule*,...))
  #pragma alloc_text(BIShakAttack,             ISimpleTextStorage::beginAt(unsigned int))
  #pragma alloc_text(BIShakAttack,             ISimpleTextStorage::handleCopyIn(unsigned int,const unsigned short*,unsigned int))
  #pragma alloc_text(BIShakAttack,             ISimpleTextStorage::handleInsertGap(unsigned int,unsigned int))
  #pragma alloc_text(BIShakAttack,             ISimpleTextStorage::storageChunk(unsigned int,unsigned int&,unsigned int&) const)
  #pragma alloc_text(BIBruceKnee,              ISimpleTextStorage::ISimpleTextStorage(unsigned int))
#endif

#ifdef _ISTYLES_CPP_
  #pragma alloc_text(BITsujiNightLive,         ITextColorStyle::blue() const)
  #pragma alloc_text(BITsujiNightLive,         ITextColorStyle::green() const)
  #pragma alloc_text(BITsujiNightLive,         ITextColorStyle::red() const)
  #pragma alloc_text(BITsujiNightLive,         ITextOutlineStyle::isOutlined() const)
  #pragma alloc_text(BITsujiNightLive,         ITextStrikethroughStyle::isStrikethrough() const)
  #pragma alloc_text(BITsujiNightLive,         ITextUnderlineStyle::isUnderlined() const)
  #pragma alloc_text(BITsujiNightLive,         ITextItalicStyle::isItalic() const)
  #pragma alloc_text(BITsujiNightLive,         ITextBoldfaceStyle::isBoldface() const)
  #pragma alloc_text(BITsujiNightLive,         ITextPointSizeStyle::pointSize() const)
  #pragma alloc_text(BIStangerHook,            ITextColorStyle::~ITextColorStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextColorStyle::ITextColorStyle(unsigned char,unsigned char,unsigned char))
  #pragma alloc_text(BITsujiNightLive,         ITextColorStyle::ITextColorStyle())
  #pragma alloc_text(BIStangerHook,            ITextOutlineStyle::~ITextOutlineStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextOutlineStyle::ITextOutlineStyle(int))
  #pragma alloc_text(BITsujiNightLive,         ITextOutlineStyle::ITextOutlineStyle())
  #pragma alloc_text(BIStangerHook,            ITextStrikethroughStyle::~ITextStrikethroughStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextStrikethroughStyle::ITextStrikethroughStyle(int))
  #pragma alloc_text(BITsujiNightLive,         ITextStrikethroughStyle::ITextStrikethroughStyle())
  #pragma alloc_text(BIStangerHook,            ITextUnderlineStyle::~ITextUnderlineStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextUnderlineStyle::ITextUnderlineStyle(int))
  #pragma alloc_text(BITsujiNightLive,         ITextUnderlineStyle::ITextUnderlineStyle())
  #pragma alloc_text(BIStangerHook,            ITextItalicStyle::~ITextItalicStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextItalicStyle::ITextItalicStyle(int))
  #pragma alloc_text(BITsujiNightLive,         ITextItalicStyle::ITextItalicStyle())
  #pragma alloc_text(BIStangerHook,            ITextBoldfaceStyle::~ITextBoldfaceStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextBoldfaceStyle::ITextBoldfaceStyle(int))
  #pragma alloc_text(BITsujiNightLive,         ITextBoldfaceStyle::ITextBoldfaceStyle())
  #pragma alloc_text(BIStangerHook,            ITextPointSizeStyle::~ITextPointSizeStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextPointSizeStyle::ITextPointSizeStyle(float))
  #pragma alloc_text(BITsujiNightLive,         ITextPointSizeStyle::ITextPointSizeStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextTypefaceStyle::typeface() const)
  #pragma alloc_text(BIStangerHook,            ITextTypefaceStyle::~ITextTypefaceStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextTypefaceStyle::ITextTypefaceStyle(const IText&))
  #pragma alloc_text(BITsujiNightLive,         ITextTypefaceStyle::ITextTypefaceStyle())
  #pragma alloc_text(BITsujiNightLive,         ITextColorStyle::getValueFromSet(const ITextStyleSet&))
  #pragma alloc_text(BITsujiNightLive,         ITextOutlineStyle::getValueFromSet(const ITextStyleSet&))
  #pragma alloc_text(BITsujiNightLive,         ITextStrikethroughStyle::getValueFromSet(const ITextStyleSet&))
  #pragma alloc_text(BITsujiNightLive,         ITextUnderlineStyle::getValueFromSet(const ITextStyleSet&))
  #pragma alloc_text(BITsujiNightLive,         ITextItalicStyle::getValueFromSet(const ITextStyleSet&))
  #pragma alloc_text(BITsujiNightLive,         ITextBoldfaceStyle::getValueFromSet(const ITextStyleSet&))
  #pragma alloc_text(BITsujiNightLive,         ITextPointSizeStyle::getValueFromSet(const ITextStyleSet&))
  #pragma alloc_text(BIStangerHook,            ITextColorStyle::isContainedInSet(const ITextStyleSet&) const)
  #pragma alloc_text(BIStangerHook,            ITextOutlineStyle::isContainedInSet(const ITextStyleSet&) const)
  #pragma alloc_text(BIStangerHook,            ITextStrikethroughStyle::isContainedInSet(const ITextStyleSet&) const)
  #pragma alloc_text(BIStangerHook,            ITextUnderlineStyle::isContainedInSet(const ITextStyleSet&) const)
  #pragma alloc_text(BIStangerHook,            ITextItalicStyle::isContainedInSet(const ITextStyleSet&) const)
  #pragma alloc_text(BIStangerHook,            ITextBoldfaceStyle::isContainedInSet(const ITextStyleSet&) const)
  #pragma alloc_text(BIStangerHook,            ITextPointSizeStyle::isContainedInSet(const ITextStyleSet&) const)
  #pragma alloc_text(BIStangerHook,            ITextTypefaceStyle::isContainedInSet(const ITextStyleSet&) const)
  #pragma alloc_text(BITsujiNightLive,         ITextTypefaceStyle::getValueFromSet(const ITextStyleSet&))
  #pragma alloc_text(BITheRightPrice,          ITextColorStyle::addToSet(ITextStyleSet&) const)
  #pragma alloc_text(BITheRightPrice,          ITextOutlineStyle::addToSet(ITextStyleSet&) const)
  #pragma alloc_text(BITheRightPrice,          ITextStrikethroughStyle::addToSet(ITextStyleSet&) const)
  #pragma alloc_text(BITheRightPrice,          ITextUnderlineStyle::addToSet(ITextStyleSet&) const)
  #pragma alloc_text(BITheRightPrice,          ITextItalicStyle::addToSet(ITextStyleSet&) const)
  #pragma alloc_text(BITheRightPrice,          ITextBoldfaceStyle::addToSet(ITextStyleSet&) const)
  #pragma alloc_text(BITheRightPrice,          ITextPointSizeStyle::addToSet(ITextStyleSet&) const)
  #pragma alloc_text(BITheRightPrice,          ITextTypefaceStyle::addToSet(ITextStyleSet&) const)
#endif

#ifdef _ISTYLSET_CPP_
  #pragma alloc_text(BIProudMary,              ITextStyleSet::empty() const)
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJennsPen,               IStreamableHelperFor<ITextStyleSet>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BITheRightPrice,          ITextStyleSet::emptyStyleSet())
  #pragma alloc_text(BIShakAttack,             ITextStyleSet::contains(const ITextStyle&) const)
  #pragma alloc_text(BITheRightPrice,          ITextStyleSet::filterByType(ITextStyle::EStylePropagation))
  #pragma alloc_text(BIShakAttack,             ITextStyleSet::extract(ITextStyle&) const)
  #pragma alloc_text(BITheRightPrice,          ITextStyleSet::operator=(const ITextStyleSet&))
  #pragma alloc_text(BIShakAttack,             ITextStyleSet::~ITextStyleSet())
  #pragma alloc_text(BITheRightPrice,          ITextStyleSet::ITextStyleSet(const ITextStyleSet&))
  #pragma alloc_text(BIShakAttack,             ITextStyleSet::add(const ITextStyle&))
  #pragma alloc_text(BIStangerHook,            ITextStyleSet::ITextStyleSet())
  #pragma alloc_text(BIGRedPepperStich,        IStreamableHelperFor<ITextStyleSet>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _ISTYLSTO_CPP_
  #pragma alloc_text(BIShakAttack,             IStyleStorage::modifyStyles(unsigned int,unsigned int,void( ITextStyleSet::*)(const ITextStyle&),const ITextStyle&))
  #pragma alloc_text(BIShakAttack,             IStyleStorage::modifyStyles(unsigned int,unsigned int,const IOperationOn<ITextStyleSet>&,int))
  #pragma alloc_text(BITheRightPrice,          IStyleStorage::stylesAt(unsigned int,unsigned int&,unsigned int&) const)
  #pragma alloc_text(BIShakAttack,             IStyleStorage::doModifyStyles(unsigned int,unsigned int,const IOperationOn<ITextStyleSet>&))
  #pragma alloc_text(BIShakAttack,             IStyleStorage::countRuns(unsigned int,unsigned int,short&,long&) const)
  #pragma alloc_text(BIShakAttack,             IStyleRunIterator::operator++(int))
  #pragma alloc_text(BITheRightPrice,          IStyleStorage::stylesAt(unsigned int,ITextStyleSet&,unsigned int&,unsigned int&,ITextStyle::EStylePropagation) const)
  #pragma alloc_text(BIShakAttack,             IStyleStorage::coalesceRuns(unsigned int))
  #pragma alloc_text(BIStangerHook,            IStyleStorage::~IStyleStorage())
  #pragma alloc_text(BITheRightPrice,          IStyleStorage::IStyleStorage(ITextStorage*))
  #pragma alloc_text(BITheRightPrice,          IStyleStorage::IStyleStorage(const IStyleStorage&,ITextStorage*))
  #pragma alloc_text(BIProudMary,              IPmf1OperationOn<ITextStyleSet,const ITextStyle&>::IPmf1OperationOn(void( ITextStyleSet::*)(const ITextStyle&),const ITextStyle&))
  #pragma alloc_text(BIProudMary,              IPmf1OperationOn<ITextStyleSet,const ITextStyle&>::operator()(ITextStyleSet*) const)
  #pragma alloc_text(BIProudMary,              IPmf1OperationOn<ITextStyleSet,const ITextStyle&>::~IPmf1OperationOn())
#endif

#ifdef _ITEXT_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BITheRightPrice,          IText::isStyled() const)
  #pragma alloc_text(BIStangerHook,            IText::storage_chunk(unsigned int,unsigned int&,unsigned int&) const)
  #pragma alloc_text(BIShakAttack,             IText::IText(const IText&))
  #pragma alloc_text(BIBonannoRepublic,        IText::IText())
  #pragma alloc_text(BITheRightPrice,          IText::end())
  #pragma alloc_text(BIStangerHook,            IText::begin())
  #pragma alloc_text(BITheRightPrice,          IText::stylesAt(unsigned int,ITextStyleSet&,unsigned int&,unsigned int&,ITextStyle::EStylePropagation) const)
  #pragma alloc_text(BITheRightPrice,          IText::stylesAt(unsigned int,unsigned int&,unsigned int&) const)
  #pragma alloc_text(BIStangerHook,            IText::empty() const)
  #pragma alloc_text(BIProudMary,              IText::length() const)
  #pragma alloc_text(BIShakAttack,             IText::operator=(const IText&))
  #pragma alloc_text(BIJennsPen,               IText::~IText())
  #pragma alloc_text(BITheRightPrice,          IText::operator const char*() const)
  #pragma alloc_text(BIStangerHook,            IText::IText(const IString&))
  #pragma alloc_text(BIGRedPepperStich,        IText::IText(const char*))
  #pragma alloc_text(BIProudMary,              IText::addStyles(const ITextStyle&,unsigned int,unsigned int))
  #pragma alloc_text(BIProudMary,              IOperationOn<ITextStyleSet>::~IOperationOn())
  #pragma alloc_text(BIProudMary,              IOperationOn<ITextStyleSet>::IOperationOn())
#endif

#ifdef _ITIME_CPP_
  #pragma alloc_text(BIOnAnotherBenge,         ITime::ITime())
  #pragma alloc_text(BIOnAnotherBenge,         ITime::asString(const char*) const)
  #pragma alloc_text(BIOnAnotherBenge,         ITime::now())
#endif

#ifdef _ITRACE_CPP_
  #pragma alloc_text(BITheRightPrice,          ITrace::threadId())
  #pragma alloc_text(BITheRightPrice,          ITrace::write(const char*))
  #pragma alloc_text(BITheRightPrice,          ITrace::writeString(char*))
  #pragma alloc_text(BIStangerHook,            ITrace::writeFormattedString(const IString&,char*))
  #pragma alloc_text(BIStangerHook,            ITrace::write(const IString&))
  #pragma alloc_text(BIStangerHook,            ITrace::~ITrace())
  #pragma alloc_text(BIStangerHook,            ITrace::ITrace(const char*,long))
  #pragma alloc_text(BIStangerHook,            ITrace::isWritePrefixEnabled())
  #pragma alloc_text(BIWesWantsMore,           ITraceSetup::initialize())
#endif

#ifdef _ITXTITER_CPP_
  #pragma alloc_text(BIShakAttack,             IFastTextIterator::IFastTextIterator(const ITextIterator&,int))
#endif

#ifdef _ITXTSTOR_CPP_
  #pragma alloc_text(BIShakAttack,             ITextStorage::isStyled() const)
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BITheRightPrice,          ITextStorage::copyIn(unsigned int,ITextStorage*,unsigned int,unsigned int))
  #pragma alloc_text(BIProudMary,              ITextStorage::cloneIfNecessary())
  #pragma alloc_text(BIStangerHook,            ITextStorage::replace(unsigned int,unsigned int,const char*,unsigned int))
  #pragma alloc_text(BIProudMary,              ITextStorage::styles())
  #pragma alloc_text(BITheRightPrice,          ITextStorage::initStylesFrom(ITextStorage*,int))
  #pragma alloc_text(BIShakAttack,             ITextStorage::initFrom(ITextStorage*,unsigned int,unsigned int,unsigned int,unsigned int,unsigned int,int))
  #pragma alloc_text(BIBruceKnee,              ITextStorage::createNew(unsigned int))
  #pragma alloc_text(BIShakAttack,             ITextStorage::~ITextStorage())
  #pragma alloc_text(BIBruceKnee,              ITextStorage::ITextStorage())
  #pragma alloc_text(BIShakAttack,             ITextStorage::fillInIteratorFields(IFastTextIterator&,unsigned short*,unsigned short*,unsigned int))
  #pragma alloc_text(BIStangerHook,            ITextStorage::mustCopy(unsigned int) const)
  #pragma alloc_text(BIBonannoRepublic,        ITextStorage::emptyTextStorage())
  #pragma alloc_text(BIStangerHook,            ITextStorage::makeCopy(unsigned int,unsigned int,unsigned int,unsigned int))
  #pragma alloc_text(BITheRightPrice,          ITextStorage::makeCopy(unsigned int))
  #pragma alloc_text(BIBruceKnee,              ITextStorage::asIString())
  #pragma alloc_text(BIStangerHook,            ITextStorage::replace(unsigned int,unsigned int,const unsigned short*,unsigned int,unsigned int,int,int))
#endif

#ifdef _ITXTSTYL_CPP_
  #pragma alloc_text(BIProudMary,              ICharacterStyle::propagates() const)
  #pragma alloc_text(BIProudMary,              ITextStyle::ITextStyle())
  #pragma alloc_text(BIProudMary,              ICharacterStyle::~ICharacterStyle())
  #pragma alloc_text(BIProudMary,              ICharacterStyle::ICharacterStyle())
  #pragma alloc_text(BIProudMary,              ITextStyle::~ITextStyle())
#endif

#ifdef _ITYPEREP_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         ITypeRepresentation::setNext(const ITypeRepresentation*))
  #pragma alloc_text(BIMillerTime,             ITypeRepresentation::streamableFactory() const)
  #pragma alloc_text(BIAnotherLoveTune,        ITypeRepresentation::ITypeRepresentation(IStreamableFactory*))
  #pragma alloc_text(BIIsHaggarHorrible,       ITypeRepresentation::~ITypeRepresentation())
#endif

#ifdef _IUNICDCM_CPP_
  #pragma alloc_text(BIBonannoRepublic,        IUnicodeClassMapping::IUnicodeClassMapping(const unsigned char*,int,const ISpecialMapping*,int,const int*))
#endif

#ifdef _IVBASE_CPP_
  #pragma alloc_text(BIProudMary,              IVBase::~IVBase())
#endif

#ifdef _IWCONDTN_CPP_
  #pragma alloc_text(BIBonannoRepublic,        IPrivCondImpl::IPrivCondImpl())
  #pragma alloc_text(BIBonannoRepublic,        IConditionImpl::IConditionImpl(const char*))
#endif

#ifdef _IWDBKDAT_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
#endif

#ifdef _IWDBKTBL_CPP_
  #pragma alloc_text(BIBoezePhoneHome,         IWordBreakTable::IWordBreakTable(int,const unsigned char*,int))
#endif

#ifdef _LOCMAP_CPP_
  #pragma alloc_text(BIAbstractArt,            ILcidPosixElement::ILcidPosixElement())
  #pragma alloc_text(BIGRedPepperStich,        IGlobalLocales::IGlobalLocales())
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJennsPen,               IGlobalLocales::~IGlobalLocales())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIIsHaggarHorrible,       ILcidPosixMap::~ILcidPosixMap())
  #pragma alloc_text(BIAbstractArt,            ILcidPosixElement::~ILcidPosixElement())
  #pragma alloc_text(BIBoezePhoneHome,         IGlobalLocales::languageLCID(unsigned long))
  #pragma alloc_text(BIIsHaggarHorrible,       ILcidPosixElement::__dftdt())
  #pragma alloc_text(BIAbstractArt,            ILcidPosixElement::__dftct())
  #pragma alloc_text(BIBoezePhoneHome,         ILcidPosixMap::ILcidPosixMap(unsigned long,const char*,unsigned int))
  #pragma alloc_text(BIAnotherLoveTune,        ILcidPosixElement::operator=(const ILcidPosixElement&))
  #pragma alloc_text(BIAnotherLoveTune,        ILcidPosixElement::ILcidPosixElement(unsigned long,const char*))
#endif

#ifdef _NTREFCNT_CPP_
  #pragma alloc_text(BIMillerTime,             IMRefCounted::count() const)
  #pragma alloc_text(BIABernieWeekend,         IMRefCounted::removeRef())
  #pragma alloc_text(BIABernieWeekend,         IMRefCounted::addRef())
#endif

#ifdef _PATHPARS_CPP_
  #pragma alloc_text(BIGRedPepperStich,        IWin32PathNameParser::IWin32PathNameParser())
#endif

#ifdef _VOLUME_CPP_
  #pragma alloc_text(BI2001AMarksOdyssey,      __sinit80000000(int))
  #pragma alloc_text(BIJennsPen,               IStreamableHelperFor<IVolume>::~IStreamableHelperFor())
  #pragma alloc_text(DIYoungBloods,            __sterm80000000(int))
  #pragma alloc_text(BIJennsPen,               IVolume::~IVolume())
  #pragma alloc_text(BIGRedPepperStich,        IVolume::IVolume())
  #pragma alloc_text(BIGRedPepperStich,        IStreamableHelperFor<IVolume>::IStreamableHelperFor(IStreamModule*,...))
#endif

#ifdef _WINFLSYS_CPP_
  #pragma alloc_text(BIGRedPepperStich,        INTFileSystem::INTFileSystem())
  #pragma alloc_text(BIGRedPepperStich,        IFSFileSystem::initialize())
#endif


/* IHOOK32 */

#endif //_ITUNINGB_H_
