// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 47 1.3.1.2 source/core/collect/ireqseq.inl, collection, ioc.v400, 000919  
#ifndef _IREQSEQ_INL_
#define _IREQSEQ_INL_

// ---
// IREqualitySequence
// ---

// public members

template <class Element, class Base>
inline
IREqualitySequence <Element, Base>::
IREqualitySequence (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IREqualitySequence <Element, Base>&
IREqualitySequence <Element, Base>::
operator= (IREqualitySequence
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IREQSEQ_INL_
