// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 51 1.3.1.2 source/core/collect/irkeybag.inl, collection, ioc.v400, 000919  
#ifndef _IRKEYBAG_INL_
#define _IRKEYBAG_INL_

// ---
// IRKeyBag
// ---

// public members

template <class Element, class Key, class Base>
inline
IRKeyBag <Element, Key, Base>::
IRKeyBag (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRKeyBag <Element, Key, Base>&
IRKeyBag <Element, Key, Base>::
operator= (IRKeyBag
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRKEYBAG_INL_
