// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 55 1.3.1.2 source/core/collect/irksbag.inl, collection, ioc.v400, 000919  
#ifndef _IRKSBAG_INL_
#define _IRKSBAG_INL_

// ---
// IRKeySortedBag
// ---

// public members

template <class Element, class Key, class Base>
inline
IRKeySortedBag <Element, Key, Base>::
IRKeySortedBag (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRKeySortedBag <Element, Key, Base>&
IRKeySortedBag <Element, Key, Base>::
operator= (IRKeySortedBag
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRKSBAG_INL_
