// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 73 1.3.1.2 source/core/collect/irsrtmap.inl, collection, ioc.v400, 000919  
#ifndef _IRSRTMAP_INL_
#define _IRSRTMAP_INL_

// ---
// IRSortedMap
// ---

// public members

template <class Element, class Key, class Base>
inline
IRSortedMap <Element, Key, Base>::
IRSortedMap (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRSortedMap <Element, Key, Base>&
IRSortedMap <Element, Key, Base>::
operator= (IRSortedMap
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRSRTMAP_INL_
