// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 75 1.3.1.2 source/core/collect/irsrtrel.inl, collection, ioc.v400, 000919  
#ifndef _IRSRTREL_INL_
#define _IRSRTREL_INL_

// ---
// IRSortedRelation
// ---

// public members

template <class Element, class Key, class Base>
inline
IRSortedRelation <Element, Key, Base>::
IRSortedRelation (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRSortedRelation <Element, Key, Base>&
IRSortedRelation <Element, Key, Base>::
operator= (IRSortedRelation
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRSRTREL_INL_
