// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 77 1.3.1.2 source/core/collect/irsrtset.inl, collection, ioc.v400, 000919  
#ifndef _IRSRTSET_INL_
#define _IRSRTSET_INL_

// ---
// IRSortedSet
// ---

// public members

template <class Element, class Base>
inline
IRSortedSet <Element, Base>::
IRSortedSet (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRSortedSet <Element, Base>&
IRSortedSet <Element, Base>::
operator= (IRSortedSet
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRSRTSET_INL_
