// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 79 1.3.1.2 source/core/collect/irstack.inl, collection, ioc.v400, 000919  
#ifndef _IRSTACK_INL_
#define _IRSTACK_INL_

// ---
// IRStack
// ---

// public members

template <class Element, class Base>
inline
IRStack <Element, Base>::
IRStack (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRStack <Element, Base>&
IRStack <Element, Base>::
operator= (IRStack
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRSTACK_INL_
