/*
*****************************************************************************************
*                                                                                       *
* COPYRIGHT:                                                                            *
*   IBM Open Class Library                                                              *
*   (C) Copyright International Business Machines Corporation,  1997                    *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.                  *
*   US Government Users Restricted Rights - Use, duplication, or disclosure             *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                              *
*                                                                                       *
*****************************************************************************************
*/
/* Revision: 97 1.8.1.4 source/core/streams/strmexc.h, oss, ioc.v400, 000919  */
//
//
//
// strmexc.h
//
#ifndef _STRMEXC_
#define _STRMEXC_

#pragma enum(4)

typedef enum {
//  The data on the stream is not in the expected format.
        kInvalidFormat = 74,

//  An attempt was made to read past the end of the stream.
        kAtEndOfStream = 75,

//  An invalid stream encoding was specified.
        kInvalidEncoding = 76,

//  An unknown type was encounted on the stream.
        kUnknownType = 77,

//  An object previously seen on the stream was reallocated.
        kDuplicateAddress = 78,

//  The context number is out of range.
        kInvalidContextNumber = 79
};

#pragma enum(pop)

#endif // _STRMEXC_
