/*
*****************************************************************************************
*                                                                                       *
* COPYRIGHT:                                                                            *
*   IBM Open Class Library                                                              *
*   (C) Copyright International Business Machines Corporation,  1997                    *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.                  *
*   US Government Users Restricted Rights - Use, duplication, or disclosure             *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                              *
*                                                                                       *
*****************************************************************************************
*/
// Revision: 22 1.10.1.4 source/core/text/intl/compare/txclimp.cpp, text, ioc.v400, 000919 
//===============================================================================
//
// File itxtcoll.cpp
//
//
//
// Created by: Helena Shih
//
// Modification History:
//
//      Date         Name          Description
//
//===============================================================================

#ifndef IC_IEXCBASE
#include <iexcbase.hpp>
#endif

#ifndef IC_ITXTCOLL
#include "itxtcoll.hpp"
#endif

#ifndef IC_ITXCLIMP
#include "itxclimp.hpp"
#endif

#ifdef IC_PAGETUNE
        #define _TXTCLIMP_CPP
        #include <ipagetun.h>
#endif

ITableBasedCollation::ITableBasedCollation ()
{
}

ITableBasedCollation::ITableBasedCollation(const IText& collationName)
{
}

ITableBasedCollation::ITableBasedCollation (const ITableBasedCollation& order)
{
}

ITableBasedCollation::~ITableBasedCollation()
{
}

ITableBasedCollation&
ITableBasedCollation::operator=(const ITableBasedCollation& that)
{
        return *this;
}


#pragma info(nouse)
int
ITableBasedCollation::do_matchCompare(const UniChar* sourceLow,
                                                                 const UniChar* sourceHigh,
                                                                 const UniChar* targetLow,
                                                                 const UniChar* targetHigh,
                                                                 IText::length_type& sourceCharactersMatched,
                                                                 IText::length_type& targetCharactersMatched) const
{
        if ((sourceHigh < sourceLow) || (targetHigh < targetLow)) {
                ITHROW(IInvalidParameter("Incorrect text offsets!"));
        }
        return 0;
}

IText
ITableBasedCollation::do_transform(const IText& source) const
{
        return (IText());
}

#pragma info(restore)
