// Revision: 67 1.12.1.10 source/ui/baseapp/ibappcc.cpp, oss, ioc.v400, 000919 
/*******************************************************************************
* FILE NAME: ibappcc.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is intended to provide a temporary workaround of a compiler      *
*   RTTI bug.                                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

// for sources\ocsrc\ibaseapp

#include <ibase.hpp>

// d:\ocsrc\ibaseapp\obj\iscrlhdr.obj(iscrlhdr.cpp)
#include <iscrlhdr.hpp>

// Segment definitions.
#ifdef IC_PAGETUNE
    #define _IBAPPCC_CPP_
    #include <ipagetun.h>
#endif

IScrollHandler::IScrollHandler(const IScrollHandler&) {}


// d:\ocsrc\ibaseapp\obj\imenu.obj(imenu.cpp)
#include <imenu.hpp>

IMenu::IMenu(const IMenu&) {}


#ifdef IC_MOTIFPM
// d:\ocsrc\ibaseapp\obj\imenuprv.obj(imenuprv.cpp)
#include <imenuprv.hpp>

MenuWindow::MenuWindow(const MenuWindow& mw)
  : fRootMenu(mw.fRootMenu),
    fUniversalRedispatcher(this) {}
#endif


// d:\ocsrc\ibaseapp\obj\ipopmenu.obj(ipopmenu.cpp)
//     ***** PopUpMenuWindow copy ctor is in ipopmenu.cpp, since class only declared there****


// d:\ocsrc\ibaseapp\obj\iwindow4.obj(iwindow4.cpp)
// d:\ocsrc\ibaseapp\obj\iwindow0.obj(iwindow0.cpp)
// d:\ocsrc\ibaseapp\obj\iwindow8.obj(iwindow8.cpp)
// d:\ocsrc\ibaseapp\obj\iwindow2.obj(iwindow2.cpp)
// d:\ocsrc\ibaseapp\obj\iwindow0.obj(iwindow0.cpp)
#include <iwinpriv.hpp>
#include <iwindow.hpp>

IWindow::ChildCursor::ChildCursor(const IWindow::ChildCursor&) {}
ITheObjectWindow::ITheObjectWindow(const ITheObjectWindow&) {}
#ifdef IC_PMWIN
IWindow::BidiSettings::BidiSettings(const IWindow::BidiSettings&) {}
#endif // IC_PMWIN
IWindow::IWindow(const IWindow&) {}
ITheDesktopWindow::ITheDesktopWindow(const ITheDesktopWindow&) {}
IWindow::AttributeCursor::AttributeCursor( const IWindow::AttributeCursor&) {}

// d:\ocsrc\ibaseapp\obj\iframext.obj(iframext.cpp)
#include <iframext.hpp>

IFrameExtension::IFrameExtension(const IFrameExtension&) {}


// d:\ocsrc\ibaseapp\obj\iacceltb.obj(iacceltb.cpp)
#include <iacceltb.hpp>

IAcceleratorTable::Cursor::Cursor(const IAcceleratorTable::Cursor&) {}


// d:\ocsrc\ibaseapp\obj\ipopmenu.obj(ipopmenu.cpp)
#include <ipopmenu.hpp>

IPopUpMenu::IPopUpMenu(const IPopUpMenu&) {}


// d:\ocsrc\ibaseapp\obj\ifiledlg.obj(ifiledlg.cpp)
#include <ifiledlg.hpp>

IFileDialog::IFileDialog(const IFileDialog&) {}


// d:\ocsrc\ibaseapp\obj\ifontdlg.obj(ifontdlg.cpp)
#include <ifontdlg.hpp>

IFontDialog::IFontDialog(const IFontDialog&) {}


// d:\ocsrc\ibaseapp\obj\imsgbox.obj(imsgbox.cpp)
#include <imsgbox.hpp>

IMessageBox::IMessageBox(const IMessageBox&) {}


// d:\ocsrc\ibaseapp\obj\isysmenu.obj(isysmenu.cpp)
#include <isysmenu.hpp>

ISystemMenu::ISystemMenu(const ISystemMenu&) {}


// d:\ocsrc\ibaseapp\obj\ihelp1.obj(ihelp1.cpp)
#include <ihelp.hpp>

IHelpWindow::IHelpWindow(const IHelpWindow&) {}


// d:\ocsrc\ibaseapp\obj\iframe.obj(iframe.cpp)
#ifdef IC_WIN
    #include <ole2.h>
#endif
#include <iframprv.hpp>
#include <iframe.hpp>

IFrameWindow::IFrameWindow(const IFrameWindow&) {}
//CRL  ITimerMemberFn<IFrameWindowData>::ITimerMemberFn(const ITimerMemberFn<IFrameWindowData>& tmf3) : fObject (tmf3.fObject) {}


// d:\ocsrc\ibaseapp\obj\imenubar.obj(imenubar.cpp)
#include <imenubar.hpp>

IMenuBar::IMenuBar(const IMenuBar&) {}


// d:\ocsrc\ibaseapp\obj\itimer.obj(itimer.cpp)
#include <itimer.hpp>

ITimerFn::ITimerFn(const ITimerFn&) {}


// d:\ocsrc\ibaseapp\obj\iobjwin.obj(iobjwin.cpp)
#include <iobjwin.hpp>

IObjectWindow::IObjectWindow(const IObjectWindow&) {}


// d:\ocsrc\ibaseapp\obj\isubmenu.obj(isubmenu.cpp)
#include <isubmenu.hpp>

ISubmenu::ISubmenu(const ISubmenu&) {}


// d:\ocsrc\ibaseapp\obj\imsgwin.obj(imsgwin.cpp)
#include <imsgwin.hpp>

IMessageWindow::IMessageWindow (const IMessageWindow&) {}

