// Revision: 93 1.5.1.3 source/ui/baseapp/icmdevt.hpp, genhdr, ioc.v400, 000919 
#ifndef _ICMDEVT_
#define _ICMDEVT_
/*******************************************************************************
* FILE NAME: icmdevt.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     ICommandEvent                                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ievent.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ICommandEvent : public IEvent {
typedef IEvent
  Inherited;
public:
/*------------------------------- Constructors -------------------------------*/
  ICommandEvent ( const IEvent& event );
virtual
 ~ICommandEvent ( );

/*--------------------------- Command Information ----------------------------*/
enum Source {
  pushButton,
  menu,
  accelerator,
  unknown
};

Source
  source      ( ) const;
unsigned long
  commandId   ( ) const;

bool
  isFromFrame ( ) const;
}; // ICommandEvent

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#include <icmdevt.inl>

#endif /* _ICMDEVT_ */
