// Revision: 55 1.4.1.3 source/ui/basectl/icombonh.hpp, listctls, ioc.v400, 000919 
#ifndef _ICOMBONH_
  #define _ICOMBONH_
/*******************************************************************************
* FILE NAME: icombonh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IComboBoxNotifyHandler                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ientrynh.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IComboBoxNotifyHandler : public IEntryFieldNotifyHandler {
typedef IEntryFieldNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  IComboBoxNotifyHandler();
virtual
  ~IComboBoxNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ICOMBONH_ */
