// Revision: 61 1.4.1.3 source/ui/basectl/icsliden.hpp, slidectls, ioc.v400, 000919 
#ifndef _ICSLIDEN_
  #define _ICSLIDEN_
/*******************************************************************************
* FILE NAME: icsliden.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ICircularSliderNotifyHandler                                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <itextcnh.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

#ifdef IC_PMWIN
class ICircularSliderNotifyHandler : public ITextControlNotifyHandler {
typedef ITextControlNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  ICircularSliderNotifyHandler();
virtual
  ~ICircularSliderNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& anEvent);
};

#endif // IC_PMWIN

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ICSLIDEN_ */
