// Revision: 73 1.3.1.3 source/ui/basectl/igbpriv.hpp, staticctls, ioc.v400, 000919  
/* NOSHIP */
#ifndef _IGBPRIV_
#define _IGBPRIV_
/*******************************************************************************
* FILE NAME: igbpriv.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of classes that are private              *
*   to the implementation of IGroupBox for Windows 32-bit.                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifdef IC_WIN
  #include <ihandler.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IGroupHandler : public IHandler {
typedef IHandler
  Inherited;
public:

/*------------------------------- Constructors -------------------------------*/
  IGroupHandler ( );

virtual
 ~IGroupHandler ( );

protected:
/*----------------------------- Event Processing -----------------------------*/
virtual Boolean
  dispatchHandlerEvent ( IEvent& anEvent );

}; // class IGroupHandler

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // IC_WIN
#endif /* _IGBPRIV_ */
