// Revision: 10 1.8.1.1 source/ui/basectl/imcelprv.hpp, canvas, ioc.v400, 000919 
/* NOSHIP */
#ifndef _IMCELPRV_
  #define _IMCELPRV_
/*******************************************************************************
* FILE NAME: imcelprv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMultiCellCanvasData                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ibidiset.hpp>
#include <icvobsrv.hpp>
#include <ipoint.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IMultiCellCanvasData {
public:
/*------------------------------- Constructors -------------------------------*/
  IMultiCellCanvasData ( );
 ~IMultiCellCanvasData ( );

/*----------------------------------- Data -----------------------------------*/
#ifdef IC_MOTIF
static const char
  className[ 21 ];
#endif
unsigned long
  layoutInProgress;
ISize
  sizeForLayout;
IMultiCellCanvasObserver
 *pMcelcvObserver;
#ifdef IC_PMWIN
IBidiSettings::BidiLayout
  fBidiLayout;
#endif
}; // IMultiCellCanvasData

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IMCELPRV_ */
