// Revision: 17 1.5.1.3 source/ui/basectl/imphdr.hpp, userinput, ioc.v400, 000919  
#ifndef _IMPHDR_
  #define _IMPHDR_
/*******************************************************************************
* FILE NAME: imphdr.hpp                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMousePointerHandler                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <imoushdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

#ifndef IC_MOTIF_FLAGNOP
class IMousePointerHandler : public IMouseHandler {
typedef IMouseHandler
  Inherited;

public:
/*------------------------------- Constructors -------------------------------*/
  IMousePointerHandler ( );

virtual
 ~IMousePointerHandler ( );

/*-------------------------------- Accessors ---------------------------------*/
static IMousePointerHandler
 *defaultHandler ( );

protected:
#ifdef IC_PMWIN
virtual bool
  mousePointerChange ( IMousePointerEvent& event );
#endif // IC_PMWIN

};  // IMousePointerHandler
#endif // IC_MOTIF_FLAGNOP

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // _IMPHDR_
