// Revision: 31 1.6 source/ui/basectl/isclnhdr.hpp, slidectls, ioc.v400, 000919 
#ifndef _ISCLNHDR_
  #define _ISCLNHDR_
/*******************************************************************************
* FILE NAME: isclnhdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IScrollBarNotifyHandler                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <iwinnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IScrollBarNotifyHandler : public IWindowNotifyHandler {
typedef IWindowNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  IScrollBarNotifyHandler();
virtual
  ~IScrollBarNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual bool
  dispatchHandlerEvent (IEvent& event);
};  // class IScrollBarNotifyHandler

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISCLNHDR_ */
