// Revision: 49 1.6 source/ui/basectl/islider.inl, slidectls, ioc.v400, 000919 
#ifndef _ISLIDER_INL_
#define _ISLIDER_INL_
/*******************************************************************************
* FILE NAME: islider.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in islider.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/

#include <istring.hpp>

#ifdef IC_MOTIFPM
inline void IProgressIndicator :: setDefaultStyle(const IProgressIndicator::Style& style)
{
   currentDefaultStyle = style;
}

inline void ISlider :: setDefaultStyle(const ISlider::Style& style)
{
   currentDefaultStyle = style;
}
#endif // IC_MOTIFPM
#endif // _ISLIDER_INL_
