// Revision: 98 1.6 source/ui/basectl/ivport.inl, canvas, ioc.v400, 000919  
#ifndef _IVPORT_INL_
#define _IVPORT_INL_
/*******************************************************************************
* FILE NAME: ivport.inl                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in ivport.hpp.                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/

/*-------------------------------- IViewPort ---------------------------------*/
#ifndef IC_WIN
inline void  IViewPort :: setDefaultStyle ( const IViewPort::Style& style )
  {
  currentDefaultStyle = style;
  }
#endif //!IC_WIN
inline IScrollBar*  IViewPort :: horizontalScrollBar ( ) const
  {
  return psbClHorz;
  }
inline IScrollBar*  IViewPort :: verticalScrollBar ( ) const
  {
  return psbClVert;
  }
#endif // _IVPORT_INL_
