// Revision: 99 1.4 source/ui/basectl/ivport1.cpp, canvas, ioc.v400, 000919  
/*******************************************************************************
* FILE NAME: ivport1.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the initialization of static strings used in the        *
*   IViewPort class.                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#pragma priority( -2147481324 )

extern "C" {
   #include <iwindefs.h>
}

#ifndef _INOTIFY_
  #include <inotify.hpp>
#endif

#ifndef _IVPORT_
  #include <ivport.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IVPORT1_CPP_
  #include <ipagetun.h>
#endif

// Initialize static objects and notification strings.
INotificationId const IViewPort::viewWindowSizeId = "IViewPort::viewWindowSize";
