#ifndef _CNR2WIN_
#define _CNR2WIN_

/* Revision: 01 1.3.2.2 source/ui/cclnt/cnr/cnr2win.h, cclcnr, ioc.v400, 000919  */
/**********************************************************************/
/*                                                                    */
/*                         IBM CONFIDENTIAL                           */
/*                                                                    */
/*        (IBM Confidential-Restricted when combined with the         */
/*         aggregated OCO source modules for this program)            */
/*                                                                    */
/*                       OCO SOURCE MATERIALS                         */
/*                                                                    */
/*         20G0400 (C) Copyright IBM Corp. 1992, 1997 (Unpublished)   */
/*                                                                    */
/**********************************************************************/
#define GWL_USER               0
typedef LPSTR FAR *            LPPSTR;
typedef DWORD                  FATTRS;                 //REMOVE later JEH
typedef LPVOID                PFATTRS;                //REMOVE later JEH

#if defined(__IBMC__) || defined(__IBMCPP__)
typedef LRESULT (* CALLBACK PFNWP)(HWND, UINT, WPARAM, LPARAM);
#else
typedef LRESULT (CALLBACK* PFNWP)(HWND, UINT, WPARAM, LPARAM);
#endif

/**********************************************************************/
/* macros                                                             */
/**********************************************************************/
#define MP1FROMMP2(mp2) { mp1 = *(LPDWORD)lParam;       \
                          mp2 = (DWORD)((LPDWORD)lParam+1); }

#define MP2ISVALUE(mp2) { mp2 = *(LPDWORD)mp2; }
#define MAKEPOINT(l)    (*((LPPOINT)&(l)))

/**********************************************************************/
/* PM -> Win APIs                                                     */
/**********************************************************************/
#define GpiCreateRegion(x,y,pRectl)  CreateRectRgn(pRectl->left, \
                             pRectl->top, pRectl->right, pRectl->bottom)
#define GpiPolyLine(x,y,z)   PolyLine(x,z,y)


#define  PMPtInRect         PtInRect
#define  PMCopyRect         CopyRect
#define  PMIsRectEmpty      IsRectEmpty
#define  PMOffsetRect       OffsetRect
#define  PMUnionRect        UnionRect
#define  PMInflateRect      InflateRect
#define  PMSetRect          SetRect
#define  PMIntersectRect    IntersectRect
#define  PMInvalidateRect   InvalidateRect
#define  PMFillRect         FillRect
#define  PMEqualRect        EqualRect
#define  PMGetFlippedDC     GetDC
#define  PMFlipDC           {}
#define  PMGetClientRect    GetClientRect
#define  PMGetCursorPos     GetCursorPos
#define  PMFlipPoint        {}
#define  PMFlipRect         {}
#endif // CNR2WIN header guard
