/* Revision: 41 1.2.2.2 source/ui/cclnt/icltune.h, cclnt, ioc.v400, 000919  */
/* NOSHIP */
#ifndef _ICLTUNE_
#define _ICLTUNE_
/*******************************************************************************
* FILE NAME: icltune.h                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the tuning directives for the CCL controls.             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifdef _BOOKINIT_C_
  #pragma alloc_text(AInitCCL,                  NotebookLibMain)
#endif

#ifdef _CNRREG_C_
  #pragma alloc_text(AInitCCL,                  CnrIsRegistered)
  #pragma alloc_text(AInitCCL,                  ContainerLibMain)
#endif

#ifdef _CPPWOT3_C_
  #pragma alloc_text(AInitCCL,                  _DLL_InitTerm)
#endif

#ifdef _CSLIDER_C_
  #pragma alloc_text(AInitCCL,                  CircularSliderLibMain)
#endif

#ifdef _SLIDER_C_
  #pragma alloc_text(AInitCCL,                  SliderLibMain)
#endif

#ifdef _SPINREG_C_
  #pragma alloc_text(AInitCCL,                  SpinbuttonLibMain)
#endif

#endif
