// Revision: 81 1.4.1.3 source/ui/drag/idmenab.hpp, dragdrop, ioc.v400, 000919  
/* NOSHIP */
#ifndef _IDMENAB_
#define _IDMENAB_
/*******************************************************************************
* FILE NAME: idmenab.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IDMDragDropEnabler                                                       *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class IWindowHandle;

#pragma enum(4)
#pragma pack(push,4)

class IDMDragDropEnabler
 {
  public:
   static void enableDragFrom( const IWindowHandle& handle );
   static void enableDropOn( const IWindowHandle& handle );
 };

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#include <idmenab.inl>

#endif // _IDMENAB_
