// Revision: 84 1.5.1.2 source/ui/drag/idmitem.inl, dragdrop, ioc.v400, 000919 
#ifndef _IDMITEM_INL_
#define _IDMITEM_INL_
/*******************************************************************************
* FILE NAME: idmitem.inl                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in idmitem.hpp.                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/

inline unsigned IDMItem :: renderer() const
{
  return( this->rendererPosition );
}

inline IString IDMItem :: selectedRMF() const
{
  return( this->strSelectedRMF );
}

inline bool IDMItem::hasImage() const
{
  return( !(!this->pIDMImage) );
}

inline bool IDMItem::isTargetTheSource() const
{
  return( this->bTargetTheSource );
}
#endif // _IDMITEM_INL_
